<?php
/**
 * Newsletter and Email marketing solution for SCHLIX CMS - Edit Category Template
 *
 * @copyright SCHLIX Web Inc
 *
 * @license SCHLIX Shared Source
 *
 * @package newsletters
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    https://www.schlix.com
 */
if (!defined('SCHLIX_VERSION')) die('No Access');
?>
<?php

global $CurrentUser;

if ($id == 'new') {
    $category['permission_read'] = serialize('everyone');
    $category['items_per_page'] = 10;
    $header_title = ___('New Category');
}
else {
    $preview_link = $this->app->createFriendlyURL("action=viewcategory&cid={$id}");
    $header_title = ___('Edit Category').' #'.$id;
}
$parent_category_text = $this->getCategoryParentURLPathPreviewLink($category); 
    $category['email_from'] = ($id == 'new' || empty($category['email_from']))  ? SCHLIX_MAIL_DEFAULT_EMAIL : $category['email_from'];
    $category['email_sender'] = ($id == 'new' || empty($category['email_sender']))  ? SCHLIX_MAIL_DEFAULT_SENDER : $category['email_sender'];
    $category['email_replyto'] = ($id == 'new' || empty($category['email_replyto']))  ? SCHLIX_MAIL_DEFAULT_EMAIL : $category['email_replyto'];

?>

<schlix-data-editor id="schlix-<?= $this->app_name ?>-admin" class="schlix-data-editor" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-main-app-description="<?= $this->app->getApplicationDescription().': '.$header_title ?>" data-schlix-controller="SCHLIX.CMS.NewslettersAdminController" data-model="<?= $this->getDataModelURL() ?>" data-field-id="<?= $this->app->getFieldCategoryID() ?>" data-cancel-warning="true" >    
    <div class="content">
        <form id="frm_category_editor" method="post" action="<?= $this->createFriendlyAdminURL('action=savecategory') ?>" enctype="multipart/form-data" >
            <?= \INPUT::CSRF() ?>
            <input type="hidden" name="cid" id="cid" value="<?= $category['cid']; ?>" />
            <input type="hidden" name="parent_id" value="<?= $category['parent_id']; ?>" />
            <input type="hidden" name="guid" id="guid" value="<?= $category['guid']; ?>" />

            <div class="row">
                <div class="col-md-8">
                    <!-- col -->
                    <!-- Page Title -->
                    <div class="form-group">
                        <label for="title"><?= ___("Newsletter Category Title") ?></label>
                        <div class="input-group">
                             <!-- title -->
                             <input name="title" id="title" type="text" class="form-control"  size="49" maxlength="254"  required="required"   value="<?= SAFE_HTML($category['title']) ?>" /> 
                            <!-- version -->
                            <?php if ($category['version'] > 0): ?>
                                <span class="input-group-addon"><?= ___('Version') . ': ' . $category['version']; ?></span>
                            <?php endif; ?>
                            <!-- end version -->
                            <!-- Status -->
                            <span class="input-group-addon">
                                <schlix-cms-document-status id="status" data-input-name="status" data-value="<?= ($category['status'] == 1 || $category[$this->field_category_id] == 'new') ?>" 
                                                            data-icon-yes="fa fa-check" data-icon-no="fa fa-times" data-color-yes="green" data-color-no="red" 
                                                            data-text-yes="<?= ___('Active &amp; Published') ?>" data-text-no="<?= ___('Inactive') ?>"></schlix-cms-document-status>
                            </span>
                        </div>
                    </div>
                    <!-- End Page Title -->
                    <!-- Virtual Filename -->
                    <div class="form-group">
                        <label for="virtual_filename"><?= ___('Search Engine Friendly Shortcut'); ?></label>                
                        <div class="input-group">
                            <span class="input-group-addon"><?= $parent_category_text ?></span>
                            <input name="virtual_filename" size="49" maxlength="255" id="virtual_filename" class="form-control" pattern="[a-zA-Z0-9-_]+" type="text" value="<?= SAFE_HTML($category['virtual_filename']); ?>" />
                            <?php if ($id !== 'new'): ?>
                                <span class="input-group-addon"> <a href="<?= $preview_link; ?>" target="_blank"><i class="fa fa-eye"></i>&nbsp;<?= ___('Preview') ?></a></span>
                            <?php endif ?>
                        </div>

                    </div>
                    <!-- END Virtual Filename -->
                    
                    <!-- end col -->
                </div>
            <div class="col-md-4 text-right" schlix-id="data-editor-toolbar">
                <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-category" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                <button type="submit" class="btn btn-info schlix-command-button" data-schlix-command="apply-category" name="btn_save"><i class="fa fa-caret-square-o-right"></i> <?= ___('Apply'); ?></button>
                <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-category" name="btn_save"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>
            </div>       
            </div>

            <div class="clearboth"></div>
            <!-- end main section -->
            <?php 
                ///////////////////////////////
                // Display save error, if any
                $this->displayLastSaveResult() 
                ///////////////////////////////
            ?>
            <div class="row">
                <div class="col-md-4">
                    <!-- field -->
                    <div class="form-group">                            
                        <label for="email_name"><?= ___('Default Email Sender Name') ?></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-user"></i></span>
                            <input type="text" class="form-control" id="email_sender" name="email_sender" required="required" value="<?= SAFE_HTML($category['email_sender']); ?>" placeholder="<?= SCHLIX_MAIL_DEFAULT_SENDER ?>" />
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <!-- field -->
                    <div class="form-group">                            
                        <label for="email_from"><?= ___('Default Email From') ?></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-envelope-open-o"></i></span>
                         <input type="email" class="form-control" id="email_from" name="email_from" required="required" value="<?= SAFE_HTML($category['email_from']); ?>" placeholder="<?= SCHLIX_MAIL_DEFAULT_EMAIL ?>" />
                        </div>
                    </div>
                </div>
                <div class="col-md-4">                    
                    <!-- field -->
                    <div class="form-group">                            
                        <label for="email_replyto"><?= ___('Default Email Reply-To') ?></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-envelope-square"></i></span>
                         <input type="email" class="form-control" id="email_replyto" name="email_replyto" required="required" value="<?= SAFE_HTML($category['email_replyto']); ?>" placeholder="<?= SCHLIX_MAIL_DEFAULT_EMAIL ?>" />
                        </div>
                    </div>
                </div>

                    
                
            </div>

            <!-- begin tabs -->
            <div id="schlix_editor_main_content" class="schlixui-tabcontainer">
                <!-- tab navigation -->
                <ul class="schlixui-tabheader">
                    <li class="selected "><a href="#tab1"><em><?= ___('Content') ?></em></a></li>
                    <li><a href="#tab2"><em><?= ___('Meta') ?></em></a></li>
                    <li><a href="#tab3"><em><?= ___('Dates') ?></em></a></li>
                    <li><a href="#tab4"><em><?= ___('Options') ?></em></a></li>
                    <li><a href="#tab5"><em><?= ___('Permissions') ?></em></a></li>
                    <li><a href="#tab6"><em><?= ___('Versioning') ?></em></a></li>
                </ul>
                <!-- end tab navigation -->
                <!-- tab ocntent -->
                <div class="schlixui-tabcontent">
                    <!-- tab -->
                    <div id="tab1">
                        <!-- tab 1 content -->
                        <label for="summary"><?= ___('Summary') ?></label>
                        <textarea class="wysiwyg form-control" name="summary" id="summary"><?= SAFE_HTML($category['summary']) ?></textarea>

                        <div class="clearboth"></div>
                        
                        <label for="description"><?= ___('Description') ?></label>
                        <textarea class="wysiwyg form-control" name="description" id="description"><?= SAFE_HTML($category['description']) ?></textarea>
                        <!-- end tab 1 content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab2">
                        <!-- tab content -->
                    <label><?= ___('Meta Keywords') ?><br />
                        <input type="text" class="form-control" name="meta_key" value="<?= SAFE_HTML($category['meta_key']); ?>" />
                    </label>
                    <br />
                    <label><?= ___('Meta Description') ?><br />
                        <input type="text" class="form-control" name="meta_description" value="<?= SAFE_HTML($category['meta_description']); ?>" />
                    </label>
                    <br />
                    <label><?= ___('Tags') ?><br />
                        <input type="text" class="form-control" name="tags" value="<?= SAFE_HTML($category['tags']); ?>" />
                    </label>
                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab3">
                        <!-- tab content -->
                        <table class="schlix_date_attributes" border="0">
                            <tr>
                                <td><?= ___('Created'); ?></td>
                                <td><?= \INPUT::DateTimePicker('date_created', $category['date_created']); ?></td>
                            </tr>
                            <tr>
                                <td><?= ___('Modified'); ?></td>
                                <td><?= \INPUT::DateTimePicker('date_modified', $category['date_modified']); ?></td>
                            </tr>
                            <tr>
                                <td><?= ___('Published'); ?></td>
                                <td><?= \INPUT::DateTimePicker('date_available', $category['date_available']); ?></td>
                            </tr>
                            <tr>
                                <td><?= ___('Expired'); ?></td>
                                <td><?= \INPUT::DateTimePicker('date_expiry', $category['date_expiry']); ?></td>
                            </tr>
                        </table>

                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab4">
                        <!-- tab content -->
                        <label><?= ___('Maximum mumber of items to be displayed per page') ?><br />
                            <input type="number" class="form-control" name="items_per_page" value="<?= (int) $category['items_per_page'] ?>" min="1" max="10000" size="5" style="max-width:100px" />
                        </label>
                        <br />
                        
                        <?= \INPUT::CMSObjectOptions('options', $this->app->getCategoryMetaOptionKeys(), $category['options'], $this->app->getDefaultCategoryMetaOptionKeys(), 1, 3);  ?>
                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab5">
                        <!-- tab content -->
                        <?= \INPUT::UserNameSelectionField('created_by_id', $category['created_by_id'], ___('Owner / Created By'), array('class'=>'form-control')); ?>
                        <?= \INPUT::UserNameSelectionField('modified_by_id', $category['modified_by_id'], ___('Last Modified By'), array('class'=>'form-control')); ?>

                        <fieldset id="fieldset_permission_read">
                            <legend><?= ___('Who can read this page?'); ?></legend>
                            <?= \INPUT::UserGroupReadPermissionCheckboxGroup('read', $category['permission_read']) ?>
                        </fieldset>
                        <fieldset id="fieldset_permission_write">
                            <legend><?= ___('Who can modify this page?'); ?></legend>
                            <?= \INPUT::UserGroupWritePermissionCheckboxGroup('write', $category['permission_write'], $CurrentUser->getCurrentUserGroupIDs(), false) ?>
                        </fieldset>
                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab6">
                        <!-- eh -->
                        <?php
                        App\Versioning_Admin::displayVersioningGrid($this->app_name, $category['guid']);
                        ?>
                    </div>
                    <!-- end tab -->

                </div>
                <!-- end tab content -->
            </div>
            <!-- end tabs -->


        </form>
    </div>

</schlix-data-editor>