<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION')) die('No Access');
?>
<?php $app = $this->app_name; ?>
<div class="schlix-explorer">
    <schlix-data-explorer-list id="schlix-nleventlogs-admin" class="schlix-data-explorer-list" data-app="<?= $app ?>" data-schlix-controller="SCHLIX.CMS.NewslettersAdminController" data-model="<?= $this->getDataModelURL() ?>" data-desc="<?= ___('Relevant Event Logs') ?>">
        <schlix-datasource>
            <custom-command data-default="action=getdataresponseschemas"  data-replace-with="action=geteventlogsresponseschema" />
            <custom-command data-default="action=getallitems"  data-replace-with="action=geteventlogs&id=<?= $id ?>" />
        </schlix-datasource>
       <nav class="navbar navbar-default schlix-data-explorer-toolbar" role="navigation">
            <!-- FIX - ADD TOOLBAR BUTTON PLEASE -->
            <div class="collapse navbar-collapse" schlix-id="toolbar">
                <ul class="nav navbar-nav">
                    <li><a href="#" schlix-id="btn-refresh" data-schlix-command="refresh" class="schlix-command-button"><i class="fa fa-refresh"></i> <?= ___('Refresh') ?></a></li>
                </ul> 
            </div><!-- /.navbar-collapse -->
        </nav>        

        <div style=" clear:both"></div>
        <!-- Begin Data Viewer -->
        <div class="schlix-data-container row" schlix-id="main-data-container" style="margin:0">
            <div class="col-sm-12" schlix-id="right-column" >
                
                <schlix-data-table schlix-id="datanav-datatable" schlix-query-action="action=geteventlogs&id=<?= $id ?>" schlix-field-item-tile="description" data-default-sort-by="id" data-default-sort-direction="desc">
                    <schlix-data-table-columns>
                        <schlix-data-table-column key="id" hidden="false" label ='<?= ___('ID') ?>#' sortable="true" formatter="number" />
                        <schlix-data-table-column key="date_created" label='<?= ___('Date Created') ?>' sortable="true" formatter="this.formatDataTableCell_Date" />
                        <schlix-data-table-column key="ip_address" label="<?= ___('IP address') ?>" formatter="string" />
                        <schlix-data-table-column key="module" label="<?= ___('Module') ?>" formatter="string" />
                        <schlix-data-table-column key="description" sortable="true" label= "<?= ___('Description') ?>" role="title" formatter="SCHLIX.CMS.NewslettersAdminController.formatDataTableCell_ViewLog" />
                        <schlix-data-table-column key="user_agent" label="<?= ___('User Agent') ?>" formatter="string" />
                     </schlix-data-table-columns>
                </schlix-data-table>                
                <div schlix-id="datanav-paginator" class="schlixui-pg-container"></div>
            </div>
        </div>
        <!-- End Data Viewer -->
    </schlix-data-explorer-list>
</div>


