<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
global $CurrentUser;
if ($id == 'new') {
    $item['permission_read'] = serialize('everyone');
    $header_title = ___('New Subscribe Page');
} else {
    $preview_link = $this->app->createMasterClassFriendlyURL("action=subscribe&to={$item['virtual_filename']}");
    $header_title = ___('Edit Subscribe Page').' #'.$id;
    $offer_newsletter_ids = explode(',', $item['offer_newsletter_ids']);
}

$is_default_page =  ($item['virtual_filename'] == 'default' && $item['id'] == 1);
?>

<schlix-data-editor id="schlix-<?= $this->app_name ?>-admin" class="schlix-data-editor" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-main-app-description="<?= $this->app->getApplicationDescription() . ': ' . $header_title ?>" data-schlix-controller="SCHLIX.CMS.NewslettersSubscribePagesAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="<?= $this->app->getFieldID() ?>" data-cancel-warning="true" >
    <div class="content"> 
        <form id="frm_item_editor" method="post" action="<?= $this->createFriendlyAdminURL('action=saveitem') ?>" enctype="multipart/form-data" >
            <?= \INPUT::CSRF() ?>
            <input type="hidden" name="id" id="id" value="<?= $id; ?>" />
            <input type="hidden" name="category_id" value="<?= $item['category_id']; ?>" />
            <input type="hidden" name="guid" id="guid" value="<?= $item['guid']; ?>" />
            <div class="row">
                <div class="col-md-8 col-lg-8">
                    <!-- Page Title -->
                    <div class="form-group">
                        <label for="title"><?= ___("Page Title") ?></label>
                        <div class="input-group">
                             <!-- title -->
                             <input name="title" id="title" type="text" class="form-control"  size="49" maxlength="254"  required="required"   value="<?= SAFE_HTML($item['title']) ?>" /> 
                            <!-- version -->
                            <?php if ($item['version'] > 0): ?>
                                <span class="input-group-addon">
                                    <?= ___('Version') . ': ' . $item['version']; ?>
                                </span>
                            <?php endif; ?>
                            <!-- end version -->

                            <!-- Status -->
                            <span class="input-group-addon">
                                <schlix-cms-document-status id="status" data-input-name="status" data-value="<?= ($item['status'] == 1 || $item['id'] == 'new') ?>" 
                                                            data-icon-yes="fa fa-check" data-icon-no="fa fa-times" data-color-yes="green" data-color-no="red" 
                                                            data-text-yes="<?= ___('Active &amp; Published') ?>" data-text-no="<?= ___('Inactive') ?>"></schlix-cms-document-status>
                            </span>
                             <!-- Default -->
                            <span class="input-group-addon">
                                <schlix-cms-document-status id="is_default" data-input-name="is_default" data-value="<?= ($item['is_default'] == 1) ?>" 
                                                            data-icon-yes="fa fa-star" data-icon-no="fa fa-star" data-color-yes="orange" data-color-no="grey" 
                                                            data-text-yes="<?= ___('Is Default') ?>" data-text-no="<?= ___('Not Default') ?>"></schlix-cms-document-status>                        

                            </span>
                            
                        </div>
                    </div>
                    <!-- End Page Title -->
                    <!-- Virtual Filename -->
                    <div class="form-group">
                        <label for="virtual_filename"><?= ___('Short Code Name'); ?></label>                
                        <div class="input-group">

                            <input name="virtual_filename" size="49" maxlength="255" id="virtual_filename" class="form-control" type="text" value="<?= SAFE_HTML($item['virtual_filename']); ?>" <?php if ($is_default_page) echo 'readonly'; ?> />
                            <?php if ($id !== 'new'): ?>
                                <span class="input-group-addon"> <a href="<?= $preview_link; ?>" target="_blank"><i class="fa fa-eye"></i>&nbsp;<?= ___('Preview') ?></a></span>
                            <?php endif ?>
                        </div>
                                <?php if ($is_default_page): ?>
                    <p class="small"><?= ___('Default newsletter template cannot be renamed or modified') ?></p>
                    <?php endif; ?>                                

                    </div>
                    <!-- END Virtual Filename -->
                    
                </div>
                <div class="col-md-4 col-lg-4 text-right" schlix-id="data-editor-toolbar">
                        <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-item" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                        <button type="submit" class="btn btn-info schlix-command-button" data-schlix-command="apply-item" name="btn_save"><i class="fa fa-caret-square-o-right"></i> <?= ___('Apply'); ?></button>
                        <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-item" name="btn_cancel"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>
                    
                </div>            
            </div>

            <!-- main -->
            <div class="clearboth"></div>
            
            <?php 
                ///////////////////////////////
                // Display save error, if any
                $this->displayLastSaveResult() 
                ///////////////////////////////
            ?>
            
            <!-- end main section -->
            <div class="row">
                <div class="col-md-4">
                    <!-- field -->
                    <div class="form-group">                            
                        <label for="email_name"><?= ___('Email Sender Name') ?></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-user"></i></span>
                         <input type="text" class="form-control" id="email_sender" name="email_sender" value="<?= SAFE_HTML($item['email_sender']); ?>" placeholder="<?= SCHLIX_MAIL_DEFAULT_SENDER ?>" />
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <!-- field -->
                    <div class="form-group">                            
                        <label for="email_from"><?= ___('Email From') ?></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-envelope-open-o"></i></span>
                         <input type="email" class="form-control" id="email_from" name="email_from" value="<?= SAFE_HTML($item['email_from']); ?>" placeholder="<?= SCHLIX_MAIL_DEFAULT_EMAIL ?>" />
                        </div>
                    </div>
                </div>
                <div class="col-md-4">                    
                    <!-- field -->
                    <div class="form-group">                            
                        <label for="email_replyto"><?= ___('Email Reply-To') ?></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-envelope-square"></i></span>
                         <input type="email" class="form-control" id="email_replyto" name="email_replyto" value="<?= SAFE_HTML($item['email_replyto']); ?>" placeholder="<?= SCHLIX_MAIL_DEFAULT_EMAIL ?>" />
                        </div>
                    </div>
                </div>

                    
                
            </div>
                        <?php 
                            $newsletter_app = new \App\Newsletters() ;
                            $all_newsletters = $newsletter_app->getAllCategories('*','status > 0');
                        ?>
                        <?php if ($all_newsletters): ?>
                            <h4><?= ___('Offer the following newsletters') ?></h4>
                            <?php foreach ($all_newsletters as $newsletter): ?>
                            <div class="checkbox">
                                <label><input name="offer_newsletter[]" type="checkbox" value="<?= $newsletter['cid'] ?>" 
                                    <?= ($id == 'new') || in_array($newsletter['cid'], $offer_newsletter_ids) ? 'checked="checked"' : '' ?> /> 
                                    <?= SAFE_HTML($newsletter['title']) ?> 
                                </label>
                            </div>
                            <?php endforeach ?>
                        <?php endif ?>
            
            <!-- begin tabs -->
            <div id="schlix_editor_main_content" class="schlixui-tabcontainer">
                <!-- tab navigation -->
                <ul class="schlixui-tabheader">
                    <li class="selected"><a href="#tab_content"><em><?= ___('Content') ?></em></a></li>
                    <li><a href="#tab_subscribe_fields"><em><?= ___('Custom Fields') ?></em></a></li>
                    <li><a href="#tab_meta"><em><?= ___('Meta') ?></em></a></li>
                    
                    <li><a href="#tab3"><em><?= ___('Dates') ?></em></a></li>
                    <li><a href="#tab4"><em><?= ___('Options') ?></em></a></li>
                    <li><a href="#tab5"><em><?= ___('Permissions') ?></em></a></li>
                    <li><a href="#tab6"><em><?= ___('Versioning') ?></em></a></li>
                </ul>
                <!-- end tab navigation -->
                <!-- tab ocntent -->
                <div class="schlixui-tabcontent">
                    <!-- tab -->
                    <div id="tab_content">
                        <!-- tab 1 content -->
                        <!-- field -->
                        <label for="subscribe_html_intro"><?= ___('Intro about the newsletter(s)') ?></label>
                        <textarea class="wysiwyg form-control" name="subscribe_html_intro" id="subscribe_html_intro"><?= SAFE_HTML($item['subscribe_html_intro']) ?></textarea>

                        <div class="clearboth"></div>
                        <!-- field -->
                        <label for="subscribe_html_instruction"><?= ___('Optional instruction') ?></label>
                        <textarea class="wysiwyg form-control" name="subscribe_html_instruction" id="subscribe_html_instruction"><?= SAFE_HTML($item['subscribe_html_instruction']) ?></textarea>

                        <div class="clearboth"></div>
                        <!-- field -->
                        <label for="subscribe_html_header"><?= ___('Optional custom HTML Header') ?></label>
                        <textarea class="form-control" name="subscribe_html_header" id="subscribe_html_header"><?= SAFE_HTML($item['subscribe_html_header']) ?></textarea>
                        <p><?= ___('You can insert custom Javascript and/or CSS here') ?></p>
                        <div class="clearboth"></div>
                        
                        <!-- field -->
                    </div>
                    <!-- end tab -->
                    <div id="tab_subscribe_fields">
                        <?php
                            $custom_fields = $this->app->createSubClassInstance('CustomFields')->getAllCustomFields();
                            $custom_field_page_assoc = ($id == 'new') ? NULL : $this->app->getCustomFieldPageAssocation($id);
                            if ($custom_fields): ?>
                            <?php foreach ($custom_fields as $cf): ?>
                        <fieldset>
                            <legend><?= SAFE_HTML($cf['title']) ?></legend>
                            <div class="checkbox">
                                <label>
                                    <input type="checkbox" class="cf_id" data-cfid="<?= (int) $cf['id'] ?>" id="cf_id_<?= (int) $cf['id'] ?>" name="cf_id[]" value="<?= (int) ($cf['id']) ?>" <?= $custom_field_page_assoc[$cf['id']] || $custom_field_page_assoc[$cf['id']]['required'] ? 'checked' : '' ?> /><?= ___('Use this field') ?>: <strong><?= SAFE_HTML($cf['virtual_filename']) ?></strong></label>
                            </div>
                            <div class="checkbox">
                                <label>
                                    <input type="checkbox" class="cf_required" data-cfid="<?= (int) $cf['id'] ?>" id="cf_required_<?= (int) $cf['id'] ?>" name="cf_required[<?= (int) $cf['id'] ?>]" value="<?= (int) $cf['id'] ?>" <?= $custom_field_page_assoc[$cf['id']]['required'] ? 'checked' : '' ?>  /><?= ___('This field is mandatory') ?></label>
                            </div>
                            <div class="form-group">
                                <label><?= ___('Sort Order') ?>
                                <input type="number"class="form-control cf_sort_order" data-cfid="<?= (int) $cf['id'] ?>" id="cf_sort_order_<?= SAFE_HTML($cf['id']) ?>"  name="cf_sort_order[<?= (int) $cf['id'] ?>]" value="<?= (int) $custom_field_page_assoc[$cf['id']]['sort_order'] ?>" min="0" max="99" /></label>
                            </div>
                        </fieldset>
                            
                        <?php endforeach ?>
                        <?php else: ?>
                            <div class="alert alert-info"><?= ___('No custom fields available, only the email address field') ?></div>
                        <?php endif ?>
                    </div> 
                    <!-- tab -->
                    <div id="tab_meta">
                        <!-- tab content -->
                        <div class="form-group">                            
                            <label for="meta_key"><?= ___('Meta Keywords') ?></label>
                             <input type="text" class="form-control" id="meta_key" name="meta_key" value="<?= SAFE_HTML($item['meta_key']); ?>" />
                        </div>
                        <div class="form-group">
                            <label for="meta_description"><?= ___('Meta Description') ?></label>
                            <input type="text" class="form-control" name="meta_description" value="<?= SAFE_HTML($item['meta_description']); ?>" />
                        </div>
                        

                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab3">
                        <!-- tab content -->
                        <!-- date created -->
                        <div class="row">
                            <div class="col-sm-2">
                                <label for="date_created"><?= ___('Created') ?></label>
                                <?= \INPUT::DateTimePicker('date_created', $item['date_created']); ?>
                            </div>
                        </div>
                        <!-- date modified -->
                        <div class="row">
                            <div class="col-sm-2">
                                <label for="date_modified"><?= ___('Modified') ?></label>
                                <?= \INPUT::DateTimePicker('date_modified', $item['date_modified']); ?>
                            </div>
                        </div>

                        <!-- date available -->
                        <div class="row">
                            <div class="col-sm-2">
                                <label for="date_available"><?= ___('Published on') ?></label>
                                <?= \INPUT::DateTimePicker('date_available', $item['date_available']); ?>
                            </div>
                        </div>

                        <!-- date expiry -->
                        <div class="row">
                            <div class="col-sm-2">
                                <label for="date_expiry"><?= ___('Expired on') ?></label>
                                <?= \INPUT::DateTimePicker('date_expiry', $item['date_expiry']); ?>
                            </div>
                        </div> 

                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab4">
                        <!-- tab content -->
                        <?= \INPUT::CMSObjectOptions('options', $this->app->getItemMetaOptionKeys(), $item['options'], $this->app->getDefaultItemMetaOptionKeys(), 1, 3);  ?>
                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab5">
                        <!-- tab content -->
                        <?= \INPUT::UserNameSelectionField('created_by_id', $item['created_by_id'], ___('Owner / Created By'), array('class'=>'form-control')); ?>
                        <?= \INPUT::UserNameSelectionField('modified_by_id', $item['modified_by_id'], ___('Last Modified By'),  array('class'=>'form-control')); ?>

                        <fieldset id="fieldset_permission_read">
                            <legend><?= ___('Who can read this page?'); ?></legend>
                            <?= \INPUT::UserGroupReadPermissionCheckboxGroup('read', $item['permission_read']) ?>
                        </fieldset>
                        <fieldset id="fieldset_permission_write">
                            <legend><?= ___('Who can modify this page?') ?></legend>
                            <?= \INPUT::UserGroupWritePermissionCheckboxGroup('write', $item['permission_write'], $CurrentUser->getCurrentUserGroupIDs(), false) ?>
                        </fieldset>
                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab6">
                        <!-- eh -->
                        <?php
                        App\Versioning_Admin::displayVersioningGrid($this->app_name, $item['guid']);
                        ?>
                    </div>
                    <!-- end tab -->
                </div>
                <!-- end tab content -->
            </div>
            <!-- end tabs -->
        </form>
    </div>
</schlix-data-editor>