<?php
/**
 * Newsletter and Email marketing solution for SCHLIX CMS - Edit Item Template
 *
 * @copyright SCHLIX Web Inc
 *
 * @license SCHLIX Shared Source
 *
 * @package newsletters
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    https://www.schlix.com
 */
if (!defined('SCHLIX_VERSION')) die('No Access');
?>
<?php
global $CurrentUser;

$max_upload_size = get_real_max_upload_size()/(1024*1024);


$subscriber_info = NULL;
$custom_fields = $this->app->getAllCustomFieldNames();
if ($id == 'new') {
    $item['permission_read'] = serialize('everyone');
    $header_title = ___('New Subscriber');
    $is_existing_subscriber = false;
    $item['status'] = -2;

    $newsletter_email_template_app = $this->app->createSubClassInstance('EmailTemplates');
    $all_invite_templates = $newsletter_email_template_app->getAllItems('*', "virtual_filename = 'import-consent' OR virtual_filename = 'subscription-verification' OR is_system_message <> 1");

    $newsletter_app = new \App\Newsletters();
    $all_newsletters = $newsletter_app->getAllCategories('*', 'status > 0');

    
} else {
    $header_title = ___('Edit Subscriber').' #'.$id;
    $is_existing_subscriber = true;
    $subscriber_info = $this->app->getSubscriberByID($id);
    $subscriptions = $this->app->getSubsriptionsStatusForAllNewsletters($id);
}


switch ($item['status'])
{
    case -4:
        $status_button = "question-circle";
        $status_color = 'darkorange';
        $status_text = 'invalidated';
        break;
    case -3:
        $status_button = "exclamation-circle";
        $status_color = 'red';
        $status_text = 'blacklisted';
        break;
    case -2:
        $status_button = "question-circle";
        $status_color = 'darkorange';
        $status_text = 'new';
        break;
        // more ...            
    case 1:
        $status_button = "check-circle";
        $status_color = 'green';
        $status_text = 'active';
        break;
    case 0:
        $status_button = "times-circle";
        $status_color = 'red';
        $status_text = 'unsubscribed';
        break;
    default:
        $status_button = "exclamation-triangle";
        $status_color = 'red';
        $status_text = 'unknown';
        break;
}

?>
<schlix-data-editor id="schlix-<?= $this->app_name ?>-admin" class="schlix-data-editor" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-main-app-description="<?= $this->app->getApplicationDescription() . ': ' . $header_title ?>" data-schlix-controller="SCHLIX.CMS.NewslettersSubscribersAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="<?= $this->app->getFieldID() ?>" data-cancel-warning="true" >
   <div class="content"> 
        <form id="frm_item_editor" method="post" action="<?= $this->createFriendlyAdminURL('action=saveitem') ?>" enctype="multipart/form-data" >
            <?= \INPUT::CSRF() ?>
            <input type="hidden" name="id" id="id" value="<?= $id; ?>" />
            <?php if ($id == 'new'): ?>
                <input type="hidden" name="status" id="status" value="-2" />
            <?php endif ?>
            <input type="hidden" name="guid" id="guid" value="<?= $item['guid']; ?>" />
            <div class="row">
                <div class="col-md-8 col-lg-8">
                    <!-- Page Title -->
                    <div class="form-group">
                        <label for="title"><?= ___("E-mail Address") ?></label>
                        <div class="input-group">
                             <!-- title -->
                             <input name="email_address" id="email_address" type="text" class="form-control"  size="49" maxlength="254"  required="required"   value="<?= SAFE_HTML($item['email_address']) ?>" /> 
                            <!-- version -->
                             <!-- end version -->

                            <!-- Status -->
                            <span class="input-group-addon">
                                <i class="fa fa-<?= $status_button ?>" style="color: <?= $status_color ?>"></i> <?= $status_text ?>
                            </span> 
                        </div>
                    </div>
                    <!-- End Page Title --> 
                    
                    <?php if ($id == 'new' && $all_invite_templates): ?>
                    <div class="alert alert-info">
                    <!-- newsletter assignment -->
                        <p><?= ___('Create with assignment to the following newsletter') ?>:</p>
                        <?php if ($all_newsletters): ?>
                            <?php foreach ($all_newsletters as $nz): ?>
                                <div class="checkbox"><label><input type="checkbox" name="subscribe_to[]" value="<?= $nz['cid'] ?>" <?= (count($all_newsletters) == 1) ? 'checked="checked"' : '' ?> /> <?= SAFE_HTML($nz['title']) ?><label></div>
                            <?php endforeach ?>
                        <?php endif ?>
                    
                    <!-- consent -->
                        
                    <p><strong><?= ___('Please choose an email template to send to ask for consent') ?></strong></p>
                    <?php foreach ($all_invite_templates as $tmpl): ?>
                        <div class="radio"><label><input type="radio" name="send_email_template_id" required="required" value="<?= $tmpl['id'] ?>" /> <?= '#'.$tmpl['id'].': '.SAFE_HTML($tmpl['title'].' - '.$tmpl['purpose']) ?><label></div>
                    <?php endforeach ?>
                                     <p class="small"><?= ___('You can create your own custom invite email asking for their consent') ?></p>     
                                    </div>
                    <?php endif ?>
                                                  
                </div>
                <div class="col-md-4 col-lg-4 text-right" schlix-id="data-editor-toolbar">
                    <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-item" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                    <?php if ($id > 0): ?>
                    <button type="submit" class="btn btn-info schlix-command-button" data-schlix-command="apply-item" name="btn_save"><i class="fa fa-caret-square-o-right"></i> <?= ___('Apply'); ?></button>
                    <?php endif ?>
                    <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-item" name="btn_save"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>

                </div>            
            </div>

            <!-- main -->
            <div class="clearboth"></div>

            <?php
            ///////////////////////////////
            // Display save error, if any
            $this->displayLastSaveResult()
            ///////////////////////////////
            ?>

            <!-- end main section -->
            <!-- begin tabs -->
            <div id="schlix_editor_main_content" class="schlixui-tabcontainer">
                <!-- tab navigation -->
                <ul class="schlixui-tabheader">
                    <li class="selected"><a href="#tab_data"><em><?= ___('Subscriber Data') ?></em></a></li>
                    <?php if ($id != 'new'): ?>
                    <li><a href="#tab_subscriptions"><em><?= ___('Subscriptions') ?></em></a></li>
                    <?php endif ?>
                    <li><a href="#tab_logs"><em><?= ___('Log') ?></em></a></li>
                    <li><a href="#tab_sentmails"><em><?= ___('Sent mails') ?></em></a></li>
                    <li><a href="#tab_requests"><em><?= ___('Requests') ?></em></a></li>
                </ul>
                <!-- end tab navigation -->
                <!-- tab ocntent -->
                <div class="schlixui-tabcontent">
                    <!-- tab -->
                    <div id="tab_data">
                        <!-- tab 1 content -->
                        <?php foreach ($custom_fields as $cf): ?>
                            <!-- field -->
                            <div class="form-group">
                                <?php /*<label for="<?= $field['virtual_filename'] ?>" class=" control-label"><?= SAFE_HTML($field['title']) ?></label>
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="fa fa-terminal" ></i></span>
                                    <input type="text" class="form-control" name="<?= $field['virtual_filename'] ?>" id="<?= $field['virtual_filename'] ?>"  placeholder="<?= SAFE_HTML($field['title']) ?>"  value="<?= SAFE_HTML($subscriber_info[$field['virtual_filename']]) ?>" />
                                </div>*/ ?>
                                    <?= \App\Newsletters_CustomFields::drawField($cf, SAFE_HTML($subscriber_info[$cf['virtual_filename']]), true) ?>
                                
                            </div>
                            <!-- field -->
                        <?php endforeach ?> 
            <div class="text-right">
                <?php if ( $item['date_created']): ?>
                <strong><?= ___('Created') ?></strong>: <?= $item['date_created'] ?>
                <?php endif ?>
                <?php if ( $item['date_modified']): ?>
                <strong><?= ___('Modified') ?></strong>: <?= $item['date_modified'] ?>
                <?php endif ?>
            </div>
            <?php if ($id > 0 && $item['status'] > 0): ?>
            <div class="checkbox">
                <label><input type="checkbox" name="unsubscribe_from_all" /> <?= ___('Unsubscribe this subscriber and send an email confirming that the email address has been unsubscribed') ?><label>
            </div>
            <?php endif ?>
            
                                    <div class="clearboth"></div>
<hr />
<div class="alert alert-warning">
    <p><?= ___('If you need to provide additional records of consent (implied and/or express), you can copy and paste the notes as well as upload attachments. Please always keep and backup the records, especially the ones on the Requests tab to prove implied and express consent') ?> <a href="http://www.crtc.gc.ca/eng/com500/guide.htm" target="_blank" rel="noreferrer noopener"><?= ___('More information') ?> </a> </p>
</div>
                        <label for="extra_notes"><?= ___('Additional Notes') ?></label>
                        <textarea class="wysiwyg form-control" name="extra_notes" id="summary"><?= SAFE_HTML($item['extra_notes']) ?></textarea>

                        <div class="clearboth"></div>
            
                                <fieldset><legend><?= ___('Upload Notes') ?></legend>
                                <!-- existing image -->

                                    
                                    
                                    <label class="btn btn-default btn-file"><i class="fa fa-folder-open-o"></i> <?= ___("Select a file") ?>
                                        <input type="file" class="form-control" name="extra_attachment" id="extra_attachment" />
                                   </label>
                                    
                                    <strong><?= ___('Note') ?>:</strong>
                                    <em><?= sprintf(___('Your server max upload size: %dMb. To change this value, please contact the server admin and set it in php.ini (upload_max_filesize, post_max_size, memory_limit).<br />'), $max_upload_size) ?></em>
                                <?php if ($item['extra_attachment']): ?>
                                    <?php 
                                    $img_ext = array('png','jpg','jpeg');
                                    $ext = pathinfo($item['extra_attachment'], PATHINFO_EXTENSION);
                                    
                                    ?>
                                    <?php if (in_array($ext, $img_ext)): ?>
                                    <br />
                                    <h3><?= ___('Existing image') ?> </h3>
                                    <br />
                                    <img id="preview_image" src="<?= $this->createFriendlySubApplicationAdminURL("subscribers")."?action=downloadattachment&id={$item['id']}" ?>" border="0" align="top" style="max-width:100%" />
                                    <?php else: ?>
                                    <a id="extra_attachment_link" src="<?= $this->createFriendlySubApplicationAdminURL("subscribers")."?action=downloadattachment&id={$item['id']}" ?>" ><i class="fa fa-file-o"></i> <?= SAFE_HTML($item['extra_attachment']) ?></a>
                                    <?php endif ?>
                                    
                                <div style="clear:both"></div>
                                <div style="margin-top:10px">
                        <schlix-cms-document-status id="delete_extra_attachment" data-input-name="delete_extra_attachment" data-value="" 
                                data-icon-yes="fa fa-times-circle" data-icon-no="fa fa-check" data-color-yes="red" data-color-no="green" 
                                data-text-yes="<?= ___('Delete this file once saved.') ?>" data-text-no="<?= ___('Keep this file') ?>"></schlix-cms-document-status>                        
                                </div>
                                    <?php else: ?>
                                    <?= ___('No attachment') ?>
                                <div class="alert alert-info">
                                    <?= ___('You can upload a file here if necessary') ?>
                                </div>
                                <?php endif; ?>
                                <!-- end existing image -->
                                </fieldset>
                        
                        <!-- end tab 1 content -->
                    </div>
                    <!-- end tab -->
                    <?php if ($id != 'new'): ?>
                    <!-- tab -->
                    <div id="tab_subscriptions">
                        <!-- tab content -->
                        <?php 
                        $newsletter_app = new \App\Newsletters();
                        $all_newsletters = $newsletter_app->getAllCategories();
                        
                        $detail_sub = [];
                        if ($subscriptions)
                        {
                            foreach ($subscriptions as $sub)
                                $detail_sub[$sub['newsletter_id']] = $sub;
                        }
                        ?>                        
                        <?php if ($all_newsletters): ?>
                        
                        <table class="table table-responsive">
                            <thead>
                            <tr>
                                <th><?= ___('Status') ?></th>
                                <th><?= ___('Newsletter') ?></th>
                                <th><?= ___('Created') ?></th>
                                <th><?= ___('Modified') ?></th>
                            </tr>
                        </thead>
                        <tbody>
                        <?php foreach ($all_newsletters as $news): ?>
                            <?php $inf = $detail_sub[$news['cid']] ?>
                            <tr>
                                <td>
                                    <i class="<?= $inf ? 'fa fa-check-square' : 'fa fa-square-o' ?>"></i>
                                </td>
                                <td>
                                     <?= SAFE_HTML($news['title']) ?>
                                </td>
                                <td>
                                    <?=  ($inf['date_created'] != NULL_DATE && $inf['date_created'] != NULL) ? $inf['date_created'] : '&nbsp;'; ?>
                                </td>
                                <td>
                                    <?=  ($inf['date_modified'] != NULL_DATE && $inf['date_modified'] != NULL) ? $inf['date_modified'] : '&nbsp;'; ?>
                                </td>                                
                            </tr>
                        <?php endforeach ?>
                        </tbody>
                        </table>
                        <?php endif ?>
                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <?php endif ?>
                    <!-- tab -->
                    <div id="tab_logs">
                        <!-- tab content -->
                        <?php if ($is_existing_subscriber) include ('edit.subscribers.history.template.php') ?>
                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab_sentmails">
                        <!-- tab content -->
                        <?php if ($is_existing_subscriber) include ('edit.subscribers.sentmails.template.php') ?>
                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    
                    <!-- tab -->
                    <div id="tab_requests">
                        <!-- tab content -->
                        <?php if ($is_existing_subscriber) include ('edit.subscribers.requests.template.php') ?>
                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                </div>
                <!-- end tab content -->
            </div>
            <!-- end tabs -->
        </form>
    </div>
</schlix-data-editor>




<!-- Preview Dialog -->
<div class="schlix-cms-common-dialog" id="schlix-cms-logviewer-dialog" data-fixedcenter="true" data-visible="false" data-constraintoviewport="true" data-schlix-controller="SCHLIX.CMS.NewslettersSubscribersAdmin" data-model="<?= $this->getDataModelURL() ?>">    
    <div class="panel-header"><?= ___("View log"); ?></div>
    <div class="panel-body">
        <div id="message-container">
            <!-- form -->

                <div id="message-content">
                    <!-- content goes here -->
                </div>
                    <button type="submit" name="cancel" data-schlix-command="dialog-close" class="btn btn-default"><i class="fa fa-times"></i>&nbsp;<?= ___("OK") ?></button>
                <!-- end form -->
        </div>
    </div>
</div>
