<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION')) die('No Access');
?>
<?php $app = $this->app_name; ?>
<h3><?= ___('Subscribe Request') ?></h3>
<div class="schlix-explorer">
    <schlix-data-explorer-list id="schlix-subscriberequests-admin" class="schlix-data-explorer-list" data-app="<?= $app ?>" data-schlix-controller="SCHLIX.CMS.NewslettersSubscribersAdmin" data-model="<?= $this->getDataModelURL() ?>" data-desc="<?= ___('Subscribe Requests') ?>">
        <schlix-datasource>
            <custom-command data-default="action=getdataresponseschemas"  data-replace-with="action=getsubscriberequestsresponseschema" />
            <custom-command data-default="action=getallitems"  data-replace-with="action=getsubscriberequests&id=<?= $id ?>" />
        </schlix-datasource>
       <nav class="navbar navbar-default schlix-data-explorer-toolbar" role="navigation">
            <!-- FIX - ADD TOOLBAR BUTTON PLEASE -->
            <div class="collapse navbar-collapse" schlix-id="toolbar">
                <ul class="nav navbar-nav">
                    <li><a href="#" schlix-id="btn-refresh" data-schlix-command="refresh" class="schlix-command-button"><i class="fa fa-refresh"></i> <?= ___('Refresh') ?></a></li>
                </ul> 
            </div><!-- /.navbar-collapse -->
        </nav>        

        <div style=" clear:both"></div>
        <!-- Begin Data Viewer -->
        <div class="schlix-data-container row" schlix-id="main-data-container" style="margin:0">
            <div class="col-sm-12" schlix-id="right-column" >
                
                <schlix-data-table schlix-id="datanav-datatable" schlix-query-action="action=getsubscriberequests&id=<?= $id ?>" schlix-field-item-title="notes" data-default-sort-by="id" data-default-sort-direction="desc">
                    <schlix-data-table-columns>
                        <schlix-data-table-column key="id" hidden="false" label="#" sortable="true" formatter="SCHLIX.CMS.NewslettersSubscribersAdmin.formatDataTableCell_ViewID" />
                        <schlix-data-table-column key="guid" hidden="true"  formatter="string" />
                        <schlix-data-table-column key="email_address" label="<?= ___('Email') ?>" formatter="string" />
                        <schlix-data-table-column key="date_created" label='<?= ___('Date Created') ?>' sortable="true" formatter="this.formatDataTableCell_Date" />
                        <schlix-data-table-column key="date_expiry" label='<?= ___('Date Expiry') ?>' sortable="true" formatter="this.formatDataTableCell_Date" />
                        
                        <schlix-data-table-column key="ip_address" label="<?= ___('IP Address') ?>" formatter="string" />
                        <schlix-data-table-column key="date_activated" label='<?= ___('Date Activated') ?>' sortable="true" formatter="this.formatDataTableCell_Date" />
                        <schlix-data-table-column key="confirmed_ip_address" label="<?= ___('Activation IP Address') ?>" formatter="string" />
 
                        <schlix-data-table-column key="status" label="<?= ___('Status') ?>" formatter="SCHLIX.CMS.NewslettersSubscribersAdmin.formatDataTableCell_SubscribeRequestStatus" />
                        <schlix-data-table-column key="notes" sortable="false" label= "<?= ___('Notes') ?>" formatter="SCHLIX.CMS.NewslettersSubscribersAdmin.formatDataTableCell_ViewLog" />
                     </schlix-data-table-columns>
                </schlix-data-table>                
                <div schlix-id="datanav-paginator" class="schlixui-pg-container"></div>
            </div>
        </div>
        <!-- End Data Viewer -->
    </schlix-data-explorer-list>
</div>

<!-- Email Change -->
<h3><?= ___('Email Change Request') ?></h3>
<div class="schlix-explorer">
    <schlix-data-explorer-list id="schlix-emailchangerequests-admin" class="schlix-data-explorer-list" data-app="<?= $app ?>" data-schlix-controller="SCHLIX.CMS.NewslettersSubscribersAdmin" data-model="<?= $this->getDataModelURL() ?>" data-desc="<?= ___('Email Change Requests') ?>">
        <schlix-datasource>
            <custom-command data-default="action=getdataresponseschemas"  data-replace-with="action=getemailchangerequestsresponseschema" />
            <custom-command data-default="action=getallitems"  data-replace-with="action=getemailchangerequests&id=<?= $id ?>" />
        </schlix-datasource>
       <nav class="navbar navbar-default schlix-data-explorer-toolbar" role="navigation">
            <!-- FIX - ADD TOOLBAR BUTTON PLEASE -->
            <div class="collapse navbar-collapse" schlix-id="toolbar">
                <ul class="nav navbar-nav">
                    <li><a href="#" schlix-id="btn-refresh" data-schlix-command="refresh" class="schlix-command-button"><i class="fa fa-refresh"></i> <?= ___('Refresh') ?></a></li>
                </ul> 
            </div><!-- /.navbar-collapse -->
        </nav>        

        <div style=" clear:both"></div>
        <!-- Begin Data Viewer -->
        <div class="schlix-data-container row" schlix-id="main-data-container" style="margin:0">
            <div class="col-sm-12" schlix-id="right-column" >
                
                <schlix-data-table schlix-id="datanav-datatable" schlix-query-action="action=getsubscriberequests&id=<?= $id ?>" schlix-field-item-tile="email_address" data-default-sort-by="id" data-default-sort-direction="desc">
                    <schlix-data-table-columns>
                        <schlix-data-table-column key="id" hidden="false" label="#" sortable="true" formatter="number" />
                        <schlix-data-table-column key="guid" hidden="true"  formatter="string" />
                        <schlix-data-table-column key="email_address" label="<?= ___('Old Email') ?>" formatter="string" />
                        <schlix-data-table-column key="new_email_address" label="<?= ___('New Email') ?>" formatter="string" />
                        
                        <schlix-data-table-column key="date_created" label='<?= ___('Date Created') ?>' sortable="true" formatter="this.formatDataTableCell_Date" />
                        <schlix-data-table-column key="date_activated" label='<?= ___('Date Activated') ?>' sortable="true" formatter="this.formatDataTableCell_Date" />
                        <schlix-data-table-column key="ip_address" label="<?= ___('IP Address') ?>" formatter="string" />
                        <schlix-data-table-column key="host_name" label="<?= ___('Host Name') ?>" formatter="string" />
                        <schlix-data-table-column key="status" label="<?= ___('Status') ?>" formatter="SCHLIX.CMS.NewslettersSubscribersAdmin.formatDataTableCell_EmailChangeRequestStatus" />
                        

                        <schlix-data-table-column key="notes" sortable="false" label= "<?= ___('Notes') ?>" formatter="SCHLIX.CMS.NewslettersSubscribersAdmin.formatDataTableCell_ViewLog" />                        
                     </schlix-data-table-columns>
                </schlix-data-table>                
                <div schlix-id="datanav-paginator" class="schlixui-pg-container"></div>
            </div>
        </div>
        <!-- End Data Viewer -->
    </schlix-data-explorer-list>
</div>

<!-- Unsubscribe -->
<h3><?= ___('Unsubscribe Request') ?></h3>
<div class="schlix-explorer">
    <schlix-data-explorer-list id="schlix-unsubscriberequests-admin" class="schlix-data-explorer-list" data-app="<?= $app ?>" data-schlix-controller="SCHLIX.CMS.NewslettersSubscribersAdmin" data-model="<?= $this->getDataModelURL() ?>" data-desc="<?= ___('Unsubscribe Requests') ?>">
        <schlix-datasource>
            <custom-command data-default="action=getdataresponseschemas"  data-replace-with="action=getunsubscriberequestsresponseschema" />
            <custom-command data-default="action=getallitems"  data-replace-with="action=getunsubscriberequests&id=<?= $id ?>" />
        </schlix-datasource>
       <nav class="navbar navbar-default schlix-data-explorer-toolbar" role="navigation">
            <!-- FIX - ADD TOOLBAR BUTTON PLEASE -->
            <div class="collapse navbar-collapse" schlix-id="toolbar">
                <ul class="nav navbar-nav">
                    <li><a href="#" schlix-id="btn-refresh" data-schlix-command="refresh" class="schlix-command-button"><i class="fa fa-refresh"></i> <?= ___('Refresh') ?></a></li>
                </ul> 
            </div><!-- /.navbar-collapse -->
        </nav>        

        <div style=" clear:both"></div>
        <!-- Begin Data Viewer -->
        <div class="schlix-data-container row" schlix-id="main-data-container" style="margin:0">
            <div class="col-sm-12" schlix-id="right-column" >
                
                <schlix-data-table schlix-id="datanav-datatable" schlix-query-action="action=getsubscriberequests&id=<?= $id ?>" schlix-field-item-title="notes" data-default-sort-by="id" data-default-sort-direction="desc">
                    <schlix-data-table-columns>
                        <schlix-data-table-column key="id" hidden="false" label="#" sortable="true" formatter="number" />
                        <schlix-data-table-column key="guid" hidden="true"  formatter="string" />
                        <schlix-data-table-column key="email_address" label="<?= ___('Email') ?>" formatter="string" />
                        <schlix-data-table-column key="date_created" label='<?= ___('Date Created') ?>' sortable="true" formatter="this.formatDataTableCell_Date" />
                        <schlix-data-table-column key="ip_address" label="<?= ___('IP Address') ?>" formatter="string" />
                        <schlix-data-table-column key="host_name" label="<?= ___('Host Name') ?>" formatter="string" />
                       
                       
                     </schlix-data-table-columns>
                </schlix-data-table>                
                <div schlix-id="datanav-paginator" class="schlixui-pg-container"></div>
            </div>
        </div>
        <!-- End Data Viewer -->
    </schlix-data-explorer-list>
</div>
