<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION')) die('No Access');
?>
<?php $app = $this->app_name; ?>
<div class="schlix-explorer">
    <schlix-data-explorer-list id="schlix-sentmails-admin" class="schlix-data-explorer-list" data-app="<?= $app ?>" data-schlix-controller="SCHLIX.CMS.NewslettersSubscribersAdmin" data-model="<?= $this->getDataModelURL() ?>" data-desc="<?= ___('Sent Mails') ?>">
        <schlix-datasource>
            <custom-command data-default="action=getdataresponseschemas"  data-replace-with="action=getsubscribersentmailsresponseschema" />
            <custom-command data-default="action=getallitems"  data-replace-with="action=getsentmails&id=<?= $id ?>" />
        </schlix-datasource>
       <nav class="navbar navbar-default schlix-data-explorer-toolbar" role="navigation">
            <!-- FIX - ADD TOOLBAR BUTTON PLEASE -->
            <div class="collapse navbar-collapse" schlix-id="toolbar">
                <ul class="nav navbar-nav">
                    <li><a href="#" schlix-id="btn-refresh" data-schlix-command="refresh" class="schlix-command-button"><i class="fa fa-refresh"></i> <?= ___('Refresh') ?></a></li>
                </ul> 
            </div><!-- /.navbar-collapse -->
        </nav>        

        <div style=" clear:both"></div>
        <!-- Begin Data Viewer -->
        <div class="schlix-data-container row" schlix-id="main-data-container" style="margin:0">
            <div class="col-sm-12" schlix-id="right-column" >
                
                <schlix-data-table schlix-id="datanav-datatable" schlix-query-action="action=getsubscriberequests&id=<?= $id ?>" schlix-field-item-title="notes" data-default-sort-by="id" data-default-sort-direction="desc">
                    <schlix-data-table-columns>
                        <schlix-data-table-column key="id" hidden="false" label="#" sortable="true" formatter="number" />
                        <schlix-data-table-column key="guid" hidden="false" label="<?= ___('GUID') ?>" sortable="false" formatter="string" />
                        <schlix-data-table-column key="field_subject" sortable="true" label="<?= ___('Subject') ?>" role="title" formatter="SCHLIX.CMS.NewslettersSubscribersAdmin.formatDataTableCell_ViewMail" />
                        <schlix-data-table-column key="field_to_email" label="<?= ___('To') ?>" formatter="string" />

                        <schlix-data-table-column key="date_queued" label="<?= ___('Date Queued') ?>" sortable="true" formatter="this.formatDataTableCell_Date" />
                        <schlix-data-table-column key="date_sent" label="<?= ___('Date Sent') ?>" sortable="true" formatter="this.formatDataTableCell_Date" />
                        <schlix-data-table-column key="retry_count" label="<?= ___('Retry Count') ?>" sortable="true" formatter="number" />
                        <schlix-data-table-column key="errors" label="<?= ___('Errors') ?>" formatter="SCHLIX.CMS.NewslettersSubscribersAdmin.formatDataTableCell_ViewErrors" />
                        
                     </schlix-data-table-columns>
                </schlix-data-table>                
                <div schlix-id="datanav-paginator" class="schlixui-pg-container"></div>
            </div>
        </div>
        <!-- End Data Viewer -->
    </schlix-data-explorer-list>
</div>



<!-- Preview Dialog -->
<div class="schlix-cms-common-dialog" id="schlix-cms-emailqueueviewer-dialog" data-fixedcenter="true" data-visible="false" data-constraintoviewport="true" data-schlix-controller="SCHLIX.CMS.NewslettersSubscribersAdmin" data-model="<?= $this->getDataModelURL() ?>">    
    <div class="panel-header"><?= ___("View Email"); ?></div>
    <div class="panel-body">
        <div id="message-container" style="max-width:800px">
            <!-- form -->
            <div class="row">
                <div class="col-md-6">
                    <!-- field -->
                    <div class="form-group">
                        <label class=" control-label"><?= ___('From') ?></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-envelope"></i></span>
                            <input type="text" class="form-control" name="email_from" id="email_from" readonly="readonly" />
                        </div>
                    </div>
                    <!-- field -->
                    <div class="form-group">
                        <label class=" control-label"><?= ___('To') ?></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-envelope"></i></span>
                            <input type="text" class="form-control" name="email_to" id="email_to" readonly="readonly" />
                            <span class="input-group-addon"># <span id="subscriber_link"></span></span>
                        </div>
                    </div>
                    <!-- field -->
                    <div class="form-group">
                        <label class=" control-label"><?= ___('Date Queued') ?></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-clock-o"></i></span>
                            <input type="text" class="form-control" name="email_datequeued" id="email_datequeued" readonly="readonly" />
                        </div>
                    </div>
                    <!-- field -->
                    <div class="form-group">
                        <label class=" control-label"><?= ___('Date Sent') ?></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-clock-o"></i></span>
                            <input type="text" class="form-control" name="email_datesent" id="email_datesent" readonly="readonly" />
                        </div>
                    </div>
                    <div class="form-group">
                        <label class=" control-label"><?= ___('Queue Marker') ?></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-pencil-square-o"></i></span>
                            <input type="text" class="form-control" name="email_queue_marker" id="email_queue_marker" readonly="readonly" />
                        </div>
                    </div>
                    
                </div>
                <!-- col -->
                <div class="col-md-6">
                    <!-- field -->
                    <div class="form-group">
                        <label class=" control-label"><?= ___('Subject') ?></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-pencil-square-o"></i></span>
                            <input type="text" class="form-control" name="email_subject" id="email_subject" readonly="readonly" />
                        </div>
                    </div>
                    
                    
                    <label class=" control-label"><?= ___('HTML Body') ?></label>
                    <div id="email_bodyhtml" style="max-height:200px;overflow: scroll"></div>
                    
                    <hr />
                    <div style="clear:both"></div>
                    <!-- field -->
                        <label class=" control-label"><?= ___('Text Body') ?></label>
                        <div id="email_bodytext" style="max-height:200px;width:100%;overflow:scroll"></div>
                    <div style="clear:both"></div>
                    <hr />                    
                    <div id="email_errors"></div>
                </div>
            </div>
                    <button type="submit" name="cancel" data-schlix-command="dialog-close" class="btn btn-default"><i class="fa fa-times"></i>&nbsp;<?= ___("OK") ?></button>
                <!-- end form -->
        </div>
    </div>
</div>
