<?php
/**
 * Newsletter and Email marketing solution for SCHLIX CMS - Edit Item Template
 *
 * @copyright SCHLIX Web Inc
 *
 * @license SCHLIX Shared Source
 *
 * @package newsletters
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    https://www.schlix.com
 */
if (!defined('SCHLIX_VERSION')) die('No Access');
?>
<?php
global $CurrentUser;
if ($id == 'new') {
    $header_title = ___('New Segment');
    $is_existing_subscriber = false;
} else {
    $header_title = ___('Edit Segment').' #'.$id;
    $is_existing_subscriber = true;
}

global $HTMLHeader;
$HTMLHeader->Javascript($this->getUrlOfScript('sql-parser.min.js'));
$HTMLHeader->Javascript($this->getUrlOfScript('query-builder.standalone.min.js'));
$HTMLHeader->CSS($this->getUrlOfScript('query-builder.default.min.css'));
?>
<schlix-data-editor id="schlix-<?= $this->app_name ?>-admin" class="schlix-data-editor" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-main-app-description="<?= $this->app->getApplicationDescription() . ': ' . $header_title ?>" data-schlix-controller="SCHLIX.CMS.NewslettersSubscriberSegmentsAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="<?= $this->app->getFieldID() ?>" data-cancel-warning="true" >
   <div class="content"> 
        <form id="frm_item_editor" method="post" action="<?= $this->createFriendlyAdminURL('action=saveitem') ?>" enctype="multipart/form-data" >
            <?= \INPUT::CSRF() ?>
            <input type="hidden" name="id" id="id" value="<?= $id; ?>" />
            <input type="hidden" name="guid" id="guid" value="<?= $item['guid']; ?>" />
            <div class="row">
                <div class="col-md-8 col-lg-8">
                    <!-- Page Title -->
                    <div class="form-group">
                        <label for="title"><?= ___("Segment Name") ?></label>
                        <div class="input-group">
                             <!-- title -->
                             <input name="title" id="title" type="text" class="form-control"  size="49" maxlength="254"  required="required"   value="<?= SAFE_HTML($item['title']) ?>" placeholder="<?= ___('e.g. Subscribers in X postalcode') ?>" /> 
                            <!-- version -->
                            
                            
                        </div>
                    </div>
                    <!-- End Page Title --> 
                    
                      
                </div>
                <div class="col-md-4 col-lg-4 text-right" schlix-id="data-editor-toolbar">
                    <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-item" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                    <button type="submit" class="btn btn-info schlix-command-button" data-schlix-command="apply-item" name="btn_save"><i class="fa fa-caret-square-o-right"></i> <?= ___('Apply'); ?></button>
                    <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-item" name="btn_save"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>

                </div>            
            </div>

            <!-- main -->
            <div class="clearboth"></div>

            <?php
            ///////////////////////////////
            // Display save error, if any
            $this->displayLastSaveResult()
            ///////////////////////////////
            ?>
            <script type="text/javascript">
                var all_custom_fields = <?= $this->getExtraCustomFieldsAsOptions() ?>;
            </script>
            <!-- end main section --> 
            <div id="sqlbuilder"></div>
            <label for="sql_query"><?= ___('SQL Query Criteria') ?></label>
            <input name="sql_query" id="sql_query" type="text" readonly="readonly" class="form-control"  value="<?= SAFE_HTML($item['sql_query']) ?>" /> 
        </form>
       <!-- ############################################################ -->
       <!-- ############################################################ -->
       <?php if ($id != 'new'): ?>
       <h3><?= ___('Active subscribers matching this criteria') ?> (<span id="subscribers_count"><?= $item['snapshot_count'] ?></span>)</h3>
<div class="schlix-explorer">
    <schlix-data-explorer-list id="schlix-segment-admin" class="schlix-data-explorer"  data-schlix-controller="SCHLIX.CMS.NewslettersSubscriberSegmentsAdmin" data-main-app-description="<?= $this->app->getApplicationDescription() ?>" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-model="<?= $this->getDataModelURL() ?>" data-default-item-icon="fa fa-user fa-2x">
        <schlix-datasource>
            <custom-command data-default="action=getdataresponseschemas"  data-replace-with="action=getsubscriberresponseschema" />
            <custom-command data-default="action=getallitems"  data-replace-with="action=getbysegment&id=<?= $id ?>" />
        </schlix-datasource>
        
        <nav class="navbar navbar-default schlix-data-explorer-toolbar" role="navigation">
            <!-- for mobile -->
            <button type="button" class="navbar-toggle collapsed schlix-toolbar-toggle" data-toggle="collapse" data-target="#schlix-<?= $this->app->getApplicationNameOnly() ?>-admin-toolbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <!-- end for mobile -->

            <div class="collapse navbar-collapse" schlix-id="toolbar">
                <ul class="nav navbar-nav">
                    <li><a href="#" schlix-id="btn-refresh" data-schlix-command="refresh" class="schlix-command-button"><i class="fa fa-refresh"></i> <?= ___('Refresh') ?></a></li>
                    

                </ul>
 
            </div><!-- /.navbar-collapse -->
        </nav>

        <schlix-data-breadcrumb schlix-id="breadcrumb">
        </schlix-data-breadcrumb>
        <div style=" clear:both"></div>
        <!-- Begin Data Viewer -->
        <div class="schlix-data-container row" schlix-id="main-data-container" style="margin:0">
            <div class="col-sm-12" schlix-id="right-column" >
                
                <schlix-data-table schlix-id="datanav-datatable" data-default-sort-by="id" data-default-sort-direction="desc">
                    <schlix-data-table-columns>
                        <schlix-data-table-column key="check" label="this.getSelectAllCheckboxTableHeader()" formatter="this.formatDataTableCell_CheckBox" sortable="false" />
                        <schlix-data-table-column key="id" hidden="false" sortable="true" formatter="number" />
                        <schlix-data-table-column key="email_address" label= "<?= ___('Email Address') ?>" formatter="string" sortable="true" />                        
                        <?php foreach ($this->extra_custom_fields as $field) : ?>
                        <?php if (str_contains($field['virtual_filename'],'ame')): ?>
                        <schlix-data-table-column key="<?= $field['virtual_filename'] ?>" label="<?=  SAFE_HTML($field['title']) ?>" formatter="string" sortable="false"  />
                        <?php else: ?>
                        <schlix-data-table-column key="<?= $field['virtual_filename'] ?>" label="<?=  SAFE_HTML($field['title']) ?>" formatter="string" sortable="false"  />
                        <?php endif ?>
                        <?php endforeach ?>
                        <schlix-data-table-column key="status" label='<?= ___('Status') ?>' sortable="true" formatter="this.formatDataTableCell_Status" />
                        
                        <schlix-data-table-column key="date_created" label='<?= ___('Date Created') ?>' sortable="true" formatter="this.formatDataTableCell_Date" />
                     </schlix-data-table-columns>
                </schlix-data-table>                
                <div schlix-id="datanav-paginator" class="schlixui-pg-container"></div>
            </div>
        </div>
        <!-- End Data Viewer -->
    </schlix-data-explorer-list>

</div>
       <?php endif ?>
        
       <!-- ############################################################ -->
       <!-- ############################################################ -->
    </div>
</schlix-data-editor>