<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
global $CurrentUser;

$available_custom_fields = $this->app->createSubClassInstance('CustomFields')->getFieldsForNewslettersEditing();


if ($id == 'new') {
    $item['permission_read'] = serialize('everyone');
    $header_title = ___('New Newsletter Template');
} else {
    $header_title = ___('Edit Newsletter Template').' #'.$id;
}
?>

<schlix-data-editor id="schlix-<?= $this->app_name ?>-admin" class="schlix-data-editor" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-main-app-body_text="<?= $this->app->getApplicationDescription() . ': ' . $header_title ?>" data-schlix-controller="SCHLIX.CMS.NewslettersTemplatesAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="<?= $this->app->getFieldID() ?>" data-cancel-warning="true" >
    <div class="content"> 
        <form id="frm_item_editor" method="post" action="<?= $this->createFriendlyAdminURL('action=saveitem') ?>" enctype="multipart/form-data" >
            <?= \INPUT::CSRF() ?>
            <input type="hidden" name="id" id="id" value="<?= $id; ?>" />
            <input type="hidden" name="category_id" value="<?= $item['category_id']; ?>" />
            <input type="hidden" name="guid" id="guid" value="<?= $item['guid']; ?>" />
            <div class="row">
                <div class="col-md-8 col-lg-8">
                    <!-- Page Title -->
                    <div class="form-group">
                        <label for="title"><?= ___("Template Title") ?></label>
                        <div class="input-group">
                             <!-- title -->
                             <input name="title" id="title" type="text" class="form-control"  size="49" maxlength="254"  required="required"   value="<?= SAFE_HTML($item['title']) ?>" /> 
                            <!-- version -->
                            <?php if ($item['version'] > 0): ?>
                                <span class="input-group-addon">
                                    <?= ___('Version') . ': ' . $item['version']; ?>
                                </span>
                            <?php endif; ?>
                            <!-- end version -->

                            <!-- Status -->
                             
                        </div>
                    </div>
                    <!-- End Page Title -->
                    <!-- Virtual Filename -->
                    <div class="form-group">
                        <label for="virtual_filename"><?= ___('Short Code Name'); ?></label>                
                        <div class="input-group">

                            <input name="virtual_filename" size="49" maxlength="255" id="virtual_filename" class="form-control" type="text" value="<?= SAFE_HTML($item['virtual_filename']); ?>" <?php if ($item['is_system_message'] ) echo 'readonly'; ?> />
                        </div>
                                <?php if ($item['is_system_message'] ): ?>
                    <p class="small"><?= ___('Default newsletter template cannot be renamed or modified') ?></p>
                    <?php endif; ?>                                

                    </div>
                    <!-- END Virtual Filename -->
                    
                    
                </div>
                <div class="col-md-4 col-lg-4 text-right" schlix-id="data-editor-toolbar">
                        <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-item" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                        <button type="submit" class="btn btn-info schlix-command-button" data-schlix-command="apply-item" name="btn_save"><i class="fa fa-caret-square-o-right"></i> <?= ___('Apply'); ?></button>
                        <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-item" name="btn_cancel"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>
                    
                </div>            
            </div>

            <!-- main -->
            <div class="clearboth"></div>
            
            <?php 
                ///////////////////////////////
                // Display save error, if any
                $this->displayLastSaveResult() 
                ///////////////////////////////
            ?>
            
            <!-- end main section -->
            <!-- begin tabs -->
            <div id="schlix_editor_main_content" class="schlixui-tabcontainer">
                <!-- tab navigation -->
                <ul class="schlixui-tabheader">
                    <li class="selected"><a href="#tab1"><em><?= ___('Content') ?></em></a></li>
                    <li><a href="#tab2"><em><?= ___('Meta') ?></em></a></li>
                    <li><a href="#tab3"><em><?= ___('Dates') ?></em></a></li>
                    <li><a href="#tab4"><em><?= ___('Options') ?></em></a></li>
                    <li><a href="#tab5"><em><?= ___('Permissions') ?></em></a></li>
                    <li><a href="#tab6"><em><?= ___('Versioning') ?></em></a></li>
                </ul>
                <!-- end tab navigation -->
                <!-- tab ocntent -->
                <div class="schlixui-tabcontent">
                    <!-- tab -->
                    <div id="tab1">
                        <!-- tab 1 content -->
                        <?= ___('Available variable fields') ?>: 
                        <ul>
                            <?php foreach ($available_custom_fields as $field): ?>
                            <li><strong><?= '{$'.$field['field'].'}' ?></strong> - <?= SAFE_HTML($field['description']) ?></li>
                            <?php endforeach ?>
                        </ul>
                        
                        
                        <label for="body_html"><?= ___('HTML Body') ?></label>
                        <textarea class="wysiwyg form-control" name="body_html" id="body_html"><?= SAFE_HTML($item['body_html']) ?></textarea>

                        <div class="clearboth"></div>
                        
                        <label for="body_text"><?= ___('Text Body') ?></label>
                        <textarea class=" form-control" name="body_text" id="body_text"><?= SAFE_HTML($item['body_text']) ?></textarea>
                        <!-- end tab 1 content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab2">
                        <!-- tab content -->
                        <div class="form-group">                            
                            <label for="meta_key"><?= ___('Meta Keywords') ?></label>
                             <input type="text" data-tagfield="true" class="form-control" id="meta_key" name="meta_key" value="<?= SAFE_HTML($item['meta_key']); ?>" />
                        </div>
                        <div class="form-group">
                            <label for="meta_body_text"><?= ___('Meta Description') ?></label>
                            <input type="text" class="form-control" name="meta_body_text" value="<?= SAFE_HTML($item['meta_body_text']); ?>" />
                        </div>
                        <div class="form-group">
                            <label for="tags"><?= ___('Tags') ?></label>
                            <input type="text" data-tagfield="true" class="form-control" id="tags" name="tags" value="<?= SAFE_HTML($item['tags']); ?>" />
                        </div>
                        

                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab3">
                        <!-- tab content -->
                        <!-- date created -->
                        <div class="row">
                            <div class="col-sm-2">
                                <label for="date_created"><?= ___('Created') ?></label>
                                <?= \INPUT::DateTimePicker('date_created', $item['date_created']); ?>
                            </div>
                        </div>
                        <!-- date modified -->
                        <div class="row">
                            <div class="col-sm-2">
                                <label for="date_modified"><?= ___('Modified') ?></label>
                                <?= \INPUT::DateTimePicker('date_modified', $item['date_modified']); ?>
                            </div>
                        </div>

                        <!-- date available -->
                        <div class="row">
                            <div class="col-sm-2">
                                <label for="date_available"><?= ___('Published on') ?></label>
                                <?= \INPUT::DateTimePicker('date_available', $item['date_available']); ?>
                            </div>
                        </div>

                        <!-- date expiry -->
                        <div class="row">
                            <div class="col-sm-2">
                                <label for="date_expiry"><?= ___('Expired on') ?></label>
                                <?= \INPUT::DateTimePicker('date_expiry', $item['date_expiry']); ?>
                            </div>
                        </div> 

                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab4">
                        <!-- tab content -->
                        <?= \INPUT::CMSObjectOptions('options', $this->app->getItemMetaOptionKeys(), $item['options'], $this->app->getDefaultItemMetaOptionKeys(), 1, 3);  ?>
                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab5">
                        <!-- tab content -->
                        <?= \INPUT::UserNameSelectionField('created_by_id', $item['created_by_id'], ___('Owner / Created By'), array('class'=>'form-control')); ?>
                        <?= \INPUT::UserNameSelectionField('modified_by_id', $item['modified_by_id'], ___('Last Modified By'),  array('class'=>'form-control')); ?>

                        <fieldset id="fieldset_permission_read">
                            <legend><?= ___('Who can read this page?'); ?></legend>
                            <?= \INPUT::UserGroupReadPermissionCheckboxGroup('read', $item['permission_read']) ?>
                        </fieldset>
                        <fieldset id="fieldset_permission_write">
                            <legend><?= ___('Who can modify this page?') ?></legend>
                            <?= \INPUT::UserGroupWritePermissionCheckboxGroup('write', $item['permission_write'], $CurrentUser->getCurrentUserGroupIDs(), false) ?>
                        </fieldset>
                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab6">
                        <!-- eh -->
                        <?php
                        App\Versioning_Admin::displayVersioningGrid($this->app_name, $item['guid']);
                        ?>
                    </div>
                    <!-- end tab -->
                </div>
                <!-- end tab content -->
            </div>
            <!-- end tabs -->
        </form>
    </div>
</schlix-data-editor>