drop table IF  EXISTS `scxnl_categories`;
drop table IF  EXISTS `scxnl_issues`;
drop table IF  EXISTS `scxnl_attachments`;

drop table IF  EXISTS `scxnl_subscribe_pages`;
drop table IF  EXISTS `scxnl_subscribe_pages_fieldnames`;
drop table IF  EXISTS `scxnl_subscribers`;
drop table IF  EXISTS `scxnl_subscriber_attributes`;
drop table IF  EXISTS `scxnl_subscriber_segments`;
drop table IF  EXISTS `scxnl_subscriptions`;

drop table IF  EXISTS `scxnl_customfields`;
DROP TABLE IF  EXISTS `scxnl_deleted_subscribers`;


drop table IF  EXISTS `scxnl_rq_subscribe`;
drop table IF  EXISTS `scxnl_rq_unsubscribe`;
drop table IF  EXISTS `scxnl_rq_email_change`;
drop table IF  EXISTS `scxnl_log_events`;
drop table IF  EXISTS `scxnl_log_subscribers`;


drop table IF  EXISTS `scxnl_emailtemplates`;
drop table IF  EXISTS `scxnl_templates`;

drop table IF  EXISTS `scxnl_queues`;
drop table IF  EXISTS `scxnl_bounces`;
drop table IF  EXISTS `scxnl_blacklist`;
drop table IF  EXISTS `scxnl_clicks`;



--
-- Table structure for table `scxnl_deleted_subscribers`
--

CREATE TABLE IF NOT EXISTS `scxnl_deleted_subscribers` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by_id` bigint(20) unsigned NOT NULL,
  `content` longtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`id`),
  KEY `date_created` (`date_created`),
  KEY `created_by_id` (`created_by_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


-- --------------------------------------------------------

--
-- Table structure for table `scxnl_customfields`
--

CREATE TABLE IF NOT EXISTS `scxnl_customfields` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'untitled',
  `field_type` varchar(31) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'untitled',
  `virtual_filename` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'untitled',
  `default_value` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `value_choices` mediumtext COLLATE utf8_unicode_ci,
  `regex_pattern` text COLLATE utf8_unicode_ci,

  `sort_order` tinyint(1) NOT NULL DEFAULT '0',
  `status` tinyint(1) NOT NULL DEFAULT '1',
  `date_created` datetime DEFAULT NULL,
  `date_modified` datetime DEFAULT NULL,
  `created_by_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `modified_by_id` bigint(20) unsigned NOT NULL DEFAULT '0',

  PRIMARY KEY (`id`),
  KEY `title` (`title`),
  KEY `virtual_filename` (`virtual_filename`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Table structure for table `scxnl_subscriber_attributes`
--

CREATE TABLE IF NOT EXISTS `scxnl_subscriber_attributes` (
  `fieldname_id` int(11) unsigned NULL DEFAULT NULL,
  `subscriber_id` bigint(20) unsigned NULL DEFAULT NULL,
  `field_value` varchar(1023) COLLATE utf8_unicode_ci NULL DEFAULT NULL,

  PRIMARY KEY (`fieldname_id`,`subscriber_id`),
  KEY `fieldname_id` (`fieldname_id`),
  KEY `subscriber_id` (`subscriber_id`),
  KEY `field_value` (`field_value`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------
--
-- Table structure for table `scxnl_categories`
--

CREATE TABLE IF NOT EXISTS `scxnl_categories` (
  `cid` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `guid` varchar(36) COLLATE utf8_unicode_ci DEFAULT NULL,
  `title` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'untitled',
  `virtual_filename` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `date_created` datetime DEFAULT NULL,
  `date_modified` datetime DEFAULT NULL,
  `date_available` datetime DEFAULT NULL,
  `date_expiry` datetime DEFAULT NULL,
  `sort_order` int(3) unsigned DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '1',
  `registered_members_only` tinyint(1) NOT NULL DEFAULT '0',
  `email_sender` tinytext COLLATE utf8_unicode_ci,
  `email_from` tinytext COLLATE utf8_unicode_ci,
  `email_replyto` tinytext COLLATE utf8_unicode_ci,
  `version` decimal(20,2) NOT NULL DEFAULT '1.00',
  `pageview` bigint(20) NOT NULL DEFAULT '0',
  `items_per_page` int(11) unsigned NOT NULL DEFAULT '10',
  `created_by_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `modified_by_id` bigint(20) unsigned DEFAULT NULL,
  `last_temp_send_id` bigint(20) DEFAULT NULL,
  `meta_key` text COLLATE utf8_unicode_ci,
  `meta_description` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `summary` mediumtext COLLATE utf8_unicode_ci,
  `description` mediumtext COLLATE utf8_unicode_ci,
  `permission_write` text COLLATE utf8_unicode_ci,
  `permission_read` text COLLATE utf8_unicode_ci,
  `options` text COLLATE utf8_unicode_ci,
  `tags` text COLLATE utf8_unicode_ci,

  PRIMARY KEY (`cid`),
  KEY `date_created` (`date_created`),
  KEY `date_modified` (`date_modified`),
  KEY `sort_order` (`sort_order`),
  KEY `status` (`status`),
  KEY `created_by_id` (`created_by_id`),
  KEY `modified_by_id` (`modified_by_id`),
  UNIQUE KEY `guid` (`guid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `scxnl_issues`
--

CREATE TABLE IF NOT EXISTS `scxnl_issues` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `guid` varchar(36) COLLATE utf8_unicode_ci DEFAULT NULL,
  `category_id` int(11) unsigned NOT NULL DEFAULT '0',
  `subscribers_segment_id` int(11) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'untitled',
  `email_sender` tinytext COLLATE utf8_unicode_ci,
  `email_from` tinytext COLLATE utf8_unicode_ci,
  `email_replyto` tinytext COLLATE utf8_unicode_ci,
  `test_email_address` tinytext COLLATE utf8_unicode_ci,
  `virtual_filename` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'untitled',
  `body_html` mediumtext COLLATE utf8_unicode_ci,
  `body_html_original` mediumtext COLLATE utf8_unicode_ci,
  `body_html_web` mediumtext COLLATE utf8_unicode_ci,
  `body_text` mediumtext COLLATE utf8_unicode_ci,
  `date_created` datetime DEFAULT NULL,
  `date_modified` datetime DEFAULT NULL,
  `date_available` datetime DEFAULT NULL,
  `date_expiry` datetime DEFAULT NULL,
  `date_send_until` datetime DEFAULT NULL,
  `created_by_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `modified_by_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `template_id` bigint(20) DEFAULT NULL,
  `locked_by_id` bigint(20) DEFAULT NULL,
  `permission_write` text COLLATE utf8_unicode_ci,
  `permission_read` text COLLATE utf8_unicode_ci,
  `meta_key` text COLLATE utf8_unicode_ci,
  `meta_description` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `pageview` bigint(20) NOT NULL DEFAULT '0',
  `emailview` bigint(20) NOT NULL DEFAULT '0',
  `image_is_embedded` tinyint(2) NOT NULL DEFAULT '0',
  `status` tinyint(2) NOT NULL DEFAULT '0',
  `featured` tinyint(1) NOT NULL DEFAULT '0',
  `version` decimal(20,2) NOT NULL DEFAULT '1.00',
  `sort_order` int(11) NOT NULL DEFAULT '0',
  `options` text COLLATE utf8_unicode_ci,
  `tags` text COLLATE utf8_unicode_ci,
  `last_sent_to_subscriber_id` bigint(20) unsigned  NULL DEFAULT NULL,
  `max_subscriber_id` bigint(20) unsigned  NULL DEFAULT NULL,
  `subscribers_snapshot` longtext COLLATE utf8_unicode_ci,

  PRIMARY KEY (`id`),
  KEY `category_id` (`category_id`),
  KEY `title` (`title`),
  KEY `id_category_id` (`id`,`category_id`),
  KEY `id_category_id_status` (`id`,`category_id`,`status`),
  KEY `id_category_id_status_sort_order` (`id`,`category_id`,`status`,`sort_order`),
  KEY `virtual_filename` (`virtual_filename`),
  KEY `date_created` (`date_created`),
  KEY `date_modified` (`date_modified`),
  KEY `created_by_id` (`created_by_id`),
  KEY `modified_by_id` (`modified_by_id`),
  KEY `status` (`status`),
  KEY `sort_order` (`sort_order`),
  UNIQUE KEY `guid` (`guid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
-- --------------------------------------------------------
--
-- Table structure for table `scxnl_attachments`
--

CREATE TABLE IF NOT EXISTS `scxnl_attachments` (
    `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
    `newsletter_issue_id` bigint(20) DEFAULT NULL,
    `filename` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
    `date_created` datetime DEFAULT NULL,
    `date_modified` datetime DEFAULT NULL,

  PRIMARY KEY (`id`),
  KEY `newsletter_issue_id` (`newsletter_issue_id`),
  KEY `date_created` (`date_created`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

 
-- --------------------------------------------------------

--
-- Table structure for table `scxnl_subscribers`
--



CREATE TABLE IF NOT EXISTS `scxnl_subscribers` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `associated_user_guid` varchar(36) COLLATE utf8_unicode_ci DEFAULT NULL,
  `guid` varchar(36) COLLATE utf8_unicode_ci DEFAULT NULL,
  `hash` varchar(70) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `email_address` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `real_email_address` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `notes` mediumtext COLLATE utf8_unicode_ci,
  `date_created` datetime DEFAULT NULL,
  `date_modified` datetime DEFAULT NULL,
  `date_last_email_bounce` datetime DEFAULT NULL,
  `bounce_count` int(11) NOT NULL DEFAULT '0',
  `created_by_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `modified_by_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `status` tinyint(2) NOT NULL DEFAULT '0',
  `extra_notes` text COLLATE utf8_unicode_ci,
  `extra_attachment` tinytext COLLATE utf8_unicode_ci,
  `extra_attachment_hash` tinytext COLLATE utf8_unicode_ci,
  `version` decimal(20,2) NOT NULL DEFAULT '1.00',
  PRIMARY KEY (`id`),
  KEY `email_address` (`email_address`),
  KEY `date_created` (`date_created`),
  KEY `date_modified` (`date_modified`),
  KEY `created_by_id` (`created_by_id`),
  KEY `status` (`status`),
  UNIQUE KEY `real_email_address` (`real_email_address`),
  UNIQUE KEY `associated_user_guid` (`associated_user_guid`),
  UNIQUE KEY `guid` (`guid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
  
-- --------------------------------------------------------

--
-- Table structure for table `scxnl_subscribers`
--



CREATE TABLE IF NOT EXISTS `scxnl_subscriber_segments` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `guid` varchar(36) COLLATE utf8_unicode_ci DEFAULT NULL,
  `title` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'untitled',
  `sql_query` text COLLATE utf8_unicode_ci,
  `snapshot_count` bigint(20) NOT NULL DEFAULT '0',
  `notes` mediumtext COLLATE utf8_unicode_ci,
  `date_created` datetime DEFAULT NULL,
  `date_modified` datetime DEFAULT NULL,
  `created_by_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `modified_by_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `version` decimal(20,2) NOT NULL DEFAULT '1.00',

  PRIMARY KEY (`id`),
  KEY `title` (`title`),
  KEY `date_created` (`date_created`),
  KEY `date_modified` (`date_modified`),
  KEY `created_by_id` (`created_by_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
 

-- --------------------------------------------------------
--
-- Table structure for table `scxnl_subscriptions`
--

CREATE TABLE IF NOT EXISTS `scxnl_subscriptions` (
    `subscriber_id` bigint(20) DEFAULT NULL,
    `newsletter_id` bigint(20) DEFAULT NULL,
    `subscribe_request_id` bigint(20) DEFAULT NULL,
    `date_created` datetime DEFAULT NULL,

  PRIMARY KEY (`subscriber_id`,`newsletter_id`),
  KEY `newsletter_id` (`newsletter_id`),
  KEY `subscriber_id` (`subscriber_id`),
  KEY `date_created` (`date_created`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
-- --------------------------------------------------------

--
-- Table structure for table `scxnl_rq_subscribe`
--

CREATE TABLE IF NOT EXISTS `scxnl_rq_subscribe` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `subscriber_id` bigint(20) unsigned DEFAULT NULL,
  `subscribe_page_id` bigint(20) unsigned DEFAULT NULL,
  `request_newsletter_ids` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `guid` varchar(36) COLLATE utf8_unicode_ci DEFAULT NULL,
  `email_address` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `real_email_address` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `hash` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `date_created` datetime DEFAULT NULL,
  `date_expiry` datetime DEFAULT NULL,
  `date_activated` datetime DEFAULT NULL,
  `created_by_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `notes` text COLLATE utf8_unicode_ci,
  `status` int(11) NOT NULL DEFAULT '0',
  `ip_address` varchar(46) COLLATE utf8_unicode_ci DEFAULT NULL,
  `user_agent` tinytext COLLATE utf8_unicode_ci DEFAULT NULL,  
  `host_name` tinytext COLLATE utf8_unicode_ci DEFAULT NULL,
  `confirmed_ip_address` varchar(46) COLLATE utf8_unicode_ci DEFAULT NULL,
  `confirmed_user_agent` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,  
  `confirmed_host_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `referrer` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,

  PRIMARY KEY (`id`),
  KEY `email_address` (`email_address`),
  KEY `subscriber_id` (`subscriber_id`),
  KEY `date_created` (`date_created`),
  KEY `created_by_id` (`created_by_id`),
  KEY `status` (`status`),
  UNIQUE KEY `guid` (`guid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `scxnl_rq_subscribe`
--

CREATE TABLE IF NOT EXISTS `scxnl_rq_email_change` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `subscriber_id` bigint(20) unsigned DEFAULT NULL,
  `guid` varchar(36) COLLATE utf8_unicode_ci DEFAULT NULL,
  `email_address` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `new_email_address` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `new_real_email_address` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `date_created` datetime DEFAULT NULL,
  `date_expiry` datetime DEFAULT NULL,
  `date_activated` datetime DEFAULT NULL,
  `created_by_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `notes` text COLLATE utf8_unicode_ci,
  `status` int(11) NOT NULL DEFAULT '0',
  `ip_address` varchar(46) COLLATE utf8_unicode_ci DEFAULT NULL,
  `user_agent` tinytext COLLATE utf8_unicode_ci DEFAULT NULL,  
  `host_name` tinytext COLLATE utf8_unicode_ci DEFAULT NULL,
  `confirmed_ip_address` varchar(46) COLLATE utf8_unicode_ci DEFAULT NULL,
  `confirmed_user_agent` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,  
  `confirmed_host_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `referrer` tinytext COLLATE utf8_unicode_ci DEFAULT NULL,

  PRIMARY KEY (`id`),
  KEY `email_address` (`email_address`),
  KEY `new_email_address` (`new_email_address`),
  KEY `new_real_email_address` (`new_email_address`),

  KEY `subscriber_id` (`subscriber_id`),
  KEY `date_created` (`date_created`),
  KEY `created_by_id` (`created_by_id`),
  KEY `status` (`status`),
  UNIQUE KEY `guid` (`guid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `scxnl_rq_unsubscribe`
--

CREATE TABLE IF NOT EXISTS `scxnl_rq_unsubscribe` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `subscriber_id` bigint(20) unsigned DEFAULT NULL,
  `email_address` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `date_created` datetime DEFAULT NULL,
  `admin_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `newsletter_issue_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `feedback` text COLLATE utf8_unicode_ci,
  `method` varchar(63) COLLATE utf8_unicode_ci DEFAULT NULL,  
  `status` int(11) NOT NULL DEFAULT '0',
  `ip_address` varchar(46) COLLATE utf8_unicode_ci DEFAULT NULL,
  `user_agent` tinytext COLLATE utf8_unicode_ci DEFAULT NULL,  
  `host_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `referrer` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,

  PRIMARY KEY (`id`),
  KEY `email_address` (`email_address`),
  KEY `subscriber_id` (`subscriber_id`),
  KEY `date_created` (`date_created`),
  KEY `admin_id` (`admin_id`),
  KEY `status` (`status`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


-- --------------------------------------------------------

--
-- Table structure for table `scxnl_subscribe_pages`
--

CREATE TABLE IF NOT EXISTS `scxnl_subscribe_pages` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `guid` varchar(36) COLLATE utf8_unicode_ci DEFAULT NULL,
  `title` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'untitled',
  `virtual_filename` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'untitled',
  `subscribe_newsletter_ids` text COLLATE utf8_unicode_ci,
  `subscribe_html_header` mediumtext COLLATE utf8_unicode_ci,
  `subscribe_html_intro` mediumtext COLLATE utf8_unicode_ci,
  `subscribe_html_instruction` mediumtext COLLATE utf8_unicode_ci,
 
  `offer_newsletter_ids` text COLLATE utf8_unicode_ci,

  `email_sender` tinytext COLLATE utf8_unicode_ci,
  `email_from` tinytext COLLATE utf8_unicode_ci,
  `email_replyto` tinytext COLLATE utf8_unicode_ci,
  `date_created` datetime DEFAULT NULL,
  `date_modified` datetime DEFAULT NULL,
  `date_available` datetime DEFAULT NULL,
  `date_expiry` datetime DEFAULT NULL,
  `created_by_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `modified_by_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `permission_write` text COLLATE utf8_unicode_ci,
  `permission_read` text COLLATE utf8_unicode_ci,
  `meta_key` text COLLATE utf8_unicode_ci,
  `meta_description` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `status` int(11) NOT NULL DEFAULT '0',
  `is_default` tinyint(1) NOT NULL DEFAULT '0',
  `version` decimal(20,2) NOT NULL DEFAULT '1.00',
  `sort_order` int(11) NOT NULL DEFAULT '0',
  `options` text COLLATE utf8_unicode_ci,
  `tags` text COLLATE utf8_unicode_ci,

  PRIMARY KEY (`id`),
  KEY `title` (`title`),
  KEY `id_status` (`id`,`status`),
  KEY `id_status_sort_order` (`id`,`status`,`sort_order`),
  KEY `virtual_filename` (`virtual_filename`),
  KEY `date_created` (`date_created`),
  KEY `date_modified` (`date_modified`),
  KEY `created_by_id` (`created_by_id`),
  KEY `modified_by_id` (`modified_by_id`),
  KEY `status` (`status`),
  KEY `sort_order` (`sort_order`),
  UNIQUE KEY `guid` (`guid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


-- --------------------------------------------------------

--
-- Table structure for table `scxnl_subscribe_pages_fieldnames`
--

CREATE TABLE IF NOT EXISTS `scxnl_subscribe_pages_fieldnames` (
  `subscribe_page_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `fieldname_id` int(11) unsigned NULL DEFAULT NULL,
  `sort_order` tinyint(2) NOT NULL DEFAULT '0',
  `required` tinyint(1) NOT NULL DEFAULT '1',
  `date_created` datetime DEFAULT NULL,
  `date_modified` datetime DEFAULT NULL,
  `created_by_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `modified_by_id` bigint(20) unsigned NOT NULL DEFAULT '0',

  PRIMARY KEY (`subscribe_page_id`,`fieldname_id`),
  KEY `sort_order` (`sort_order`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `scxnl_log_events`
--


CREATE TABLE `scxnl_log_events` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `admin_id` bigint(20) unsigned NULL DEFAULT NULL,
  `subscriber_id` bigint(20) unsigned NULL DEFAULT NULL,
  `newsletter_issue_id` bigint(20) unsigned NULL DEFAULT NULL,
  `module` varchar(32) COLLATE utf8_unicode_ci DEFAULT 'newsletter',
  `type` varchar(32) COLLATE utf8_unicode_ci DEFAULT 'info',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `ip_address` varchar(46) COLLATE utf8_unicode_ci DEFAULT NULL,
  `user_agent` tinytext COLLATE utf8_unicode_ci DEFAULT NULL,  
  `host_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `referrer` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `request_uri` varchar(1024) COLLATE utf8_unicode_ci DEFAULT NULL,
  `description` mediumtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`id`),
  KEY `log_type` (`type`),
  KEY `admin_id` (`admin_id`),
KEY `newsletter_issue_id` (`newsletter_issue_id`),
KEY `subscriber_id` (`subscriber_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


-- --------------------------------------------------------

--
-- Table structure for table `scxnl_log_subscribers`
--


CREATE TABLE `scxnl_log_subscribers` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `subscriber_id` bigint(20) unsigned NULL DEFAULT NULL,
  `admin_id` bigint(20) unsigned NULL DEFAULT NULL,
  `user_id` bigint(20) unsigned NULL DEFAULT NULL,
  `newsletter_issue_id` bigint(20) unsigned NULL DEFAULT NULL,
  `module` varchar(32) COLLATE utf8_unicode_ci DEFAULT 'newsletter',
  `type` varchar(32) COLLATE utf8_unicode_ci DEFAULT 'info',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `ip_address` varchar(46) COLLATE utf8_unicode_ci DEFAULT NULL,
  `user_agent` tinytext COLLATE utf8_unicode_ci DEFAULT NULL,  
  `host_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `referrer` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `request_uri` varchar(1024) COLLATE utf8_unicode_ci DEFAULT NULL,
  `description` mediumtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`id`),
  KEY `log_type` (`type`),
  KEY `subscriber_id` (`subscriber_id`),
  KEY `admin_id` (`admin_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



-- --------------------------------------------------------

--
-- Table structure for table `scxnl_log`
--
CREATE TABLE IF NOT EXISTS `scxnl_queues` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `subscriber_id` bigint(20) NULL DEFAULT NULL, 
  `newsletter_issue_id` bigint(20) NULL DEFAULT NULL, 
  `queue_marker` varchar(36) DEFAULT NULL,  
  `hourly_marker` varchar(13) COLLATE utf8_unicode_ci DEFAULT NULL,  
  `guid` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `field_subject` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `field_from_name` TINYTEXT COLLATE utf8_unicode_ci DEFAULT NULL,
  `field_from_email` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,  
  `field_to_name` TINYTEXT COLLATE utf8_unicode_ci DEFAULT NULL,
  `field_to_email` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `field_cc_name` TINYTEXT COLLATE utf8_unicode_ci DEFAULT NULL,
  `field_cc_email` TINYTEXT COLLATE utf8_unicode_ci DEFAULT NULL,
  `field_replyto_name` TINYTEXT COLLATE utf8_unicode_ci DEFAULT NULL,
  `field_replyto_email` TINYTEXT COLLATE utf8_unicode_ci DEFAULT NULL,
  `field_bcc` TINYTEXT COLLATE utf8_unicode_ci DEFAULT NULL,  
  `field_return_receipt` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,    
  `field_priority` tinyint(3) NOT NULL DEFAULT 0,
  `field_xmailer` TINYTEXT COLLATE utf8_unicode_ci DEFAULT NULL,
  `store_folder` varchar(255) NOT NULL DEFAULT '', 
  `field_sha1` char(40),
  `status` tinyint(3) DEFAULT '0',
  `retry_count` tinyint(3) DEFAULT '0',
  `date_queued` datetime DEFAULT NULL,
  `date_sent` datetime DEFAULT NULL,
  `date_last_retry` datetime DEFAULT NULL,
  `extra_headers` TEXT COLLATE utf8_unicode_ci DEFAULT NULL,
  `attachments` text COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `queue_marker` (`queue_marker`),
  KEY `queue_marker_subscriber_id` (`queue_marker`, `subscriber_id`),
  KEY `hourly_marker` (`hourly_marker`),
  KEY `status_hourly_marker` (`status`, `hourly_marker`),

  KEY `subscriber_id` (`subscriber_id`),
  KEY `field_to_email` (`field_to_email`),
  KEY `date_sent` (`date_sent`),
  KEY `status` (`status`),
  KEY `unsent` (`status`,`retry_count`),
  KEY `count_period` (`status`,`date_queued`),
  KEY `date_queued` (`date_queued`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------
--
-- Table structure for table `scxnl_blacklist`
--
CREATE TABLE IF NOT EXISTS `scxnl_blacklist` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `subscriber_id` bigint(20) NULL DEFAULT NULL, 
  `real_email_address` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,  
  `notes` tinytext COLLATE utf8_unicode_ci DEFAULT NULL,
  `date_created` datetime DEFAULT NULL,

  PRIMARY KEY (`id`),
  KEY `date_created` (`date_created`),
  KEY `subscriber_id` (`subscriber_id`),
  UNIQUE KEY `real_email_address` (`real_email_address`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------
--
-- Table structure for table `scxnl_clicks`
--

CREATE TABLE IF NOT EXISTS `scxnl_clicks` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `newsletter_issue_guid` varchar(36) COLLATE utf8_unicode_ci DEFAULT NULL,
  `user_guid` varchar(36) COLLATE utf8_unicode_ci DEFAULT NULL,
  `element_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'untitled',
  `date_created` datetime DEFAULT NULL,

  PRIMARY KEY (`id`),
  KEY `newsletter_issue_guid` (`newsletter_issue_guid`),
  KEY `user_guid` (`user_guid`),
  KEY `newsletter_user_issue_guid` (`newsletter_issue_guid`, `user_guid`),
  KEY `element_name` (`element_name`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------
--
-- Table structure for table `scxnl_emailtemplates`
--


CREATE TABLE IF NOT EXISTS `scxnl_emailtemplates` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `guid` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `title` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `purpose` tinytext COLLATE utf8_unicode_ci DEFAULT NULL,
  `virtual_filename` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `body_html_original` mediumtext COLLATE utf8_unicode_ci,
  `image_is_embedded` tinyint(2) NOT NULL DEFAULT '0',
  `body_html` mediumtext COLLATE utf8_unicode_ci,
  `body_text` mediumtext COLLATE utf8_unicode_ci,
  `date_created` datetime DEFAULT NULL,
  `date_modified` datetime DEFAULT NULL,
  `is_system_message` tinyint(1) DEFAULT NULL,
   `version` decimal(20,2) NOT NULL DEFAULT '1.00',
  PRIMARY KEY (`id`),
  KEY `title` (`title`),
  KEY `virtual_filename` (`virtual_filename`),
  UNIQUE KEY `guid` (`guid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


-- --------------------------------------------------------
--
-- Table structure for table `scxnl_templates`
--


CREATE TABLE IF NOT EXISTS `scxnl_templates` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `guid` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `title` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `virtual_filename` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `body_html_original` mediumtext COLLATE utf8_unicode_ci,
  `image_is_embedded` tinyint(2) NOT NULL DEFAULT '0',
  `body_html` mediumtext COLLATE utf8_unicode_ci,
  `body_text` mediumtext COLLATE utf8_unicode_ci,
  `date_created` datetime DEFAULT NULL,
  `date_modified` datetime DEFAULT NULL,
  `is_system_message` tinyint(1) DEFAULT NULL,
   `version` decimal(20,2) NOT NULL DEFAULT '1.00',
  PRIMARY KEY (`id`),
  KEY `title` (`title`),
  KEY `virtual_filename` (`virtual_filename`),
  UNIQUE KEY `guid` (`guid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



INSERT INTO `scxnl_subscribe_pages` (`id`, `guid`, `title`, `virtual_filename`, `subscribe_newsletter_ids`, `subscribe_html_header`, `subscribe_html_intro`, `subscribe_html_instruction`, `offer_newsletter_ids`, `email_sender`, `email_from`, `email_replyto`, `date_created`, `date_modified`, `date_available`, `date_expiry`, `created_by_id`, `modified_by_id`, `permission_write`, `permission_read`, `meta_key`, `meta_description`, `status`, `is_default`, `version`, `sort_order`, `options`, `tags`) VALUES
(1, uuid(), 'Subscribe to our newsletter', 'default', NULL, '<script type=\"text/javascript\">\r\n  // You can insert custom Javascript here\r\n</script>\r\n<style type=\"text/css\">\r\n  \r\n</style>', '<p class=\"selectionShareable\">Sign up for free email newsletters to get exclusive updates. You can unsubscribe at any time.</p>', '', '1', 'Your Name', 'info@youremail.com', 'info@youremail.com', NOW(), NOW(), NOW(), '0000-00-00 00:00:00', 1, 1, 'a:1:{i:0;s:1:\"1\";}', 's:8:\"everyone\";', '', 'Default', 1, 1, '1.10', 0, 'a:5:{i:0;s:17:\"display_pagetitle\";i:1;s:27:\"display_item_summary_noread\";i:2;s:23:\"display_item_created_by\";i:3;s:25:\"display_item_date_created\";i:4;s:26:\"display_item_date_modified\";}', NULL);


INSERT INTO `scxnl_emailtemplates` (`id`, `guid`, `title`, `purpose`, `virtual_filename`, `body_html`, `body_text`, `date_created`, `date_modified`, `is_system_message`, `version`) VALUES
(1, uuid(), 'Please verify your subscription', 'Initial subscription request verification asking for express consent', 'subscription-verification', '<p>Hello,<br /><br />Please click on the link below to confirm your subscription to our newsletters.</p>\r\n<p>{$newsletter_subscriptions}<br /><br /> <a style=\"background-color: green; color: white; padding: 5px;\" href=\"{$activation_url}\">[Yes, I would like to subscribe]</a> <br /><br />This request was made from the following IP address: {$ip_address}</p>\r\n<p>&nbsp;</p>\r\n<p>If you have not requested this subscription, you do not need to do anything. Simply delete this message.</p>\r\n<p>&nbsp;</p>\r\n<p>You can always request to <a href=\"{$unsubscribe_generic_url}\">unsubscribe</a> at anytime.</p>\r\n<p>Thank you</p>', 'Hello,\r\n\r\nPlease click on the link below to confirm your subscription to our newsletters.\r\n\r\n{$newsletter_subscriptions}\r\n\r\n{$activation_url}\r\n\r\n[Yes, I would like to subscribe]\r\n\r\nThis request was made from the following IP address: {$ip_address}\r\n\r\nIf you have not requested this subscription, you do not need to do anything. Simply delete this message.\r\n\r\nThank you',NOW(), NULL, 1, '1.00'),
(2, uuid(), 'Please verify your subscription', 'Resend subscription request verification asking for express consent', 'resend-subscription-verification', '<p>Hello,<br /><br />This is in response to a request to resend the subscription verification.</p>\r\n<p>{$newsletter_subscriptions}<br /><br /> <a style=\"background-color: green; color: white; padding: 5px;\" href=\"{$activation_url}\">[Yes, I would like to subscribe]</a> <br /><br />This request was made from the following IP address: {$ip_address}</p>\r\n<p>&nbsp;</p>\r\n<p>If you have not requested this subscription, you do not need to do anything. Simply delete this message.</p>\r\n<p>&nbsp;</p>\r\n<p>You can always request to <a href=\"{$unsubscribe_generic_url}\">unsubscribe</a> at anytime.</p>\r\n<p>Thank you</p>', 'Hello,\r\n\r\nPlease click on the link below to confirm your subscription to our newsletters.\r\n\r\n{$newsletter_subscriptions}\r\n\r\n{$activation_url}\r\n\r\n[Yes, I would like to subscribe]\r\n\r\nThis request was made from the following IP address: {$ip_address}\r\n\r\nIf you have not requested this subscription, you do not need to do anything. Simply delete this message.\r\n\r\nThank you',NOW(), NULL, 1, '1.00'),
(3, uuid(), 'Thank you, your subscription has been confirmed', 'Subscription Confirmation', 'subscription-confirmation', '<p>You are now subscribed to receive our newsletters.</p>\r\n<p>{$newsletter_subscriptions}</p>\r\n<p>Your contact information will never be shared with any other organization so you will never receive junk mail as a result of joining this emailing list - just really interesting newsletters :-)</p>\r\n<p>Enjoy!</p>\r\n<p>Unsubscribe URL: <a href=\"{$unsubscribe_url}\">{$unsubscribe_url}</a></p>', 'You are now subscribed to receive our newsletters.\r\n\r\n{$newsletter_subscriptions}\r\n\r\nYour contact information will never be shared with any other organization so you will never receive junk mail as a result of joining this emailing list - just really interesting newsletters :-)\r\n\r\nEnjoy!\r\n\r\nUnsubscribe URL: {$unsubscribe_url}',NOW(), NULL, 1, '1.00'),
(4, uuid(), 'Unsubscribe confirmation', 'Unsubscribe verification', 'unsubscribe-verification', '<p>Hello,</p>\r\n<p>Please confirm that you would like to unsubscribe from our newsletter. To do so, please click the link below and confirm your unsubscription from the website.</p>\r\n<p><a href=\"{$unsubscribe_url}\">[Unsubscribe]</a></p>', 'Hello,\r\n\r\nPlease confirm that you would like to unsubscribe from our newsletter. To do so, please click the link below and confirm your unsubscription from the website.\r\n\r\nUnsubscribe URL: {$unsubscribe_url}',NOW(), NULL, 1, '1.00'),
(5, uuid(), 'You have been unsubscribed from our list', 'Unsubscribe confirmation', 'unsubscribe-confirmation', '<p>We are sorry to see you go. You have been unsubscribed from our newsletters.</p>\r\n<p>If you change your mind and wish to resubscribe at any time, simply go to {$subscribe_url} and follow the steps.</p>\r\n<p>Thank you</p>\r\n<p>&nbsp;</p>', 'We are sorry to see you go. You have been unsubscribed from our Newsletters.\r\n\r\nIf you change your mind and wish to resubscribe at any time, simply go to {$subscribe_url} and follow the steps.\r\n\r\nThank you',NOW(), NULL, 1, '1.00'),
(6, uuid(), 'Your preferences has been updated', 'User cancelled unsubscription, simply wants to update preferences', 'unsubscribe-cancellation', '<p>Your preferences has been updated.</p>\r\n<p>{$newsletter_subscriptions}</p>\r\n<p>You were subscribed to:</p>\r\n<p>{$old_newsletter_subscriptions}</p>\r\n<hr />\r\n<p>This request was made from the following IP address: {$ip_address}</p>\r\n<p><a href=\"{$unsubscribe_url}\">[Unsubscribe]</a></p>\r\n<p>&nbsp;</p>', 'Your preferences has been updated.\r\n\r\n{$newsletter_subscriptions}\r\n\r\nYou were subscribed to:\r\n\r\n{$old_newsletter_subscriptions}\r\n\r\nThis request was made from the following IP address: {$ip_address}\r\n\r\nUnsubscribe URL: {$unsubscribe_url}',NOW(), NULL, 1, '1.00'),
(7, uuid(), 'Link to your email preferences', 'Preferences email verification', 'preferences-verification', '<p>Hello,</p>\r\n<p>If you would like to modify your newsletter preferences, please click the link below</p>\r\n<p><a href=\"{$unsubscribe_url}\">[Edit My Preferences]</a></p>\r\n<hr />\r\n<p>This request was made from the following IP address: {$ip_address}</p>\r\n<p><a href=\"{$unsubscribe_url}\">[Unsubscribe]</a></p>', 'Hello,\r\n\r\nIf you would like to modify your newsletter preferences, please click the link below \r\n\r\n{$preferences_url}\r\n\r\n-------------\r\n{$unsubscribe_url}',NOW(), NULL, 1, '1.00'),
(8, uuid(), 'Your preferences have been updated', 'Notify subscriber about recent preferences update', 'preferences-confirmation', '<p>Your preferences has been updated.</p>\r\n<p>{$newsletter_subscriptions}</p>\r\n<p>You were subscribed to:</p>\r\n<p>{$old_newsletter_subscriptions}</p>\r\n<hr />\r\n<p>This request was made from the following IP address: {$ip_address}</p>\r\n<p><a href=\"{$unsubscribe_url}\">[Unsubscribe]</a></p>', 'Your preferences has been updated.\r\n\r\n{$newsletter_subscriptions}\r\n\r\nYou were subscribed to:\r\n\r\n{$old_newsletter_subscriptions}\r\n\r\nThis request was made from the following IP address: {$ip_address}\r\nUnsubscribe URL: {$unsubscribe_url}',NOW(), NULL, 1, '1.00'),
(9, uuid(), 'Please verify your request to change your email address', 'Change Email Address Verification', 'email-change-verification', '<p>Hello,</p>\r\n<p>Please verify your request to change your email address from {$old_email_address} to {$new_email_address}.</p>\r\n<p><a href=\"{$change_email_confirm_url}\">Yes, please change my email address to {$new_email_address}</a></p>\r\n<p><a href=\"{$change_email_cancel_url}\">No, please keep my email address as {$old_email_address}</a></p>\r\n<hr />\r\n<p>This request was made from the following IP address: {$ip_address}</p>\r\n<p><a href=\"{$unsubscribe_url}\">[Unsubscribe]</a></p>', 'Hello,\r\n\r\nPlease verify your request to change your email address from {$old_email_address} to {$new_email_address}.\r\n\r\nConfirm: {$change_email_confirm_url}\r\n\r\nCancel: {$change_email_cancel_url}\r\n\r\nUnsubscribe: {$unsubscribe_url}',NOW(), NULL, 1, '1.00'),
(10, uuid(), 'Your email address has been changed', 'Notify user about email address change', 'email-change-confirmation', '<p>You have confirmed that you would like to change your old email address {$old_email_address} to {$new_email_address}.</p>\r\n<p>Thank you.</p>\r\n<hr />\r\n<p>This request was made from the following IP address: {$ip_address}</p>\r\n<p><a href=\"{$unsubscribe_url}\">[Unsubscribe]</a></p>', 'Change Email OK {$old_email_address} to {$new_email_address}\r\n\r\nConfirm: {$change_email_confirm_url}\r\nThis request was made from the following IP address: {$ip_address}\r\n\r\n[Unsubscribe] {$unsubscribe_url}',NOW(), NULL, 1, '1.00'),
(11, uuid(), 'Email address change cancelled', 'Notify user that the email address change has been cancelled', 'email-change-cancellation', '<p>Your request to change old email address {$old_email_address} to {$new_email_address} has been cancelled.</p>\r\n<hr />\r\n<p>This request was made from the following IP address: {$ip_address}</p>\r\n<p><a href=\"{$unsubscribe_url}\">[Unsubscribe]</a></p>', 'Your cancellation to change your old email address {$old_email_address} to {$new_email_address} has been recorded.\r\n\r\nThank you.\r\n\r\nThis request was made from the following IP address: {$ip_address}\r\n\r\n[Unsubscribe] {$unsubscribe_url}',NOW(), NULL, 1, '1.00'),
(12, uuid(), 'Your consent is required', 'Import and verify consent', 'import-consent', '<p>Hello,</p>\r\n<p>You have recently been added as a subscriber by an administrator. However, we want to make sure that you do want to subscribe to our newsletters.</p>\r\n<p>Please click on the link below to confirm your subscription.</p>\r\n<p>{$newsletter_subscriptions}<br /><br /> <a style=\"background-color: green; color: white; padding: 5px;\" href=\"{$activation_url}\">[Yes, I would like to subscribe]</a> <br /><br />This request was made from the following IP address: {$ip_address}</p>\r\n<p>If you do not want to subscribe, you do not need to do anything. Simply delete this message.</p>\r\n<p>If you decide to subscribe, you can always request to <a href=\"{$unsubscribe_generic_url}\">unsubscribe</a> at anytime.</p>\r\n<p>Thank you</p>', 'Hello,\r\n\r\nYou have recently been added as a subscriber by an administrator. However, we want to make sure that you do want to subscribe to our newsletters.\r\n\r\nPlease click on the link below to confirm your subscription.\r\n\r\n{$newsletter_subscriptions}\r\n\r\n{$activation_url}\r\n\r\n[Yes, I would like to subscribe]\r\n\r\nThis request was made from the following IP address: {$ip_address}\r\n\r\nIf you do not want to subscribe, you do not need to do anything. Simply delete this message.\r\n\r\nIf you decide to subscribe, you can always request to unsubscribe at anytime.\r\n\r\nThank you\r\n\r\n{$unsubscribe_url}',NOW(), NULL, 1, '1.00');

INSERT INTO `scxnl_customfields` (`id`, `title`, `field_type`, `virtual_filename`, `default_value`, `value_choices`, `regex_pattern`, `sort_order`, `status`, `date_created`, `date_modified`, `created_by_id`, `modified_by_id`) VALUES
(1, 'First Name', 'textbox', 'firstname', '', '', '', 0, 1, NOW(), NULL, 4, 0),
(2, 'Last Name', 'textbox', 'lastname', '', '', '', 0, 1, NOW(), NULL, 4, 0),
(3, 'Country', 'dropdown', 'country', '', 'Afghanistan;Afghanistan\r\nAlbania;Albania\r\nAlgeria;Algeria\r\nAndorra;Andorra\r\nAngola;Angola\r\nAnguilla;Anguilla\r\nAntigua & Barbuda;Antigua & Barbuda\r\nArgentina;Argentina\r\nArmenia;Armenia\r\nAustralia;Australia\r\nAustria;Austria\r\nAzerbaijan;Azerbaijan\r\nBahamas;Bahamas\r\nBahrain;Bahrain\r\nBangladesh;Bangladesh\r\nBarbados;Barbados\r\nBelarus;Belarus\r\nBelgium;Belgium\r\nBelize;Belize\r\nBenin;Benin\r\nBermuda;Bermuda\r\nBhutan;Bhutan\r\nBolivia;Bolivia\r\nBosnia & Herzegovina;Bosnia & Herzegovina\r\nBotswana;Botswana\r\nBrazil;Brazil\r\nBrunei Darussalam;Brunei Darussalam\r\nBulgaria;Bulgaria\r\nBurkina Faso;Burkina Faso\r\nMyanmar/Burma;Myanmar/Burma\r\nBurundi;Burundi\r\nCambodia;Cambodia\r\nCameroon;Cameroon\r\nCanada;Canada\r\nCape Verde;Cape Verde\r\nCayman Islands;Cayman Islands\r\nCentral African Republic;Central African Republic\r\nChad;Chad\r\nChile;Chile\r\nChina;China\r\nColombia;Colombia\r\nComoros;Comoros\r\nCongo;Congo\r\nCosta Rica;Costa Rica\r\nCroatia;Croatia\r\nCuba;Cuba\r\nCyprus;Cyprus\r\nCzech Republic;Czech Republic\r\nDemocratic Republic of the Congo;Democratic Republic of the Congo\r\nDenmark;Denmark\r\nDjibouti;Djibouti\r\nDominican Republic;Dominican Republic\r\nDominica;Dominica\r\nEcuador;Ecuador\r\nEgypt;Egypt\r\nEl Salvador;El Salvador\r\nEquatorial Guinea;Equatorial Guinea\r\nEritrea;Eritrea\r\nEstonia;Estonia\r\nEthiopia;Ethiopia\r\nFiji;Fiji\r\nFinland;Finland\r\nFrance;France\r\nFrench Guiana;French Guiana\r\nGabon;Gabon\r\nGambia;Gambia\r\nGeorgia;Georgia\r\nGermany;Germany\r\nGhana;Ghana\r\nGreat Britain;Great Britain\r\nGreece;Greece\r\nGrenada;Grenada\r\nGuadeloupe;Guadeloupe\r\nGuatemala;Guatemala\r\nGuinea;Guinea\r\nGuinea-Bissau;Guinea-Bissau\r\nGuyana;Guyana\r\nHaiti;Haiti\r\nHonduras;Honduras\r\nHungary;Hungary\r\nIceland;Iceland\r\nIndia;India\r\nIndonesia;Indonesia\r\nIran;Iran\r\nIraq;Iraq\r\nIsrael and the Occupied Territories;Israel and the Occupied Territories\r\nItaly;Italy\r\nIvory Coast (Cote d\'Ivoire);Ivory Coast (Cote d\'Ivoire)\r\nJamaica;Jamaica\r\nJapan;Japan\r\nJordan;Jordan\r\nKazakhstan;Kazakhstan\r\nKenya;Kenya\r\nKosovo;Kosovo\r\nKuwait;Kuwait\r\nKyrgyz Republic (Kyrgyzstan);Kyrgyz Republic (Kyrgyzstan)\r\nLaos;Laos\r\nLatvia;Latvia\r\nLebanon;Lebanon\r\nLesotho;Lesotho\r\nLiberia;Liberia\r\nLibya;Libya\r\nLiechtenstein;Liechtenstein\r\nLithuania;Lithuania\r\nLuxembourg;Luxembourg\r\nRepublic of Macedonia;Republic of Macedonia\r\nMadagascar;Madagascar\r\nMalawi;Malawi\r\nMalaysia;Malaysia\r\nMaldives;Maldives\r\nMali;Mali\r\nMalta;Malta\r\nMartinique;Martinique\r\nMauritania;Mauritania\r\nMauritius;Mauritius\r\nMayotte;Mayotte\r\nMexico;Mexico\r\nMoldova, Republic of;Moldova, Republic of\r\nMonaco;Monaco\r\nMongolia;Mongolia\r\nMontenegro;Montenegro\r\nMontserrat;Montserrat\r\nMorocco;Morocco\r\nMozambique;Mozambique\r\nNamibia;Namibia\r\nNepal;Nepal\r\nNetherlands;Netherlands\r\nNew Zealand;New Zealand\r\nNicaragua;Nicaragua\r\nNiger;Niger\r\nNigeria;Nigeria\r\nKorea, Democratic Republic of (North Korea);Korea, Democratic Republic of (North Korea)\r\nNorway;Norway\r\nOman;Oman\r\nPacific Islands;Pacific Islands\r\nPakistan;Pakistan\r\nPanama;Panama\r\nPapua New Guinea;Papua New Guinea\r\nParaguay;Paraguay\r\nPeru;Peru\r\nPhilippines;Philippines\r\nPoland;Poland\r\nPortugal;Portugal\r\nPuerto Rico;Puerto Rico\r\nQatar;Qatar\r\nReunion;Reunion\r\nRomania;Romania\r\nRussian Federation;Russian Federation\r\nRwanda;Rwanda\r\nSaint Kitts and Nevis;Saint Kitts and Nevis\r\nSaint Lucia;Saint Lucia\r\nSaint Vincent\'s & Grenadines;Saint Vincent\'s & Grenadines\r\nSamoa;Samoa\r\nSao Tome and Principe;Sao Tome and Principe\r\nSaudi Arabia;Saudi Arabia\r\nSenegal;Senegal\r\nSerbia;Serbia\r\nSeychelles;Seychelles\r\nSierra Leone;Sierra Leone\r\nSingapore;Singapore\r\nSlovak Republic (Slovakia);Slovak Republic (Slovakia)\r\nSlovenia;Slovenia\r\nSolomon Islands;Solomon Islands\r\nSomalia;Somalia\r\nSouth Africa;South Africa\r\nKorea, Republic of (South Korea);Korea, Republic of (South Korea)\r\nSouth Sudan;South Sudan\r\nSpain;Spain\r\nSri Lanka;Sri Lanka\r\nSudan;Sudan\r\nSuriname;Suriname\r\nSwaziland;Swaziland\r\nSweden;Sweden\r\nSwitzerland;Switzerland\r\nSyria;Syria\r\nTajikistan;Tajikistan\r\nTanzania;Tanzania\r\nThailand;Thailand\r\nTimor Leste;Timor Leste\r\nTogo;Togo\r\nTrinidad & Tobago;Trinidad & Tobago\r\nTunisia;Tunisia\r\nTurkey;Turkey\r\nTurkmenistan;Turkmenistan\r\nTurks & Caicos Islands;Turks & Caicos Islands\r\nUganda;Uganda\r\nUkraine;Ukraine\r\nUnited Arab Emirates;United Arab Emirates\r\nUnited States of America (USA);United States of America (USA)\r\nUruguay;Uruguay\r\nUzbekistan;Uzbekistan\r\nVenezuela;Venezuela\r\nVietnam;Vietnam\r\nVirgin Islands (UK);Virgin Islands (UK)\r\nVirgin Islands (US);Virgin Islands (US)\r\nYemen;Yemen\r\nZambia;Zambia\r\nZimbabwe;Zimbabwe\r\n', '', 0, 1, NOW(), NULL, 4, 0);

INSERT INTO `scxnl_subscribe_pages_fieldnames` (`subscribe_page_id`, `fieldname_id`, `sort_order`, `required`, `date_created`, `date_modified`, `created_by_id`, `modified_by_id`) VALUES
(1, 1, 1, 1, NOW(), NULL, 0, 0),
(1, 2, 2, 1, NOW(), NULL, 0, 0),
(1, 3, 3, 1, NOW(), NULL, 0, 0);




INSERT INTO `scxnl_templates` (`id`, `guid`, `title`, `virtual_filename`, `body_html_original`, `image_is_embedded`, `body_html`, `body_text`, `date_created`, `date_modified`, `is_system_message`, `version`) VALUES
(1, '7bc873ca-ac07-9e74-cde8-6e597a0134c7', 'Simple Responsive (derived from Cerberus)', 'simple-responsive', NULL, 0, '<!DOCTYPE html>\r\n<html lang=\"en\" xmlns=\"http://www.w3.org/1999/xhtml\" xmlns:v=\"urn:schemas-microsoft-com:vml\" xmlns:o=\"urn:schemas-microsoft-com:office:office\">\r\n  <head>\r\n    <meta charset=\"utf-8\"> <!-- utf-8 works for most cases -->\r\n    <meta name=\"viewport\" content=\"width=device-width\"> <!-- Forcing initial-scale shouldn\'t be necessary -->\r\n    <meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\"> <!-- Use the latest (edge) version of IE rendering engine -->\r\n    <meta name=\"x-apple-disable-message-reformatting\">  <!-- Disable auto-scale in iOS 10 Mail entirely -->\r\n    <title></title> <!-- The title tag shows in email notifications, like Android 4.4. -->\r\n\r\n    <!-- Web Font / @font-face : BEGIN -->\r\n    <!-- NOTE: If web fonts are not required, lines 10 - 27 can be safely removed. -->\r\n\r\n    <!-- Desktop Outlook chokes on web font references and defaults to Times New Roman, so we force a safe fallback font. -->\r\n    <!--[if mso]>\r\n<style>\r\n* {\r\nfont-family: sans-serif !important;\r\n}\r\n</style>\r\n<![endif]-->\r\n\r\n    <!-- All other clients get the webfont reference; some will render the font and others will silently fail to the fallbacks. More on that here: http://stylecampaign.com/blog/2015/02/webfont-support-in-email/ -->\r\n    <!--[if !mso]><!-->\r\n    <!-- insert web font reference, eg: <link href=\'https://fonts.googleapis.com/css?family=Roboto:400,700\' rel=\'stylesheet\' type=\'text/css\'> -->\r\n    <!--<![endif]-->\r\n\r\n    <!-- Web Font / @font-face : END -->\r\n\r\n    <!-- CSS Reset -->\r\n    <style>\r\n\r\n      /* What it does: Remove spaces around the email design added by some email clients. */\r\n      /* Beware: It can remove the padding / margin and add a background color to the compose a reply window. */\r\n      html,\r\n      body {\r\n        margin: 0 auto !important;\r\n        padding: 0 !important;\r\n        width: 100% !important;\r\n      }\r\n\r\n      /* What it does: Stops email clients resizing small text. */\r\n      * {\r\n        -ms-text-size-adjust: 100%;\r\n        -webkit-text-size-adjust: 100%;\r\n      }\r\n\r\n      /* What it does: Centers email on Android 4.4 */\r\n      div[style*=\"margin: 16px 0\"] {\r\n        margin:0 !important;\r\n      }\r\n\r\n      /* What it does: Stops Outlook from adding extra spacing to tables. */\r\n      table,\r\n      td {\r\n        mso-table-lspace: 0pt !important;\r\n        mso-table-rspace: 0pt !important;\r\n      }\r\n\r\n      /* What it does: Fixes webkit padding issue. Fix for Yahoo mail table alignment bug. Applies table-layout to the first 2 tables then removes for anything nested deeper. */\r\n      table {\r\n        border-spacing: 0 !important;\r\n        border-collapse: collapse !important;\r\n        table-layout: fixed !important;\r\n        margin: 0 auto !important;\r\n      }\r\n      table table table {\r\n        table-layout: auto;\r\n      }\r\n\r\n      /* What it does: Uses a better rendering method when resizing images in IE. */\r\n      img {\r\n        -ms-interpolation-mode:bicubic;\r\n      }\r\n\r\n      /* What it does: A work-around for email clients meddling in triggered links. */\r\n      *[x-apple-data-detectors],	/* iOS */\r\n      .x-gmail-data-detectors, 	/* Gmail */\r\n      .x-gmail-data-detectors *,\r\n      .aBn {\r\n        border-bottom: 0 !important;\r\n        cursor: default !important;\r\n        color: inherit !important;\r\n        text-decoration: none !important;\r\n        font-size: inherit !important;\r\n        font-family: inherit !important;\r\n        font-weight: inherit !important;\r\n        line-height: inherit !important;\r\n      }\r\n\r\n      /* What it does: Prevents Gmail from displaying an download button on large, non-linked images. */\r\n      .a6S {\r\n        display: none !important;\r\n        opacity: 0.01 !important;\r\n      }\r\n      /* If the above doesn\'t work, add a .g-img class to any image in question. */\r\n      img.g-img + div {\r\n        display:none !important;\r\n      }\r\n\r\n      /* What it does: Prevents underlining the button text in Windows 10 */\r\n      .button-link {\r\n        text-decoration: none !important;\r\n      }\r\n\r\n      /* What it does: Removes right gutter in Gmail iOS app: https://github.com/TedGoas/Cerberus/issues/89  */\r\n      /* Create one of these media queries for each additional viewport size you\'d like to fix */\r\n      /* Thanks to Eric Lepetit (@ericlepetitsf) for help troubleshooting */\r\n      @media only screen and (min-device-width: 375px) and (max-device-width: 413px) { /* iPhone 6 and 6+ */\r\n        .email-container {\r\n          min-width: 375px !important;\r\n        }\r\n      }\r\n\r\n    </style>\r\n\r\n    <!-- Progressive Enhancements -->\r\n    <style>\r\n\r\n      /* What it does: Hover styles for buttons */\r\n      .button-td,\r\n      .button-a {\r\n        transition: all 100ms ease-in;\r\n      }\r\n      .button-td:hover,\r\n      .button-a:hover {\r\n        background: #555555 !important;\r\n        border-color: #555555 !important;\r\n      }\r\n\r\n      /* Media Queries */\r\n      @media screen and (max-width: 600px) {\r\n\r\n        .email-container {\r\n          width: 100% !important;\r\n          margin: auto !important;\r\n        }\r\n\r\n        /* What it does: Forces elements to resize to the full width of their container. Useful for resizing images beyond their max-width. */\r\n        .fluid {\r\n          max-width: 100% !important;\r\n          height: auto !important;\r\n          margin-left: auto !important;\r\n          margin-right: auto !important;\r\n        }\r\n\r\n        /* What it does: Forces table cells into full-width rows. */\r\n        .stack-column,\r\n        .stack-column-center {\r\n          display: block !important;\r\n          width: 100% !important;\r\n          max-width: 100% !important;\r\n          direction: ltr !important;\r\n        }\r\n        /* And center justify these ones. */\r\n        .stack-column-center {\r\n          text-align: center !important;\r\n        }\r\n\r\n        /* What it does: Generic utility class for centering. Useful for images, buttons, and nested tables. */\r\n        .center-on-narrow {\r\n          text-align: center !important;\r\n          display: block !important;\r\n          margin-left: auto !important;\r\n          margin-right: auto !important;\r\n          float: none !important;\r\n        }\r\n        table.center-on-narrow {\r\n          display: inline-block !important;\r\n        }\r\n\r\n        /* What it does: Adjust typography on small screens to improve readability */\r\n        .email-container p {\r\n          font-size: 17px !important;\r\n          line-height: 22px !important;\r\n        }\r\n\r\n      }\r\n\r\n    </style>\r\n\r\n    <!-- What it does: Makes background images in 72ppi Outlook render at correct size. --> \r\n    <!--[if gte mso 9]>\r\n<xml>\r\n<o:OfficeDocumentSettings>\r\n<o:AllowPNG/>\r\n<o:PixelsPerInch>96</o:PixelsPerInch>\r\n</o:OfficeDocumentSettings>\r\n</xml>\r\n<![endif]-->\r\n\r\n  </head>\r\n  <body width=\"100%\" bgcolor=\"#EFEFEF\" style=\"margin: 0; mso-line-height-rule: exactly;\">\r\n<center style=\"width: 100%; background: #EFEFEF; text-align: left;\"><!-- Visually Hidden Preheader Text : BEGIN -->\r\n<div style=\"display: none; font-size: 1px; line-height: 1px; max-height: 0px; max-width: 0px; opacity: 0; overflow: hidden; mso-hide: all; font-family: sans-serif;\">(Optional) This text will appear in the inbox preview, but not the email body.</div>\r\n<!-- Visually Hidden Preheader Text : END --> <!-- Email Header : BEGIN -->\r\n<table class=\"email-container\" style=\"margin: auto;\" role=\"presentation\" border=\"0\" width=\"600\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\" aria-hidden=\"true\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 20px 0; text-align: center;\"><img style=\"height: auto; background: #dddddd; font-family: sans-serif; font-size: 15px; line-height: 20px; color: #555555;\" src=\"http://placehold.it/200x50\" alt=\"alt_text\" width=\"200\" height=\"50\" border=\"0\" aria-hidden=\"true\"></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<!-- Email Header : END --> <!-- Email Body : BEGIN -->\r\n<table class=\"email-container\" style=\"margin: auto;\" role=\"presentation\" border=\"0\" width=\"600\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\" aria-hidden=\"true\"><!-- Hero Image, Flush : BEGIN -->\r\n<tbody>\r\n<tr>\r\n<td bgcolor=\"#ffffff\"><img class=\"g-img\" style=\"width: 100%; max-width: 600px; height: auto; background: #dddddd; font-family: sans-serif; font-size: 15px; line-height: 20px; color: #555555;\" src=\"http://placehold.it/1200x600\" alt=\"alt_text\" width=\"600\" height=\"\" align=\"middle\" border=\"0\" aria-hidden=\"true\"></td>\r\n</tr>\r\n<!-- Hero Image, Flush : END --> <!-- 1 Column Text + Button : BEGIN -->\r\n<tr>\r\n<td style=\"padding: 40px 40px 20px; text-align: center;\" bgcolor=\"#ffffff\">\r\n<h1 style=\"margin: 0; font-family: sans-serif; font-size: 24px; line-height: 27px; color: #333333; font-weight: normal;\">Praesent laoreet malesuada&nbsp;cursus.</h1>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 0 40px 40px; font-family: sans-serif; font-size: 15px; line-height: 20px; color: #555555; text-align: center;\" bgcolor=\"#ffffff\">\r\n<p style=\"margin: 0;\">Maecenas sed ante pellentesque, posuere leo id, eleifend dolor. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Praesent laoreet malesuada cursus. Maecenas scelerisque congue eros eu posuere. Praesent in felis ut velit pretium lobortis rhoncus ut&nbsp;erat.</p>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"padding: 0 40px 40px; font-family: sans-serif; font-size: 15px; line-height: 20px; color: #555555;\" bgcolor=\"#ffffff\">\r\n<table style=\"margin: auto;\" role=\"presentation\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\" aria-hidden=\"true\">\r\n<tbody>\r\n<tr>\r\n<td class=\"button-td\" style=\"border-radius: 3px; background: #222222; text-align: center;\"><a class=\"button-a\" style=\"background: #222222; border: 15px solid #222222; font-family: sans-serif; font-size: 13px; line-height: 1.1; text-align: center; text-decoration: none; display: block; border-radius: 3px; font-weight: bold;\" href=\"http://www.google.com\"> &nbsp;&nbsp;&nbsp;&nbsp;<span style=\"color: #ffffff;\">A Button</span>&nbsp;&nbsp;&nbsp;&nbsp; </a></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<!-- Button : END --></td>\r\n</tr>\r\n<!-- 1 Column Text + Button : END --> <!-- Background Image with Text : BEGIN -->\r\n<tr><!-- Bulletproof Background Images c/o https://backgrounds.cm -->\r\n<td style=\"text-align: center; background-position: center center !important; background-size: cover !important;\" valign=\"middle\" bgcolor=\"#222222\"><!--[if gte mso 9]>\r\n<v:rect xmlns:v=\"urn:schemas-microsoft-com:vml\" fill=\"true\" stroke=\"false\" style=\"width:600px;height:175px; background-position: center center !important;\">\r\n<v:fill type=\"tile\" src=\"http://placehold.it/600x230/222222/666666\" color=\"#222222\" />\r\n<v:textbox inset=\"0,0,0,0\">\r\n<![endif]-->\r\n<div>\r\n<table role=\"presentation\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\" aria-hidden=\"true\">\r\n<tbody>\r\n<tr>\r\n<td style=\"text-align: center; padding: 40px; font-family: sans-serif; font-size: 15px; line-height: 20px; color: #ffffff;\" valign=\"middle\">\r\n<p style=\"margin: 0;\">Maecenas sed ante pellentesque, posuere leo id, eleifend dolor. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Praesent laoreet malesuada cursus. Maecenas scelerisque congue eros eu posuere. Praesent in felis ut velit pretium lobortis rhoncus ut&nbsp;erat.</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</div>\r\n<!--[if gte mso 9]>\r\n</v:textbox>\r\n</v:rect>\r\n<![endif]--></td>\r\n</tr>\r\n<!-- Background Image with Text : END --> <!-- 2 Even Columns : BEGIN -->\r\n<tr>\r\n<td style=\"padding: 10px;\" align=\"center\" valign=\"top\" bgcolor=\"#ffffff\">\r\n<table role=\"presentation\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" aria-hidden=\"true\">\r\n<tbody>\r\n<tr><!-- Column : BEGIN -->\r\n<td class=\"stack-column-center\">\r\n<table role=\"presentation\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" aria-hidden=\"true\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 10px; text-align: center;\"><img class=\"fluid\" style=\"height: auto; background: #dddddd; font-family: sans-serif; font-size: 15px; line-height: 20px; color: #555555;\" src=\"http://placehold.it/270\" alt=\"alt_text\" width=\"270\" height=\"270\" border=\"0\" aria-hidden=\"true\"></td>\r\n</tr>\r\n<tr>\r\n<td class=\"center-on-narrow\" style=\"font-family: sans-serif; font-size: 15px; line-height: 20px; color: #555555; padding: 0 10px 10px; text-align: left;\">\r\n<p style=\"margin: 0;\">Maecenas sed ante pellentesque, posuere leo id, eleifend dolor. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos.</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n<!-- Column : END --> <!-- Column : BEGIN -->\r\n<td class=\"stack-column-center\">\r\n<table role=\"presentation\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" aria-hidden=\"true\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 10px; text-align: center;\"><img class=\"fluid\" style=\"height: auto; background: #dddddd; font-family: sans-serif; font-size: 15px; line-height: 20px; color: #555555;\" src=\"http://placehold.it/270\" alt=\"alt_text\" width=\"270\" height=\"270\" border=\"0\" aria-hidden=\"true\"></td>\r\n</tr>\r\n<tr>\r\n<td class=\"center-on-narrow\" style=\"font-family: sans-serif; font-size: 15px; line-height: 20px; color: #555555; padding: 0 10px 10px; text-align: left;\">\r\n<p style=\"margin: 0;\">Maecenas sed ante pellentesque, posuere leo id, eleifend dolor. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos.</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n<!-- Column : END --></tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- 2 Even Columns : END --> <!-- 3 Even Columns : BEGIN -->\r\n<tr>\r\n<td style=\"padding: 10px;\" align=\"center\" valign=\"top\" bgcolor=\"#ffffff\">\r\n<table role=\"presentation\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" aria-hidden=\"true\">\r\n<tbody>\r\n<tr><!-- Column : BEGIN -->\r\n<td class=\"stack-column-center\" width=\"33.33%\">\r\n<table role=\"presentation\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" aria-hidden=\"true\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 10px; text-align: center;\"><img class=\"fluid\" style=\"height: auto; background: #dddddd; font-family: sans-serif; font-size: 15px; line-height: 20px; color: #555555;\" src=\"http://placehold.it/170\" alt=\"alt_text\" width=\"170\" height=\"170\" border=\"0\" aria-hidden=\"true\"></td>\r\n</tr>\r\n<tr>\r\n<td class=\"center-on-narrow\" style=\"font-family: sans-serif; font-size: 15px; line-height: 20px; color: #555555; padding: 0 10px 10px; text-align: left;\">\r\n<p style=\"margin: 0;\">Maecenas sed ante pellentesque, posuere leo id, eleifend dolor. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos.</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n<!-- Column : END --> <!-- Column : BEGIN -->\r\n<td class=\"stack-column-center\" width=\"33.33%\">\r\n<table role=\"presentation\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" aria-hidden=\"true\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 10px; text-align: center;\"><img class=\"fluid\" style=\"height: auto; background: #dddddd; font-family: sans-serif; font-size: 15px; line-height: 20px; color: #555555;\" src=\"http://placehold.it/170\" alt=\"alt_text\" width=\"170\" height=\"170\" border=\"0\" aria-hidden=\"true\"></td>\r\n</tr>\r\n<tr>\r\n<td class=\"center-on-narrow\" style=\"font-family: sans-serif; font-size: 15px; line-height: 20px; color: #555555; padding: 0 10px 10px; text-align: left;\">\r\n<p style=\"margin: 0;\">Maecenas sed ante pellentesque, posuere leo id, eleifend dolor. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos.</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n<!-- Column : END --> <!-- Column : BEGIN -->\r\n<td class=\"stack-column-center\" width=\"33.33%\">\r\n<table role=\"presentation\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" aria-hidden=\"true\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 10px; text-align: center;\"><img class=\"fluid\" style=\"height: auto; background: #dddddd; font-family: sans-serif; font-size: 15px; line-height: 20px; color: #555555;\" src=\"http://placehold.it/170\" alt=\"alt_text\" width=\"170\" height=\"170\" border=\"0\" aria-hidden=\"true\"></td>\r\n</tr>\r\n<tr>\r\n<td class=\"center-on-narrow\" style=\"font-family: sans-serif; font-size: 15px; line-height: 20px; color: #555555; padding: 0 10px 10px; text-align: left;\">\r\n<p style=\"margin: 0;\">Maecenas sed ante pellentesque, posuere leo id, eleifend dolor. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos.</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n<!-- Column : END --></tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- 3 Even Columns : END --> <!-- Thumbnail Left, Text Right : BEGIN -->\r\n<tr>\r\n<td dir=\"ltr\" style=\"padding: 10px;\" align=\"center\" valign=\"top\" bgcolor=\"#ffffff\" width=\"100%\">\r\n<table role=\"presentation\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\" aria-hidden=\"true\">\r\n<tbody>\r\n<tr><!-- Column : BEGIN -->\r\n<td class=\"stack-column-center\" width=\"33.33%\">\r\n<table role=\"presentation\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\" aria-hidden=\"true\">\r\n<tbody>\r\n<tr>\r\n<td dir=\"ltr\" style=\"padding: 0 10px;\" valign=\"top\"><img class=\"center-on-narrow\" style=\"height: auto; background: #dddddd; font-family: sans-serif; font-size: 15px; line-height: 20px; color: #555555;\" src=\"http://placehold.it/170\" alt=\"alt_text\" width=\"170\" height=\"170\" border=\"0\" aria-hidden=\"true\"></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n<!-- Column : END --> <!-- Column : BEGIN -->\r\n<td class=\"stack-column-center\" width=\"66.66%\">\r\n<table role=\"presentation\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\" aria-hidden=\"true\">\r\n<tbody>\r\n<tr>\r\n<td class=\"center-on-narrow\" dir=\"ltr\" style=\"font-family: sans-serif; font-size: 15px; line-height: 20px; color: #555555; padding: 10px; text-align: left;\" valign=\"top\">\r\n<h2 style=\"margin: 0 0 10px 0; font-family: sans-serif; font-size: 18px; line-height: 21px; color: #333333; font-weight: bold;\">Class aptent taciti sociosqu</h2>\r\n<p style=\"margin: 0 0 10px 0;\">Maecenas sed ante pellentesque, posuere leo id, eleifend dolor. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos.</p>\r\n<!-- Button : BEGIN -->\r\n<table class=\"center-on-narrow\" style=\"float: left;\" role=\"presentation\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" aria-hidden=\"true\">\r\n<tbody>\r\n<tr>\r\n<td class=\"button-td\" style=\"border-radius: 3px; background: #222222; text-align: center;\"><a class=\"button-a\" style=\"background: #222222; border: 15px solid #222222; font-family: sans-serif; font-size: 13px; line-height: 1.1; text-align: center; text-decoration: none; display: block; border-radius: 3px; font-weight: bold;\" href=\"http://www.google.com\"> <span class=\"button-link\" style=\"color: #ffffff;\">&nbsp;&nbsp;&nbsp;&nbsp;A Button&nbsp;&nbsp;&nbsp;&nbsp;</span> </a></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<!-- Button : END --></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n<!-- Column : END --></tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- Thumbnail Left, Text Right : END --> <!-- Thumbnail Right, Text Left : BEGIN -->\r\n<tr>\r\n<td dir=\"rtl\" style=\"padding: 10px;\" align=\"center\" valign=\"top\" bgcolor=\"#ffffff\" width=\"100%\">\r\n<table role=\"presentation\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\" aria-hidden=\"true\">\r\n<tbody>\r\n<tr><!-- Column : BEGIN -->\r\n<td class=\"stack-column-center\" width=\"33.33%\">\r\n<table role=\"presentation\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\" aria-hidden=\"true\">\r\n<tbody>\r\n<tr>\r\n<td dir=\"ltr\" style=\"padding: 0 10px;\" valign=\"top\"><img class=\"center-on-narrow\" style=\"height: auto; background: #dddddd; font-family: sans-serif; font-size: 15px; line-height: 20px; color: #555555;\" src=\"http://placehold.it/170\" alt=\"alt_text\" width=\"170\" height=\"170\" border=\"0\" aria-hidden=\"true\"></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n<!-- Column : END --> <!-- Column : BEGIN -->\r\n<td class=\"stack-column-center\" width=\"66.66%\">\r\n<table role=\"presentation\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\" aria-hidden=\"true\">\r\n<tbody>\r\n<tr>\r\n<td class=\"center-on-narrow\" dir=\"ltr\" style=\"font-family: sans-serif; font-size: 15px; line-height: 20px; color: #555555; padding: 10px; text-align: left;\" valign=\"top\">\r\n<h2 style=\"margin: 0 0 10px 0; font-family: sans-serif; font-size: 18px; line-height: 21px; color: #333333; font-weight: bold;\">Class aptent taciti sociosqu</h2>\r\n<p style=\"margin: 0 0 10px 0;\">Maecenas sed ante pellentesque, posuere leo id, eleifend dolor. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos.</p>\r\n<!-- Button : BEGIN -->\r\n<table class=\"center-on-narrow\" style=\"float: left;\" role=\"presentation\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" aria-hidden=\"true\">\r\n<tbody>\r\n<tr>\r\n<td class=\"button-td\" style=\"border-radius: 3px; background: #222222; text-align: center;\"><a class=\"button-a\" style=\"background: #222222; border: 15px solid #222222; font-family: sans-serif; font-size: 13px; line-height: 1.1; text-align: center; text-decoration: none; display: block; border-radius: 3px; font-weight: bold;\" href=\"http://www.google.com\"> <span class=\"button-link\" style=\"color: #ffffff;\">&nbsp;&nbsp;&nbsp;&nbsp;A Button&nbsp;&nbsp;&nbsp;&nbsp;</span> </a></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<!-- Button : END --></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n<!-- Column : END --></tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- Thumbnail Right, Text Left : END --> <!-- Clear Spacer : BEGIN -->\r\n<tr>\r\n<td style=\"font-size: 0; line-height: 0;\" height=\"40\">&nbsp;</td>\r\n</tr>\r\n<!-- Clear Spacer : END --> <!-- 1 Column Text : BEGIN -->\r\n<tr>\r\n<td bgcolor=\"#ffffff\">\r\n<table role=\"presentation\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" aria-hidden=\"true\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 40px; font-family: sans-serif; font-size: 15px; line-height: 20px; color: #555555;\">Maecenas sed ante pellentesque, posuere leo id, eleifend dolor. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Praesent laoreet malesuada cursus. Maecenas scelerisque congue eros eu posuere. Praesent in felis ut velit pretium lobortis rhoncus ut&nbsp;erat.</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- 1 Column Text : END --></tbody>\r\n</table>\r\n<!-- Email Body : END --> <!-- Email Footer : BEGIN -->\r\n<table class=\"email-container\" style=\"margin: auto;\" role=\"presentation\" border=\"0\" width=\"600\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\" bgcolor=\"orange\" aria-hidden=\"true\">\r\n<tbody>\r\n<tr>\r\n<td class=\"x-gmail-data-detectors\" style=\"padding: 40px 10px; width: 100%; font-size: 12px; font-family: sans-serif; line-height: 18px; text-align: center; color: #888888;\"><a style=\"color: #cccccc; text-decoration: underline; font-weight: bold;\" href=\"{$webversion_url}\">View as a Web Page</a> <br><br> Company Name<br>123 Fake Street, SpringField, OR, 97477 US<br>(123) 456-7890 <br><br> <a style=\"color: #888888; text-decoration: underline;\" href=\"{$unsubscribe_url}\">unsubscribe</a></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<!-- Email Footer : END --> <!-- Full Bleed Background Section : BEGIN -->\r\n<table role=\"presentation\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\" bgcolor=\"#709f2b\" aria-hidden=\"true\">\r\n<tbody>\r\n<tr>\r\n<td align=\"center\" valign=\"top\">\r\n<div class=\"email-container\" style=\"max-width: 600px; margin: auto;\"><!--[if mso]>\r\n<table role=\"presentation\" aria-hidden=\"true\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\" width=\"600\" align=\"center\">\r\n<tr>\r\n<td>\r\n<![endif]-->\r\n<table role=\"presentation\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" aria-hidden=\"true\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 40px; text-align: left; font-family: sans-serif; font-size: 15px; line-height: 20px; color: #ffffff;\">\r\n<p style=\"margin: 0;\">Maecenas sed ante pellentesque, posuere leo id, eleifend dolor. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Praesent laoreet malesuada cursus. Maecenas scelerisque congue eros eu posuere. Praesent in felis ut velit pretium lobortis rhoncus ut&nbsp;erat.</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<!--[if mso]>\r\n</td>\r\n</tr>\r\n</table>\r\n<![endif]--></div>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<!-- Full Bleed Background Section : END --></center>\r\n</body>\r\n</html>', '(Optional) This text will appear in the inbox preview, but not the email body.\r\n \r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n \r\n\r\n\r\n\r\n\r\n\r\n \r\n\r\n\r\nPraesent laoreet malesuada', '2017-06-27 16:17:10', '2017-06-27 20:39:39', NULL, '1.30');
