<?php

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//

namespace App;

class Newsletters_Blacklist_Admin extends \SCHLIX\cmsAdmin_List {

//_________________________________________________________________________//    
    public function __construct() {
        // Data: Item
        parent::__construct(true, array());
        $this->setItemFieldNamesForAjaxListing('id', 'real_email_address', 'notes', 'date_created','subscriber_id');
    }


    //_________________________________________________________________________//
    public function createNewBan() {
        
        $email_address = trim(fpost_string('email_address'));
        if (filter_var($email_address, FILTER_VALIDATE_EMAIL) === false) {
            return ajax_reply(100, 'Email address is invalid');
        } else
        {
            $result = $this->app->blacklistEmailAddress($email_address, fpost_string('notes')); // no need to check sql injection here - already in the app
            return ($result == true) ? ajax_reply(200, 'OK') : ajax_reply(100, 'Already blacklisted');
        }
    }

    //_________________________________________________________________________//
    public function Run() {
        switch (fget_alphanumeric('action')) {
            case 'ban':return ajax_echo($this->createNewBan());
                break;
            default:return parent::Run();
        }
    }

}

?>