/* 
 * Copyright (C) 2015 SCHLIX WEB INC.
 *
 * This software is licensed under SHARED SOURCE; you can redistribute
 * but forking or creating a derivative is prohibited 
 *
 * Please read the LICENSE.html for details
 */
/**
 * View Controller class
 */
SCHLIX.CMS.NewslettersBlacklistAdmin = class extends SCHLIX.CMS.BaseController  {  
    /**
     * Constructor
     */
    constructor ()
    {
        super("newsletters.blacklist"); 
    };
 
    onShowBanDialog ()
    {

        var obj = SCHLIX.CMS.getObject('schlix-cms-banemail-dialog');
        SCHLIX.Dom.get('dlg-notes').value = '';
        SCHLIX.Dom.get('dlg-email_address').value = '';


        obj.show();
    }; // end func

    /**
     * Datatable row format: item title
     * @param {type} elCell
     * @param {type} oRecord
     * @param {type} oColumn
     * @param {type} oData
     * @param {type} oDataTable
     * @returns {undefined}
     */
    static formatDataTableCell_ViewNotes (elCell, oRecord, oColumn, oData) {

       
        if (oData && oData.length > 70)
            oData = oData.substr(0, 70) + '...';
        else
            oData = ''; 
        
        elCell.innerHTML = oData;
    };
    runCommand (command, evt)
    {
        switch (command)
        {

            case 'ban':
                this.onShowBanDialog();
                return true;
                break;

            case 'config':
                this.redirectToCMSCommand("editconfig");
                return true;
                break;
            case 'form-submit-ok':
            case 'refresh':
                this.cms_control.refreshControls();
                break;
            default:
                return  super.runCommand(command, evt);
                break;

        }
        //alert("Received Command: " + command);
    }
};