/* 
 * Copyright (C) 2015 SCHLIX WEB INC.
 *
 * This software is licensed under SHARED SOURCE; you can redistribute
 * but forking or creating a derivative is prohibited 
 *
 * Please read the LICENSE.html for details
 */

/**
 * View Controller class
 */
SCHLIX.CMS.NewslettersEmailChangeRequestsAdmin = class extends SCHLIX.CMS.BaseController  {  
    /**
     * Constructor
     */
    constructor ()
    {
        super("newsletters.emailchangerequests");
    };
     
    
    /**
     * Datatable row format: item status
     * @param {type} elCell
     * @param {type} oRecord
     * @param {type} oColumn
     * @param {type} oData
     * @returns {undefined}
     */
    static formatDataTableCell_EmailChangeRequestStatus (elCell, oRecord, oColumn, oData) {
        var button_name = '';
        var color = '';
        var text = '';
        switch (oData)
        {
            case 0:
                button_name = "times-circle";
                color = 'darkorange';
                text = 'invalidated';
                break;
            case -4:
                button_name = "exclamation-circle";
                color = 'red';
                text = 'denied';
                break;
            
            
            case -2:
                button_name = "question-circle";
                color = 'darkorange';
                text = 'new';
                break;
                // more ...            
            case 1:
                button_name = "check-circle";
                color = 'green';
                text = 'done';
                break; 
                
                // more ...
            default:
                button_name = "exclamation-triangle";
                color = 'red';
                text = 'unknown';
                break;
        }
        elCell.innerHTML = '<i class="fa fa-' + button_name + '" style="color:' + color + '"></i> ' + text;
    }; // end func 

    /**
     * Datatable row format: item title
     * @param {type} elCell
     * @param {type} oRecord
     * @param {type} oColumn
     * @param {type} oData
     * @param {type} oDataTable
     * @returns {undefined}
     */
    static formatDataTableCell_ViewLog (elCell, oRecord, oColumn, oData) {

        var odata_id = oRecord.getData("id");
        if (oData === undefined)
        {
            elCell.innerHTML = "Invalid column!";
            return;
        }
        //  alert(this.parentControl.getTableFieldNameByRole('title'));
        var itemTitle = oData;// oRecord.getData("title");
        var itemLink = '';
        if (itemTitle.length > 40)
            itemTitle = itemTitle.substr(0, 40) + '...';
            elCell.innerHTML = itemTitle;
    };
    /**
     * Datatable row format: item title
     * @param {type} elCell
     * @param {type} oRecord
     * @param {type} oColumn
     * @param {type} oData
     * @param {type} oDataTable
     * @returns {undefined}
     */
    static formatDataTableCell_ViewID (elCell, oRecord, oColumn, oData) {

        var odata_id = oRecord.getData("id");
        if (oData === undefined)
        {
            elCell.innerHTML = "Invalid column!";
            return;
        }
        var app_name = this.parentControl.app_name;

        var the_id = oRecord.getData("id");
        var icon = "<i class =\"fa fa-envelope-open\"></i>";
        var notes = ''; //SCHLIX.Util.escapeHTML(oRecord.getData("notes")) ;
        elCell.innerHTML = '<a class="open-viewrequest" href="javascript:void(0)"  id="' + app_name + "-lnk-" + the_id + '"' +
                
                'data-id="' + the_id + '"' + 
                'data-guid="' + oRecord.getData("guid")  + '"' + 
                'data-status="' + oRecord.getData("status")  + '"' + 
                'data-subscriber_id="' + oRecord.getData("subscriber_id") + '"' + 
                'data-date_created="' + oRecord.getData("date_created") + '"' + 
                'data-date_activated="' + oRecord.getData("date_activated") + '"' + 
                'data-ip_address="' + oRecord.getData("ip_address") + '"' + 
                'data-email_address="' + oRecord.getData("email_address") + '"' + 
                'data-new_email_address="' + oRecord.getData("new_email_address") + '"' + 
                'data-new_real_email_address="' + oRecord.getData("new_real_email_address") + '"' + 
                'data-user_agent="' + SCHLIX.Util.escapeHTML(oRecord.getData("user_agent")) + '"' + 
                'data-host_name="' + oRecord.getData("host_name") + '"' + 
                'data-confirmed_ip_address="' + oRecord.getData("confirmed_ip_address") + '"' + 
                'data-confirmed_user_agent="' + oRecord.getData("confirmed_user_agent") + '"' + 
                'data-confirmed_host_name="' + oRecord.getData("confirmed_host_name") + '"' + 
                'data-notes="' + notes + '">' +
                "#" + the_id + '</a>' ;
        /*elCell.innerHTML = '<a class="open-viewrequest" href="javascript:void(0)"  id="' + app_name + "-lnk-" + the_id + '"' +

                //'data-subscribe_page_id="' + oRecord.getData("subscribe_page_id") + '"' + 
                
                'data-notes="' + notes + '">';
                "#" + the_id + '</a>' ;
                console.log(elCell.innerHTML)*/

    };

    /**
     * Datatable row format: item title
     * @param {type} elCell
     * @param {type} oRecord
     * @param {type} oColumn
     * @param {type} oData
     * @param {type} oDataTable
     * @returns {undefined}
     */
    static formatDataTableCell_ViewEmail (elCell, oRecord, oColumn, oData) {

        var odata_id = oRecord.getData("id");
        if (oData === undefined)
        {
            elCell.innerHTML = "Invalid column!";
            return;
        }
        var itemTitle = oData;
        var itemLink = '';
        if (itemTitle.length > 40)
            itemTitle = itemTitle.substr(0, 40) + '...';
        var app_name = this.parentControl.app_name;

        var the_id = oRecord.getData("id");
        var theValue = 'i' + the_id;
        if (itemTitle == '')
            itemTitle = '(Untitled)';
        var icon = "<i class =\"fa fa-envelope-open\"></i>";
        var __app_url  = this.parentControl.schlix_application_url.replace('.emailchangerequests','.subscribers');
        var itemLink = site_httpbase + __app_url + 'action=edititem&id=' + oRecord.getData("subscriber_id");
        
        elCell.innerHTML = '<a href="' + itemLink + '">' + " " + icon + " " + itemTitle + '</a>';
    };
 
    onDOMReady ()
    {
        SCHLIX.Event.delegate('schlix-newsletters_emailchangerequests-admin', 'click', this.onShowViewRequestDialog, 'a.open-viewrequest', this, true);
    }; // end func
    onShowViewRequestDialog (e)
    {
        var obj = SCHLIX.CMS.getObject('schlix-cms-request-dialog');
        var el = SCHLIX.Dom.get(e.target.id);
        var ela = el.getAttribute;
        var content = '<table class="table">';
        content += '<tr><td>ID</td><td>'+ el.getAttribute('data-id') + '</td></tr>';
        content += '<tr><td>GUID</td><td>'+ el.getAttribute('data-guid') + '</td></tr>';
        content += '<tr><td>Status</td><td>'+ el.getAttribute('data-status') + '</td></tr>';
        content += '<tr><td>Subscriber ID</td><td>'+ el.getAttribute('data-subscriber_id') + '</td></tr>';
        content += '<tr><td>Date Created</td><td>'+ el.getAttribute('data-date_created') + '</td></tr>';
        content += '<tr><td>Old Email Address</td><td>'+ el.getAttribute('data-email_address') + '</td></tr>';
        content += '<tr><td>New Email Address</td><td>'+ el.getAttribute('data-new_email_address') + '</td></tr>';
        content += '<tr><td>Real New Email Address</td><td>'+ el.getAttribute('data-real_new_email_address') + '</td></tr>';
        
        content += '<tr><td>Date Activated</td><td>'+ el.getAttribute('data-date_activated') + '</td></tr>';
        
        content += '<tr><td>IP Address</td><td>'+ SCHLIX.Util.escapeHTML(el.getAttribute('data-ip_address')) + '</td></tr>';
        content += '<tr><td>User Agent</td><td>'+ SCHLIX.Util.escapeHTML(el.getAttribute('data-user_agent')) + '</td></tr>';
        content += '<tr><td>Host Name</td><td>'+ SCHLIX.Util.escapeHTML(el.getAttribute('data-host_name')) + '</td></tr>';
        
        content += '<tr><td>Confirmed IP Address</td><td>'+ SCHLIX.Util.escapeHTML(el.getAttribute('data-confirmed_ip_address')) + '</td></tr>';
        content += '<tr><td>Confirmed User Agent</td><td>'+ SCHLIX.Util.escapeHTML(el.getAttribute('data-confirmed_user_agent')) + '</td></tr>';
        content += '<tr><td>Confirmed Host Name</td><td>'+ SCHLIX.Util.escapeHTML(el.getAttribute('data-confirmed_host_name')) + '</td></tr>';        
        
        content += '<tr><td>Notes</td><td>'+ SCHLIX.Util.escapeHTML(el.getAttribute('data-notes')) + '</td></tr>';        
        
        content += '</table>';
        var message_content = SCHLIX.Dom.get('message-content');
        message_content.innerHTML = content;
        obj.show();
    }; // end func
    runCommand (command, evt)
    {
        switch (command)
        {
            default:
                return super.runCommand(command, evt);
        }
    }
};