<?php
namespace App;

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
 

//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
class Newsletters_Queues_Admin extends \App\EmailQueue_Admin
{

//_________________________________________________________________________//    
    public function __construct()
    {
        // Data: Item
		parent::__construct ();
                $this->setItemFieldNamesForAjaxListing('id', 'queue_marker', 'date_queued','date_sent','guid','field_subject','field_to_name','field_to_email','status','retry_count','errors');
    }
     /**
     * Get Item By ID - Override
     * @global \SCHLIX\cmsDatabase $SystemDB
     * @param int $id
     */
    public function ajaxGetEmailByID($id) {
        

        $id = (int) $id;
        $item = $this->app->getItemByID($id);
        if ($item)
        {
            $error_file = $file_html = SCHLIX_SITE_PATH.$item['store_folder']."/{$id}.error.log";
            $file_html = SCHLIX_SITE_PATH.$item['store_folder']."/{$id}.html";
            $file_text = SCHLIX_SITE_PATH.$item['store_folder']."/{$id}.txt";
            $body_html =  (file_exists($file_html)) ? file_get_contents($file_html) : 'ERROR';
            $body_text =  (file_exists($file_text)) ? file_get_contents($file_text) : 'ERROR';
            if (file_exists($error_file))
                $item['errors'] = @file_get_contents ($error_file);
            $body_html = preg_replace('/(<[^>]+) href=".*?"/i', '$1', $body_html);
            $item['body_html'] = $body_html;
            $item['body_text'] = nl2br($body_text);
            return ajax_reply(200, $item);
        } 
        else
        {
            return ajax_reply(201,'Not found');
        }
    }
    
    public function getQueueCountArray()
    {
        global $SystemDB;
        
        $info_sent = $SystemDB->getQueryResultSingleRow("SELECT COUNT(*) AS total_count FROM {$this->table_items} WHERE status = 1");
        $info_queued = $SystemDB->getQueryResultSingleRow("SELECT COUNT(*) AS total_count FROM {$this->table_items} WHERE status = 0");
        $info_error = $SystemDB->getQueryResultSingleRow("SELECT COUNT(*) AS total_count FROM {$this->table_items} WHERE status = -1");
        
        $info = ['sent' => $info_sent['total_count'],
                 'queued' => $info_queued['total_count'],
                 'error' => $info_error['total_count']
                ];
        return $info;
    }

    /**
     * You can customize the response schema field here
     * @param array $response_schema
     * @return array
     */
    public function modifyItemResponseSchemaFields(array $response_schema) {
        $response_schema = parent::modifyItemResponseSchemaFields($response_schema);

        $response_schema[] = array('key' => 'errors', 'parser' => 'string');

        return $response_schema;
    }
    
    public function ajaxGetAllItems( $start = 0, $end = 0, $sortby = '', $sortdirection = 'ASC') {
        $parent_output = parent::ajaxGetAllItems($start, $end, $sortby, $sortdirection);
        $reply = json_decode($parent_output, true);
        $totalcount = count($reply['data']);
        
        for ($i = 0; $i < $totalcount; $i++) {
            $id = $reply['data'][$i]['id'];
            $int_created = strtotime($reply['data'][$i]['date_queued']);
            $parent_folder_id = floor($id / 10000.0);
            $error_file = SCHLIX_SITE_PATH . "/data/private/newsletters" . '/' .date('Y', $int_created).'/'.date('m', $int_created).'/'.$parent_folder_id.'/'.$id.'.error.log';
            //if (file_exists($error_file))
                $reply['data'][$i]['errors'] = @file_get_contents($error_file);
        }
        return json_encode($reply);
    }

} 