/* 
 * Copyright (C) 2015 SCHLIX WEB INC.
 *
 * This software is licensed under SHARED SOURCE; you can redistribute
 * but forking or creating a derivative is prohibited 
 *
 * Please read the LICENSE.html for details
 */

/**
 * View Controller class
 */
SCHLIX.CMS.NewslettersQueuesAdmin = class extends SCHLIX.CMS.BaseController  {  
    /**
     * Constructor
     */
    constructor ()
    {
        super("newsletters.queues");
    };
    /**
     * Datatable row format: item title
     * @param {type} elCell
     * @param {type} oRecord
     * @param {type} oColumn
     * @param {type} oData
     * @param {type} oDataTable
     * @returns {undefined}
     */

    static formatDataTableCell_ViewErrors  (elCell, oRecord, oColumn, oData) {

        //  alert(this.parentControl.getTableFieldNameByRole('title'));
        if (!oData || oData == 'false')
            oData = '';
        var txt = (oData.length > 50) ? oData.substr(0, 50) + '...' : oData;
            

        elCell.innerHTML = SCHLIX.Util.escapeHTML(txt);
    };
    
    /**
     * Datatable row format: item title
     * @param {type} elCell
     * @param {type} oRecord
     * @param {type} oColumn
     * @param {type} oData
     * @param {type} oDataTable
     * @returns {undefined}
     */

    static formatDataTableCell_ViewMail  (elCell, oRecord, oColumn, oData) {

        var odata_id = oRecord.getData("id");
        if (oData === undefined)
        {
            elCell.innerHTML = "Invalid column!";
            return;
        }
        //  alert(this.parentControl.getTableFieldNameByRole('title'));
        var itemTitle = oData;// oRecord.getData("title");
        var itemLink = site_httpbase;
        if (itemTitle.length > 40)
            itemTitle = itemTitle.substr(0, 40) + '...';
        var app_name = this.parentControl.app_name;

        var the_id = oRecord.getData("id");
        var theValue = 'i' + the_id;
        if (itemTitle == '')
            itemTitle = '(Untitled)';
        //itemLink = _schlix_app_controller + oColumn.app_name + '&action=edititem&id=' + oRecord.getData("id");
        var icon = "<i class =\"fa fa-file-text-o fa-2x\"></i>";
        // var checkbox = '<input type="checkbox" class="selections" value="' + theValue + '"  />';            
        itemLink = site_httpbase+ this.parentControl.schlix_application_url + 'action=edititem&id=' + the_id;
        elCell.innerHTML = '<a class="open-viewmail" id="' + app_name + "-lnk-" + theValue + '"  href="javascript:void(0)" data-email-id="' + odata_id + '">' + " " + icon + " " + itemTitle + '</a>';
    };

    onDOMReady ()
    {
        SCHLIX.Event.delegate('schlix-newsletters_queues-admin', 'click', this.onShowViewMailDialog, 'a', this, true);
        
    }; // end func
    // 
     escape(txt) {
        var map = {
          '&': '&amp;',
          '<': '&lt;',
          '>': '&gt;',
          '"': '&quot;',
          "'": '&#039;'
        };

        return txt.replace(/[&<>"']/g, function(m) { return map[m]; });
      }

    /**
     * Datatable row format: item status
     * @param {type} elCell
     * @param {type} oRecord
     * @param {type} oColumn
     * @param {type} oData
     * @returns {undefined}
     */
    static formatDataTableCell_MailStatus (elCell, oRecord, oColumn, oData) {
        var button_name = '';
        var color = '';
        var text = '';
        switch (oData)
        {
            case -1:
                button_name = "exclamation-circle";
                color = 'red';
                text = 'error';
                break;
            case 0:
                button_name = "question-circle";
                color = 'darkorange';
                text = 'queued';
                break;
                // more ...            
            case 1:
                button_name = "check-circle";
                color = 'green';
                text = 'sent';
                break;

            default:
                button_name = "exclamation-triangle";
                color = 'red';
                text = 'unknown';
                break;
        }
        elCell.innerHTML = '<i class="fa fa-' + button_name + '" style="color:' + color + '"></i> ' + text;
    }; // end func 

///////////////////////////////////////////////////////////
    onReceiveMail (o)
    {
        var email = ajax_parse(o.responseText);
        var _$ = SCHLIX.Dom.get;
        
        var obj = SCHLIX.CMS.getObject('schlix-cms-emailqueueviewer-dialog');
        var message_content = SCHLIX.Dom.get('message-content');
  //      message_content.innerHTML = tgt_message;

        _$('email_from').value = email.field_from_name + "<" +email.field_from_email + ">";
        _$('email_to').value = email.field_to_name + "<" +email.field_to_email + ">";
        _$('email_subject').value = email.field_subject;
        _$('email_datequeued').value = email.date_queued;
        _$('email_datesent').value = email.date_sent;
        _$('email_bodytext').innerHTML = email.body_text;
        _$('email_bodyhtml').innerHTML = email.body_html;
        _$('email_bodyhtml').style.maxHeight = '300px';
        _$('email_bodytext').style.maxWidth = '300px';
        _$('email_bodytext').style.overflow = 'scroll';
        /////////
        _$('email_queue_marker').value = email.queue_marker ;
        var link = site_httpbase + "/admin/app/" + 'newsletters.subscribers' + "?action=edititem&id=" + email.subscriber_id;
        _$('subscriber_link').innerHTML = '<a target="_blank" href="' + link + '">' + email.subscriber_id + '</a>';
        _$('email_errors').innerHTML = (email.errors) ? '<div class="alert alert-danger">' + SCHLIX.Util.escapeHTML(email.errors) + '</div>' : '';
        obj.show();        
/*
        var obj = SCHLIX.CMS.getObject('schlix-cms-logviewer-dialog');
        var message_content = SCHLIX.Dom.get('message-content');
        message_content.innerHTML = this.formatTable(log);
        message_content.style.maxHeight = '300px';
        message_content.style.overflow = 'scroll';
        obj.show();*/
    }; // end func
    
    onShowViewMailDialog (e)
    {
        var el = SCHLIX.Dom.get(e.target.id);
        var data_email_id = el.getAttribute('data-email-id');
        if (data_email_id)
        {
            //this.ajaxRequestGET(this.receiveLog, "action=getcronlog&id=" + tgt_cron_id);
            var request = SCHLIX.Ajax.GET( site_httpbase + "/admin/app/" + this.app_name + "?action=getemail&id=" + data_email_id,
                    {success: this.onReceiveMail, failure: this.handleFailure, scope: this}
            );
        }
    }; // end func
    
    runCommand (command, evt)
    {
        var open_in_new_window = is_rightclick_event(evt);
        switch (command)
        {
            case 'config':
                this.redirectToCMSCommand("editconfig",open_in_new_window);
                return true;
                break;
            
            default:
                return super.runCommand(command, evt);
        }
    }; // end func

};