<?php
namespace App;

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//

class Newsletters_SubscriberLog extends \SCHLIX\cmsApplication_List
{

    public function __construct()
    {
        parent::__construct('Newsletters User Logs', 'scxnl_log_subscribers');
        $this->disable_frontend_runtime = true;
    }
    //________________________________________________________________________//
    public function recordSubscriberActivity($subscriber_id, $error, $module = 'core', $type = 'info') {
        global $SystemDB;


        // create new data - will be sanitized with InsertSQL
        $datavalues = array();
        $datavalues['ip_address'] = get_user_real_ip_address();
        $datavalues['subscriber_id'] = (int) $subscriber_id;
        $datavalues['module'] = $module;
        $datavalues['type'] = $type;
        $datavalues['referrer'] = $_SERVER['HTTP_REFERER'];
        $datavalues['user_agent'] = $_SERVER['HTTP_USER_AGENT'];
        $datavalues['request_uri'] = $_SERVER['REQUEST_URI'];
        $datavalues['description'] = $error;
        $SystemDB->simpleInsertInto($this->table_items, $datavalues);
    }
    //________________________________________________________________________//
    public function recordNewsletterIssueIDForSubscriber($subscriber_id, $newsletter_issue_id, $error, $module = 'core', $type = 'info') {
        global $SystemDB;


        // create new data - will be sanitized with InsertSQL
        $datavalues = array();
        $datavalues['ip_address'] = get_user_real_ip_address();
        $datavalues['subscriber_id'] = (int) $subscriber_id;
        $datavalues['newsletter_issue_id'] = (int) $newsletter_issue_id;
        $datavalues['module'] = $module;
        $datavalues['type'] = $type;
        $datavalues['referrer'] = $_SERVER['HTTP_REFERER'];
        $datavalues['user_agent'] = $_SERVER['HTTP_USER_AGENT'];
        $datavalues['request_uri'] = $_SERVER['REQUEST_URI'];
        $datavalues['description'] = $error;
        $SystemDB->simpleInsertInto($this->table_items, $datavalues);
    }
    //________________________________________________________________________//
    public function recordAdminActivityForSubscriber($subscriber_id, $error, $module = 'system', $type = 'info') {
        global $SystemDB;
        global $CurrentUser;

        // create new data - will be sanitized with InsertSQL
        $datavalues = array();
        $datavalues['ip_address'] = get_user_real_ip_address();
        $datavalues['subscriber_id'] = (int) $subscriber_id;
        $datavalues['admin_id'] = (int) $CurrentUser->getCurrentUserID();
        $datavalues['module'] = $module;
        $datavalues['type'] = $type;
        $datavalues['referrer'] = $_SERVER['HTTP_REFERER'];
        $datavalues['user_agent'] = $_SERVER['HTTP_USER_AGENT'];
        $datavalues['request_uri'] = $_SERVER['REQUEST_URI'];
        $datavalues['description'] = $error;
        $SystemDB->simpleInsertInto($this->table_items, $datavalues);
    }

    //_______________________________________________________________________________________________________________//	
    public function viewMainPage()
    {
        return false;
    }

    //_______________________________________________________________________________________________________________//	
    public function Run($command)
    {
        return false;
    }

}
