<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION'))
    die('No Access');
?>
<?php
global $HTMLHeader;

$from_action_url_array = ['action=emailchange'];
if ($emailchange_request_id)
    $from_action_url_array[] = "id={$emailchange_request_id}";
$form_action_url = implode('&', $from_action_url_array);

$captchaurl = SCHLIX_SITE_HTTPBASE . '/captcha.php';
?>
<div class="app-<?= $this->app_name; ?>" id="app-<?= $this->app_name; ?>-activation_completed">
    <h1><?= ___('Email Address Change Confirmation'); ?></h1>

        <?php if (is_array($error_list) && count($error_list) > 0): ?>
            <div class="alert alert-danger">
                <ul class="subscribe-error">
                    <?php foreach ($error_list as $error): ?>
                        <li><?= SAFE_HTML($error) ?></li>
                    <?php endforeach ?>
                </ul>
            </div>
        <?php endif ?>
            <?= $this->getConfig('str_emailchange_activation_text') ?>
        <?php if ($emailchange_request['status'] == NEWSLETTER_EMAILCHANGE_REQUEST_NEW): ?>
    <form method="post" action="<?= $this->createFriendlyURL($form_action_url); ?>" name="activation" id="activation" enctype="multipart/form-data" autocomplete="off">
        <?= \INPUT::CSRF() ?>

        <!-- Ask user for decision -->
        <input id="id" name="id" type="hidden" value="<?= SAFE_HTML($emailchange_request_id); ?>" />

        <div class="form-group">
            <div class="radio">
                <label><input type="radio" class="email-change-decision" id="email_change_yes" name="decision" value ="yes" required="required"  /><i class="fa fa-check" style="color:green"></i> <?= SAFE_HTML(sprintf(___('YES, I want to change my email address to %s'), $emailchange_request['new_email_address'])) ?></label>
            </div>
            <div class="radio">
                <label><input type="radio" class="email-change-decision" id="email_change_no" name="decision" value ="no" required="required"  /> <i class="fa fa-times" style="color:red"></i> <?= SAFE_HTML(sprintf(___('NO, I want to change my email address to %s'), $emailchange_request['new_email_address'])) ?></label>
            </div>                                    
        </div>

                <label for="reason"><?= ___('If this is an error, please let us know') ?></label> 
                <textarea class="form-control" name="reason" id="reason"  cols="80" rows="5"></textarea>

        <?php if ($enable_captcha_email_change): ?>
                    <p class="text-center"><img src="<?= $captchaurl; ?>" alt="Captcha" id="siimage" style="padding-right: 5px; border: 0" /></p>

                    <div class="form-group">
                        <label for="confirm" class=" control-label"><?= ___('Human verification') ?></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-hand-paper-o fa-lg" aria-hidden="true"></i></span>
                            <input type="text" class="form-control" name="verification_code" id="verification_code"  placeholder="<?= ___('Please type the random text above') ?>"  value="<?= fpost_string('verification_code') ?>" required="required" />
                        </div>
                    </div>
        <?php endif; ?>

        <div class="form-group">                                  

            <button type="submit" name="submit" class="btn btn-lg btn-success" value="Submit"><i class="fa fa-sign-in"></i> <?= ___('Confirm') ?></button>

        </div>
        <!-- End ask user for decision -->

    </form>
        <?php endif ?>
    
</div>