<?php
/**
 * Newsletters - Main admin view template
 * 
 * Newsletter and Email marketing solution for SCHLIX CMS
 * 
 * @copyright SCHLIX Web Inc
 *
 * @license SCHLIX Shared Source
 *
 * @package newsletters
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    https://www.schlix.com
 */
if (!defined('SCHLIX_VERSION'))
    die();
?>
<div class="schlix-explorer">
    <schlix-data-explorer-blank id="schlix-<?= $this->app->getApplicationNameOnly() ?>-admin" class="schlix-data-explorer"  data-schlix-controller="SCHLIX.CMS.NewslettersAdminController" data-main-app-description="<?= ___('Newsletters: Import PHPList')  ?>" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-model="<?= $this->getDataModelURL() ?>" data-default-item-icon="fa fa-user fa-2x">
<?php $this->loadTemplateFile('view.main.admin.topenu', null) ?>
        
        <div class="container">
            <h3><?= ___('Import from PHPList') ?></h3>
                        <div class="alert alert-warning">
                            <ul>
                            <li><?= ___('This import function is intended only for an unitialized installtion with empty data') ?></li>
                            <li><?= ___('Please note that when you execute the import, all existing data will be deleted') ?></li>
                            
                            </ul>
                        </div>
            <form method="post" id="frm_upload" class="schlix-form-install" action="<?= $this->getDataModelURL() ?>?action=importpl" enctype="multipart/form-data">
<?= \INPUT::CSRF() ?>

                <div class="row">
                    <!-- col -->
                    <div class="col-sm-6">
                        <input type="hidden" name="db_tested" id='db_tested' value="0" />
                        <label>
<?= ___('Host') ?><br />                         

                            <input name="db_host" id='db_host' class="form-control" type="text" value="<?= SAFE_HTML($this->app->getConfig('str_phplist_host'))  ?>" required="required" pattern="^[A-Za-z0-9-_\.]{1,100}$" placeholder="localhost" /></label>
                        <br />
                        <label>
<?= ___('Database Name') ?><br />                         

                            <input name="db_database" id='db_database' class="form-control" type="text" value="<?= SAFE_HTML($this->app->getConfig('str_phplist_db')) ?>"  required="required" pattern="^[A-Za-z0-9-_]{1,40}$" placeholder="phplistdb" /></label>
                        <br />
                        <label>
<?= ___('Username') ?><br />                         

                            <input name="db_username" id='db_username' class="form-control" type="text" value="<?= SAFE_HTML($this->app->getConfig('str_phplist_username')) ?>" required="required"  pattern="^[A-Za-z0-9-_]{1,40}$" placeholder="username"/></label>
                        <br />
                        <label>
<?= ___('Password') ?><br />                         

                            <input name="db_password" id='db_password' class="form-control" type="password"  required="required" pattern=".{4,25}" placeholder="password "/></label>
                        <br />
                        <label>
<?= ___('PHPList table prefix (e.g. phplist_)') ?><br />                         
                            <input name="db_table_prefix" id='db_table_prefix' class="form-control" type="text" value="<?= SAFE_HTML($this->app->getConfig('str_phplist_table_prefix')) ?>" placeholder="phplist_"  /></label>
                        <br />
                        <!-- end settings -->
                    </div>
                    <!-- col -->
                    <div class="col-sm-6">
                        <div id="db_test_errors"></div>
                        <div id="db_test_result"></div>
                    </div>
                    <!-- end col -->
                </div>
                <!-- button -->
                <a href="javascript:void(0)" class="btn btn-primary" id="btn_test_database">
                    <i class="fa fa-database"></i> <?= ___('Test Connection') ?>
                </a>
                <!-- end button -->

                <button class="btn btn-success" id="btn_execute_importpl" style="display:none">
                    <i class="fa fa-arrow-circle-o-right"></i> <?= ___('Reset database and perform import now (this may take hours)') ?>
                </button>

                

            </form>
        </div>
        <!-- End Data Viewer -->
    </schlix-data-explorer-blank>

</div>

