<?php
/**
 * Newsletters - Main admin view template
 * 
 * Newsletter and Email marketing solution for SCHLIX CMS
 * 
 * @copyright SCHLIX Web Inc
 *
 * @license SCHLIX Shared Source
 *
 * @package newsletters
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    https://www.schlix.com
 */
if (!defined('SCHLIX_VERSION')) die();

$all_templates = $this->app->createSubClassInstance('Templates')->getAllItems('*');
?>
<div class="schlix-explorer">
    <schlix-data-explorer-categorized-list id="schlix-<?= $this->app->getApplicationNameOnly() ?>-admin" class="schlix-data-explorer"  data-schlix-controller="SCHLIX.CMS.NewslettersAdminController" data-main-app-description="<?= $this->app->getApplicationDescription() ?>" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-model="<?= $this->getDataModelURL() ?>" data-enable-preview-link="true">
<!-- top subapp menu -->
<?php $this->loadTemplateFile('view.main.admin.topenu', null) ?>

<!-- end -->
        <nav class="navbar navbar-default schlix-data-explorer-toolbar" role="navigation">
            <!-- for mobile -->
            <button type="button" class="navbar-toggle collapsed schlix-toolbar-toggle" data-toggle="collapse" data-target="#schlix-<?= $this->app->getApplicationNameOnly() ?>-admin-toolbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <!-- end for mobile -->

            <div class="collapse navbar-collapse" schlix-id="toolbar">
                <ul class="nav navbar-nav">
            <?php /*
                    <li><a href="#" schlix-id="btn-new-item" data-schlix-command="new-item" data-schlix-app-action="newitem"  class="schlix-command-button require-category"><i class="fa fa-envelope-open"></i> <?= ___('New Issue') ?></a></li> */ ?>
                    
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle require-category" data-toggle="dropdown"><i class="fa fa-envelope-open"></i> <?= ___('New Issue') ?> <b class="caret"></b></a>
                        <ul class="dropdown-menu">
                             <li><a href="#" schlix-id="btn-new-item" data-schlix-command="new-item" data-schlix-app-action="newitem"  class="schlix-command-button require-category"><i class="fa fa-envelope-open"></i> <?= ___('(Blank)') ?></a></li>
                             
                            <?php if ($all_templates): ?>
                            <?php foreach ($all_templates as $newsletter_template): ?>
                            <li><a href="#" schlix-id="btn-new-issue-<?= $newsletter_template['id'] ?>" data-schlix-command="new-issue-from-template" data-template-name="<?= SAFE_HTML($newsletter_template['virtual_filename']) ?>" data-schlix-app-action="newitem&blocktype=<?= $newsletter_template['virtual_filename'] ?>" class="schlix-command-button"><i class="fa fa-envelope-open"></i>  <?= SAFE_HTML($newsletter_template['title']) ?></a></li>
                            <?php endforeach ?>
                            <?php endif ?>
                        </ul>
                    </li>
                    

                    <li><a href="#" schlix-id="btn-cut" data-schlix-command="cut" class="schlix-command-button require-selected-items"><i class="fa fa-cut"></i> <?= ___('Cut') ?></a></li>
                    <li><a href="#" schlix-id="btn-copy" data-schlix-command="copy" class="schlix-command-button require-selected-items"><i class="fa fa-copy"></i> <?= ___('Copy') ?></a></li>
                    <li><a href="#" schlix-id="btn-paste" data-schlix-command="paste" class="schlix-command-button require-clipboard-items"><i class="fa fa-paste"></i> <?= ___('Paste') ?></a></li>
                    <li><a href="#" schlix-id="btn-delete" data-schlix-command="delete" class="schlix-command-button require-selected-items"><i class="fa fa-trash-o"></i> <?= ___('Delete') ?></a></li>
                    <li><a href="#" schlix-id="btn-refresh" data-schlix-command="refresh" class="schlix-command-button"><i class="fa fa-refresh"></i> <?= ___('Refresh') ?></a></li>
                    <li><a href="#" schlix-id="btn-new-category" data-schlix-command="new-category" data-schlix-app-action="newcategory" class="schlix-command-button require-no-category"><i class="fa fa-list-alt"></i> <?= ___('New Newsletter (Category)') ?></a></li>
                    <li><a href="#" schlix-id="btn-edit-current-category" data-schlix-command="edit-current-category" data-schlix-app-action="editcategory" class="schlix-command-button require-category"><i class="fa fa-pencil"></i> <?= ___('Edit Current Newsletter (Category)') ?></a></li>                            
                </ul>
                <div class="col-sm-3 col-md-3">
                    <form schlix-id="search-form" class="navbar-form" role="search" >
                        <div class="btn-group">
                            <input schlix-id="search-keyword" type="search" class="form-control border-left-none search-with-clear"  placeholder="<?= ___('Search keyword') ?>">
                        </div>                    
                    </form>
                     
                </div>
                <ul class="nav navbar-nav navbar-right">
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown"><?= ___('Help') ?> <b class="caret"></b></a>
                        <ul class="dropdown-menu">
                            
                            <li class="divider"></li>
                            <li><a href="#" schlix-id="btn-help-about" data-schlix-command="help-about" data-schlix-app-action="helpabout" class="schlix-command-button"><?= ___('About') ?></a></li>
                        </ul>
                    </li>
                </ul>
            </div><!-- /.navbar-collapse -->
        </nav>

        <schlix-data-breadcrumb schlix-id="breadcrumb">
        </schlix-data-breadcrumb>
        <div style=" clear:both"></div>
        <!-- Begin Data Viewer -->
        <div class="schlix-data-container row" schlix-id="main-data-container" style="margin:0">
            <!-- Left Column -->
            <div class="col-sm-2 col-xs-2 col-md-3 col-lg-3 left-column" schlix-id="left-column">
                <schlix-treeview schlix-id="datanav-tree" data-dynamic="false" >            
                </schlix-treeview>
            </div>
            <!-- Right Column -->
            <div class="col-sm-9 col-xs-2 col-md-9 col-lg-9 right-column" schlix-id="right-column" >
                <schlix-data-table schlix-id="datanav-datatable">
                    <schlix-data-table-columns>
                        <schlix-data-table-column key="check" label="this.getSelectAllCheckboxTableHeader()" formatter="SCHLIX.CMS.NewslettersAdminController.formatDataTableCell_CheckBox" sortable="false" />
                        <schlix-data-table-column key="this.field_item_title" sortable="true" label="<?= ___('Title') ?>" formatter="SCHLIX.CMS.NewslettersAdminController.formatDataTableCell_DefaultTitleColumn" />

                        <schlix-data-table-column key="this.field_category_id" hidden="true" sortable="false" formatter="number" />
                        <schlix-data-table-column key="this.field_id" hidden="true" sortable="false" formatter="number" />
                        <schlix-data-table-column key="status" label="<?= ___('Status') ?>" sortable="true" formatter="SCHLIX.CMS.NewslettersAdminController.formatDataTableCell_ViewStatus"  />


                        <schlix-data-table-column key="date_created" label='<?= ___('Date Created') ?>' sortable="true" />
                        <schlix-data-table-column key="date_modified" label='<?= ___('Date Modified') ?>' sortable="true" />
                        <schlix-data-table-column key="date_send_until" label='<?= ___('Keep sending until') ?>' sortable="true" />
                        
                        <schlix-data-table-column key="pageview" label="<?= ___('View Count') ?>" sortable="true" formatter="number" />
                    </schlix-data-table-columns>
                </schlix-data-table>
                <div schlix-id="datanav-paginator" class="schlixui-pg-container"></div>
            </div>
        </div>
        <!-- End Data Viewer -->
    </schlix-data-explorer-categorized-list>

</div>
<div style="clear:both"></div>

<div style="padding:10px">
    <div class="row">
        <div class="col-md-6">
            <div class="alert alert-info">
                <i class="fa fa-lightbulb-o"></i> 
                            <?= ___('To create a new issue, first navigate to a category, then click New Issue') ?></div>
        </div>
    </div>
</div>    


 