<?php
/**
 * Newsletters - Main admin view template
 * 
 * Newsletter and Email marketing solution for SCHLIX CMS
 * 
 * @copyright SCHLIX Web Inc
 *
 * @license SCHLIX Shared Source
 *
 * @package newsletters
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    https://www.schlix.com
 */
if (!defined('SCHLIX_VERSION')) die();
?>
<?php 
    global $HTMLHeader;
    
    $HTMLHeader->Javascript($this->getUrlOfScript('newsletters.topmenu.js'));
    $HTMLHeader->CSS($this->getUrlOfScript('newsletters.topmenu.css'));
?>
        <nav class="navbar navbar-default" style="margin-bottom:0">
            <!-- for mobile -->
            <button type="button" class="navbar-toggle collapsed schlix-toolbar-toggle" data-toggle="collapse" data-target="#schlix-<?= $this->app->getApplicationNameOnly() ?>-admin-subapplication">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <!-- end for mobile -->

            <div class="collapse navbar-collapse" schlix-id="subapplication">
                <ul class="nav navbar-nav">
                    <li><a class="sub-application" href="<?= $this->createFriendlySubApplicationAdminURL('') ?>"><i class="fa fa-list-alt"></i> <?= ___('Newsletters') ?></a></li>                                        
                    <li><a class="sub-application" href="<?= $this->createFriendlySubApplicationAdminURL('subscribers') ?>"><i class="fa fa-users"></i> <?= ___('Subscribers') ?></a></li>     
                    <li><a class="sub-application" href="<?= $this->createFriendlySubApplicationAdminURL('queues') ?>"><i class="fa fa-align-justify"></i> <?= ___('Queue') ?></a></li>

                    <!-- submenu -->
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-eye"></i> <?= ___('Logs') ?> <b class="caret"></b></a>
                        <ul class="dropdown-menu">

                            <li><a class="sub-application" href="<?= $this->createFriendlySubApplicationAdminURL('eventlog') ?>"><i class="fa fa-telegram"></i> <?= ___('Event Log') ?></a></li>
                            <li><a class="sub-application" href="<?= $this->createFriendlySubApplicationAdminURL('subscriberlog') ?>"><i class="fa fa-user-circle"></i> <?= ___('Subscriber Log') ?></a></li>
                        </ul>
                    </li>
                    <!-- submenu -->
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-hand-paper-o"></i> <?= ___('Requests') ?> <b class="caret"></b></a>
                        <ul class="dropdown-menu">

                            <li><a class="sub-application" href="<?= $this->createFriendlySubApplicationAdminURL('subscriberequests') ?>"><i class="fa fa-hand-peace-o"></i> <?= ___('Subscribe Requests') ?></a></li>                    
                            <li><a class="sub-application" href="<?= $this->createFriendlySubApplicationAdminURL('unsubscriberequests') ?>"><i class="fa fa-hand-spock-o"></i> <?= ___('Unsubscribe Requests') ?></a></li>          
                            <li><a class="sub-application" href="<?= $this->createFriendlySubApplicationAdminURL('emailchangerequests') ?>"><i class="fa fa-hand-lizard-o"></i> <?= ___('Email Change Requests') ?></a></li>           
                            
                        </ul>
                    </li>
                    <!-- submenu -->
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-gears"></i> <?= ___('Configure') ?> <b class="caret"></b></a>
                        <ul class="dropdown-menu">
                            <li><a href="<?= $this->createFriendlyMainApplicationAdminURL('action=editconfig') ?>" schlix-id="btn-config" class="schlix-command-button"><i class="fa fa-gear"></i> <?= ___('Default Settings') ?></a></li>
                            <li><a class="sub-application" href="<?= $this->createFriendlySubApplicationAdminURL('subscribersegments') ?>"><i class="fa fa-user-o"></i> <?= ___('Subscriber Segments') ?></a></li>

                            <li><a class="sub-application" href="<?= $this->createFriendlySubApplicationAdminURL('customfields') ?>"><i class="fa fa-terminal"></i> <?= ___('Custom Fields') ?></a></li>                                        
                            <li><a class="sub-application" href="<?= $this->createFriendlySubApplicationAdminURL('templates') ?>"><i class="fa fa-file-code-o"></i> <?= ___('Newsletter Templates') ?></a></li>
                            <li><a class="sub-application" href="<?= $this->createFriendlySubApplicationAdminURL('emailtemplates') ?>"><i class="fa fa-file-code-o"></i> <?= ___('Email Templates') ?></a></li>
                            
                            <li><a class="sub-application" href="<?= $this->createFriendlySubApplicationAdminURL('subscribepages') ?>"><i class="fa fa-file-text"></i> <?= ___('Subscribe Pages') ?></a></li>
                            <li><a class="sub-application" href="<?= $this->createFriendlySubApplicationAdminURL('blacklist') ?>"><i class="fa fa-user-times"></i> <?= ___('Black List') ?></a></li>
                            <?php if (file_exists(__DIR__.'/newsletters.phplistimporter.class.php')) :?>
                             <li><a href="<?= $this->createFriendlyMainApplicationAdminURL('action=importpl') ?>" schlix-id="btn-importphplist" class="schlix-command-button"><i class="fa fa-upload"></i> <?= ___('Import from PHPList') ?></a></li>
                            <?php endif ?>

                        </ul>
                    </li>




                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown"><?= ___('Help') ?> <b class="caret"></b></a>
                        <ul class="dropdown-menu">
                            <li><a href="#" schlix-id="btn-help-about" data-schlix-command="help-about" data-schlix-app-action="helpabout" class="schlix-command-button"><?= ___('About') ?></a></li>
                        </ul>
                    </li>
                </ul>
            </div><!-- /.navbar-collapse -->
        </nav>
