<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION')) die('No Access');
?>
<?php
global $HTMLHeader;

$from_action_url_array = ['action=preferences'];
if ($subscriber_guid)
    $from_action_url_array[] = "id={$subscriber_guid}";
if ($subscriber_hash)
    $from_action_url_array[] = "token={$subscriber_hash}";
if ($newsletter_issue_id)
    $from_action_url_array[] = "nlid={$newsletter_issue_id}";
$form_action_url = implode('&', $from_action_url_array);
?>
<div class="app-<?= $this->app_name; ?>" id="app-<?= $this->app_name; ?>-activation_completed">
    <h1><?= ___('Newsletter Preferences'); ?></h1>
    <form method="post" action="<?= $this->createFriendlyURL($form_action_url); ?>" name="activation" id="activation" enctype="multipart/form-data" autocomplete="off">
        <?= \INPUT::CSRF() ?>


        <div class="row">
            <!-- col -->
            <div class="col-sm-6">
                <div class="main-profile">
                 <?php foreach ($custom_fields as $cf): ?>
                 <!-- field -->
                 <div class="form-group">
                     <label for="cf_<?= $cf['id'] ?>" class=" control-label"><?= SAFE_HTML(___($cf['title'])) ?></label>
                     <input type="text" class="form-control" name="<?= SAFE_HTML(___($cf['virtual_filename'])) ?>" id="cf_<?= ___($cf['id']) ?>"  placeholder="<?= SAFE_HTML(___($cf['title'])) ?>" value="<?= SAFE_HTML($full_subscriber_info[$cf['virtual_filename']]); ?>" <?= $cf['required'] ? ' required="required"' : '' ?> />
                 </div>
                 <!-- field -->
                <?php endforeach ?> 
                        <hr />
                        <p><?= ___('Your current email address is') ?>: <strong><?= SAFE_HTML($current_subscriber_email_address) ?></strong></p>
                        <!-- field -->
                        <?php if ($pending_email_change['id'] > 0) : ?>
                            <!-- pending email change detected -->
                            <div class="alert alert-warning">
                                <p><i class="fa fa-warning"></i> <?= sprintf(___('You have a pending email address change. This request was created on %s. Please click the confirmation link sent to'), $pending_email_change['date_created']) ?>: <strong><?= SAFE_HTML($pending_email_change['new_email_address']) ?></strong></p>
                                <p><?= ___('If you want to cancel this email change request, please tick the box below') ?></p>
                                <div class="checkbox alert alert-danger">
                                <label><input type="checkbox" name="cancel_email_change" value ="1"  /> <?= SAFE_HTML(sprintf(___('I want to cancel this request to change my email address to %s. Please keep my email address as %s'), $pending_email_change['new_email_address'], $pending_email_change['email_address'])) ?></label>
                                </div>                                
                            </div>
                            <!-- pending email change detected -->
                        <?php else: ?>
                        <div class="form-group">
                            <label for="new_email_address" class=" control-label"><?= ___('Change Email') ?></label>
                            <div class="input-group">
                                <span class="input-group-addon"><i class="fa fa-envelope fa" aria-hidden="true"></i></span>
                                <input type="email" class="form-control" name="new_email_address" id="new_email_address"  placeholder="<?= ___('Leave it blank or enter a new email address') ?>"  value="<?= SAFE_HTML(fpost_string('new_email_address')); ?>" pattern="^[a-zA-Z0-9][-a-zA-Z0-9.!#$%&+-=?^_`{|}~\/]+@([-a-zA-Z0-9]+\.)+[a-zA-Z]{2,5}$" title="<?= ___('Please enter a new email address or leave it blank') ?>" />
                            </div>
                            <p class="small"><?= ___('If you want to change your email, a verification message will be sent to the new email address') ?></p>
                        </div>
                        <?php endif ?>
                                    

                        </div>               
                
            </div>
            <!-- col -->
            <div class="col-sm-6">
                <!-- any errors? -->
                <?php if (is_array($error_list) && count($error_list) > 0): ?>
                    <div class="alert alert-danger">
                        <ul class="subscribe-error">
                            <?php foreach ($error_list as $error): ?>
                                <li><?= SAFE_HTML($error) ?></li>
                            <?php endforeach ?>
                        </ul>
                    </div>
                <?php endif ?>
                <!-- end of there is any errors? -->
                
                <!-- here -->
            <?php if (!empty($subscriber_guid) && !empty($subscriber_hash)): ?>
                
                <?php if ($active_subscriber): ?>
                    <?php 
                        $available_newsletters = $this->getAllCategories ('*','status > 0') ;
                        $subscriptions = $this->getExistingSubscriptionForSubscriberID($active_subscriber['id']); 
                        $subscription_newsletter_ids = array_column($subscriptions,'newsletter_id');
                        $total_newsletter_count = count($available_newsletters);
                        // only show this if there's at least 2 newsletters
                        if ($total_newsletter_count > 1): ?>
                <h3><?= ___('You are subscribed to the following newsletters') ?>:</h3>
                <blockquote>
                <input id="confirm_edit_pref" name="confirm_edit_pref" type="hidden" value="1" />                    
                    <?php  foreach ($available_newsletters as $newsletter): ?>
                    <?php $is_checked = in_array($newsletter['cid'], $subscription_newsletter_ids) ?>
                    <div class="checkbox">
                        <label><input type="checkbox" name="newsletter_ids[]" value ="<?= $newsletter['cid'] ?>" <?= $is_checked ? 'checked="checked"' : '' ?> /> <?= SAFE_HTML($newsletter['title']) ?></label>
                    </div>
                    <?php endforeach ?>
                    <?php endif ?>
                </blockquote>
                     <button type="submit" class="btn btn-danger btn-large" name="btn_submit "><i class="fa fa-check"></i> <?= ___('Submit'); ?></button>
                <!-- unsubscribe -->                    
                <?php else: ?>
                <!-- non-existent -->
                <div class="alert alert-danger">
                    <?= ___('Invalid hash - the email address never existed or has already been unsubscribed'); ?>
                </div>
                <!-- end non-existent -->
                <?php endif ?>
            <?php else: ?>
            
                <!-- display email form -->
        <div class="row">
            <!-- col -->
            <div class="col-sm-4 ">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <strong> <?= ___('E-mail Address') ?></strong>
                    </div>
                    <div class="panel-body">
                        <div class="row">
                            <div class="col-sm-12 col-md-10  col-md-offset-1 ">

                                <div class="form-group">
                                    <div class="input-group">
                                        <span class="input-group-addon">
                                            <i class="fa fa-envelope"></i>
                                        </span>
                                        <input class="form-control" placeholder="<?= ___('Email'); ?>" name="email_address" type="email" value="<?= SAFE_HTML(fpost_string('email_address')) ?>" pattern="^[a-zA-Z0-9][-a-zA-Z0-9.!#$%&+-=?^_`{|}~\/]+@([-a-zA-Z0-9]+\.)+[a-zA-Z]{2,5}$" required="required" title="<?= ___('Please enter a valid email address') ?>" />
                                    </div>
                                </div>
 
                                <div class="form-group">                                  

                                    <button type="submit" name="submit" class="btn btn-lg btn-warning btn-block" value="Submit"><i class="fa fa-sign-in"></i> <?= ___('Continue') ?></button>

                                </div>
                            </div>
                        </div>
                    </div> 
                </div>
            </div>
            <!-- col -->
            <div class="col-sm-8">
                
        <?php  if (is_array($error_list) && count($error_list) > 0): // ?>                
                
                    <div class="alert alert-danger">
                        <ul class="subscribe-error">
                            <?php foreach ($error_list as $error): ?>
                                <li><?= SAFE_HTML($error) ?></li>
    <?php endforeach ?>
                        </ul>
                    </div>
                <?php endif ?>
                
                <?= $this->getConfig('str_account_preferences_intro_text') ?>
            </div>
            <!-- end col -->
        </div>
               <!-- end display form -->
            <?php endif ?>
                
                <!-- end here -->
            </div>   
        </div>        
    </form>
</div>