<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION')) die('No Access');
?>
<?php
global $HTMLHeader;

$str_account_resend_activation_text = $this->getConfig('str_account_resend_activation_text');
if (empty($str_account_resend_activation_text))
    $str_account_resend_activation_text = ___('The email address is registered but it is not activated yet. To activate your newsletter subscription, please click the link in your email. Check your junk mail or spam folder as well. If you still can not find the activation email, please click Resend and wait for a few minutes');
?>
<div class="app-<?= $this->app_name; ?>" id="app-<?= $this->app_name; ?>-activation_completed">
    <h1><?= ___('Resend Activation'); ?></h1>
    <?php if ($activation_error): ?>
        <div class="alert alert-danger">
            <p><?= $activation_error ?></p>
        </div>
    <?php endif; ?>
        <?= $str_account_resend_activation_text ?>
    
    <form method="post" action="<?= $this->createFriendlyURL('action=resendactivation'); ?>" name="resendactivation" id="resendactivation" enctype="multipart/form-data" autocomplete="off">
        <?= \INPUT::CSRF() ?>
        
        
                            <!-- field -->
                            <div class="form-group">
                                <label for="email" class=" control-label"><?= ___('Email') ?></label>
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="fa fa-envelope fa" aria-hidden="true"></i></span>
                                    <input type="email" class="form-control" name="email_address" id="email_address"  placeholder="<?= ___('Enter your Email') ?>"  value="<?= SAFE_HTML($email_address); ?>" pattern="^[a-zA-Z0-9][-a-zA-Z0-9.!#$%&+-=?^_`{|}~\/]+@([-a-zA-Z0-9]+\.)+[a-zA-Z]{2,5}$" required="required" title="<?= ___('Please enter a valid email address') ?>" />
                                </div>
                            </div>
        <button type="submit" name="submit" value="yes" class="btn btn-success btn-large"><i class="fa fa-envelope-o"></i> <?= ___('Subscribe') ?></button>
    </form>
</div>