<?php
/**
 * Newsletters - View Item template
 * 
 * Newsletter and Email marketing solution for SCHLIX CMS
 * 
 * @copyright SCHLIX Web Inc
 *
 * @license SCHLIX Shared Source
 *
 * @package newsletters
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    https://www.schlix.com
 */
if (!defined('SCHLIX_VERSION'))
    die('No Access');

?>
    <!-- form -->

    <?= \INPUT::CSRF() ?>
    <input type=""
    <div class="main-profile">
        <!-- field -->
        <div class="form-group">
            <label for="email" class=" control-label"><?= ___('Email') ?></label>
            <div class="input-group">
                <span class="input-group-addon"><i class="fa fa-envelope fa" aria-hidden="true"></i></span>
                <input type="email" class="form-control" name="email_address" id="email_address"  placeholder="<?= ___('Enter your Email') ?>"  value="<?= SAFE_HTML(fpost_string('email_address')); ?>" pattern="^[a-zA-Z0-9][-a-zA-Z0-9.!#$%&+-=?^_`{|}~\/]+@([-a-zA-Z0-9]+\.)+[a-zA-Z]{2,5}$" required="required" title="<?= ___('Please enter a valid email address') ?>" />
            </div>
        </div>
        <?php foreach ($custom_fields as $cf): ?>
        <!-- field -->
        <div class="form-group">
            <label for="cf_<?= $cf['id'] ?>" class=" control-label"><?= SAFE_HTML(___($cf['title'])) ?></label>
                <input type="text" class="form-control" name="<?= SAFE_HTML(___($cf['virtual_filename'])) ?>" id="cf_<?= ___($cf['id']) ?>"  placeholder="<?= SAFE_HTML(___($cf['title'])) ?>" value="<?= SAFE_HTML(fpost_string($cf['virtual_filename'])); ?>" <?= $cf['required'] ? ' required="required"' : '' ?> />
        </div>
        <!-- field -->
        
        <?php endforeach ?> 
    </div>               

    <!-- end form -->
