<?php
/**
 * Newsletters - View Item template
 * 
 * Newsletter and Email marketing solution for SCHLIX CMS
 * 
 * @copyright SCHLIX Web Inc
 *
 * @license SCHLIX Shared Source
 *
 * @package newsletters
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    https://www.schlix.com
 */
if (!defined('SCHLIX_VERSION'))
    die('No Access');
?>
<?php global $HTMLHeader ?>
<?php
if ($item['subscribe_html_header'])
    $HTMLHeader->Add($item['subscribe_html_header']);
?>
<div class="app-page-subscribe-default app-<?= $this->app_name; ?>" >
    <h1><?= ___('Subscribe to our newsletters') ?></h1>
<?= $item['subscribe_html_intro'] ?>
    <form method="post" action="<?= $url_action ?>" name="subscribe" id="editprofile" enctype="multipart/form-data" autocomplete="off">

        <!-- row -->
        <div class="row">
            <!-- col -->
            <div class="col-sm-6">
                <!-- col content -->
                <div class="panel panel-default">
                    <div class="panel-body">
                        <!-- subscribe fields -->

                        <!-- form -->
                        <?= \INPUT::CSRF() ?>
                        <input type="hidden" name="ehid" value="<?= $item['guid'] ?>" />
                               <div class="main-profile">
                            <!-- field -->
                            <div class="form-group">
                                <label for="email" class=" control-label"><?= ___('Email') ?></label>
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="fa fa-envelope fa" aria-hidden="true"></i></span>
                                    <input type="email" class="form-control" name="email_address" id="email_address"  placeholder="<?= ___('Enter your Email') ?>"  value="<?= SAFE_HTML(fpost_string('email_address')); ?>" pattern="^[a-zA-Z0-9][-a-zA-Z0-9.!#$%&+-=?^_`{|}~\/]+@([-a-zA-Z0-9]+\.)+[a-zA-Z]{2,5}$" required="required" title="<?= ___('Please enter a valid email address') ?>" />
                                </div>
                            </div>
                                <?php foreach ($custom_fields as $cf): ?>
                                <!-- field -->
                                <div class="form-group">
                                    <?php /*
                                    <label for="cf_<?= $cf['id'] ?>" class=" control-label"><?= SAFE_HTML(___($cf['title'])) ?></label>
                                    <input type="text" class="form-control" name="<?= SAFE_HTML(___($cf['virtual_filename'])) ?>" id="cf_<?= ___($cf['id']) ?>"  placeholder="<?= SAFE_HTML(___($cf['title'])) ?>" value="<?= SAFE_HTML(fpost_string($cf['virtual_filename'])); ?>" <?= $cf['required'] ? ' required="required"' : '' ?> />*/ ?>

                                    <?= \App\Newsletters_CustomFields::drawField($cf, fpost_string($cf['virtual_filename']), true) ?>
                                </div>
                                <!-- field -->

                                <?php endforeach ?> 
                        </div>               

                        <!-- end form -->

                        <!-- end subscribe fields -->
                    </div>
                </div>
                <!-- end col content -->
            </div>
            <!-- col --> 
            <div class="col-sm-6">
<?php if (is_array($error_list) && count($error_list) > 0): ?>
                    <div class="alert alert-danger">
                        <ul class="subscribe-error">
                            <?php foreach ($error_list as $error): ?>
                                <li><?= SAFE_HTML($error) ?></li>
    <?php endforeach ?>
                        </ul>
                    </div>
                <?php endif ?>
                <?php if ($item['subscribe_html_instruction']): ?>
                    <?= $item['subscribe_html_instruction'] ?>
                <?php else: ?>
                    <p><?= ___('After completing and submitting the form to subscribe, you will receive an email asking you to to confirm and activate your subscription. Please click on the link in that email to activate your subscription.') ?></p>
                <?php endif ?>
                <?php
                $categories = $this->getAllCategories('*', 'status > 0');
                $offer_newsletter_ids = $item['offer_newsletter_ids'] ? explode(',',$item['offer_newsletter_ids']) : [];
                ?>
                    <?php if ($offer_newsletter_ids): ?>
                    <?php foreach ($categories as $newsletter): ?>
                    <?php if (in_array($newsletter['cid'], $offer_newsletter_ids)) : ?>
                        <div class="checkbox">
                            <label><input type="checkbox" name="newsletters_to_subscribe[]" id="newsletter-<?= SAFE_HTML($newsletter['cid']) ?>" value="<?= SAFE_HTML($newsletter['cid']) ?>" checked="checked" /><?= SAFE_HTML($newsletter['title']) ?></label>
                        </div>
                    <?php endif ?>
                    <?php endforeach ?>
                    <?php endif ?>
                <div class="text-center">
                    <button type="submit" name="submit" value="yes" class="btn btn-success btn-large "><i class="fa fa-envelope-o"></i> <?= ___('Subscribe') ?></button>
                </div>
            </div>
            <!-- end col -->
        </div>     

    </form>    
    <hr />
    <div class="text-right">
        <a href="<?= $this->createFriendlyURL('action=unsubscribe') ?>"><?= ___('Unsubscribe') ?></a> | 
        <a href="<?= $this->createFriendlyURL('action=preferences') ?>"><?= ___('Modify Preferences') ?></a>
    </div>
</div>