<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION')) die('No Access');
?>
<?php
global $HTMLHeader;

$from_action_url_array = ['action=unsubscribe'];
if ($subscriber_guid)
    $from_action_url_array[] = "id={$subscriber_guid}";
if ($subscriber_hash)
    $from_action_url_array[] = "token={$subscriber_hash}";
if ($newsletter_issue_id)
    $from_action_url_array[] = "nlid={$newsletter_issue_id}";
$form_action_url = implode('&', $from_action_url_array);
?>
<div class="app-<?= $this->app_name; ?>" id="app-<?= $this->app_name; ?>-activation_completed">
    <h1><?= ___('Unsubscribe'); ?></h1>
    <form method="post" action="<?= $this->createFriendlyURL($form_action_url); ?>" name="activation" id="activation" enctype="multipart/form-data" autocomplete="off">
        <?= \INPUT::CSRF() ?>

        <input id="id" name="id" type="hidden" value="<?= SAFE_HTML($activation_id); ?>" />

        <div class="row">
            <!-- col -->
            <div class="col-sm-12 ">
                <!-- here -->
            <?php if (!empty($subscriber_guid) && !empty($subscriber_hash)): ?>
                
<?php if (is_array($error_list) && count($error_list) > 0): ?>
                    <div class="alert alert-danger">
                        <ul class="subscribe-error">
                            <?php foreach ($error_list as $error): ?>
                                <li><?= SAFE_HTML($error) ?></li>
    <?php endforeach ?>
                        </ul>
                    </div>
                <?php endif ?>
                
                <?php if ($active_subscriber): ?>
                    <div class="radio">
                        <label><input type="radio" name="confirm_unsubscribe" value ="0" required="required"  /> <?= ___('I want to completely unsubscribe from all newsletters') ?></label>
                    </div>
                    <?php 
                        $available_newsletters = $this->getAllCategories ('*','status > 0') ;
                        $subscriptions = $this->getExistingSubscriptionForSubscriberID($active_subscriber['id']); 
                        $subscription_newsletter_ids = array_column($subscriptions,'newsletter_id');
                        $total_newsletter_count = count($available_newsletters);
                        if ($total_newsletter_count > 1): ?>
                    <div class="radio">
                        <label><input type="radio" name="confirm_unsubscribe" value ="1" required="required" checked /> <?= ___('I want to subscribe only to the following newsletter(s)') ?></label>
                    </div>
                <blockquote>
                    <?php  foreach ($available_newsletters as $newsletter): ?>
                    <?php $is_checked = in_array($newsletter['cid'], $subscription_newsletter_ids) ?>
                    <div class="checkbox">
                        <label><input type="checkbox" name="newsletter_ids[]" value ="<?= $newsletter['cid'] ?>" <?= $is_checked ? 'checked="checked"' : '' ?> /> <?= SAFE_HTML($newsletter['title']) ?></label>
                    </div>
                    <?php endforeach ?>
                    <?php endif ?>
                </blockquote>
                <label for="unsubscribe_reason"><?= ___('Reason for unsubscribe') ?></label> 
                <textarea class="form-control" name="unsubscribe_reason" id="unsubscribe_reason"  cols="80" rows="5"></textarea>
                     <button type="submit" class="btn btn-danger btn-large" name="btn_submit "><i class="fa fa-check"></i> <?= ___('Submit'); ?></button>
                <!-- unsubscribe -->                    
                <?php else: ?>
                <!-- non-existent -->
                <div class="alert alert-danger">
                    <?= ___('Invalid hash - the email address never existed or has already been unsubscribed'); ?>
                </div>
                <!-- end non-existent -->
                <?php endif ?>
            
            <?php else: ?>
            
                <!-- display email form -->
        <div class="row">
            <!-- col -->
            <div class="col-sm-4 ">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <strong> <?= ___('E-mail Address') ?></strong>
                    </div>
                    <div class="panel-body">
                        <div class="row">
                            <div class="col-sm-12 col-md-10  col-md-offset-1 ">

                                <div class="form-group">
                                    <div class="input-group">
                                        <span class="input-group-addon">
                                            <i class="fa fa-envelope"></i>
                                        </span>
                                        <input class="form-control" placeholder="<?= ___('Email'); ?>" name="email_address" type="email" value="<?= SAFE_HTML(fpost_string('email_address')) ?>" pattern="^[a-zA-Z0-9][-a-zA-Z0-9.!#$%&+-=?^_`{|}~\/]+@([-a-zA-Z0-9]+\.)+[a-zA-Z]{2,5}$" required="required" title="<?= ___('Please enter a valid email address') ?>" />
                                    </div>
                                </div>
 
                                <div class="form-group">                                  

                                    <button type="submit" name="submit" class="btn btn-lg btn-warning btn-block" value="Submit"><i class="fa fa-sign-in"></i> <?= ___('Continue') ?></button>

                                </div>
                            </div>
                        </div>
                    </div> 
                </div>
            </div>
            <!-- col -->
            <div class="col-sm-8">
                
<?php if (is_array($error_list) && count($error_list) > 0): ?>
                    <div class="alert alert-danger">
                        <ul class="subscribe-error">
                            <?php foreach ($error_list as $error): ?>
                                <li><?= SAFE_HTML($error) ?></li>
    <?php endforeach ?>
                        </ul>
                    </div>
                <?php endif ?>
                
                <?= $this->getConfig('str_account_unsubscribe_intro_text') ?>
            </div>
            <!-- end col -->
        </div>
               <!-- end display form -->
            <?php endif ?>
                <!-- end here -->
            </div>   
        </div>        
    </form>
</div>