<?php
namespace Macro;
/**
 * Newsletters - macro class
 * 
 * Newsletter and Email marketing solution for SCHLIX CMS
 * 
 * @copyright SCHLIX Web Inc
 *
 * @license SCHLIX Shared Source
 *
 * @package newsletters
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    https://www.schlix.com
 */

class Newsletters extends \SCHLIX\cmsMacro {

 
    private function processText($text)
    {
        preg_match_all('#{{newsletter-subscribe-page\s(.*)}}#iU', $text, $matches);
        //preg_match_all('#<schlix-config:((?:[a-z][a-z0-9_]*))\ (.*)\/>#iU', $text, $matches);
            $match_count = count($matches[0]);
        if ($match_count > 0) {
            for ($i = 0; $i < $match_count; $i++) {
                $str_full_tag = $matches[0][$i]; // full tag to be replaced
                $str_nls_virtual_filename = $matches[1][$i]; //
                // Tinymce bug
                start_output_buffer();
                $poll_app = new \App\Newsletters();
                $poll_app->viewSubscribePageByName($str_nls_virtual_filename);
                $poll_output = end_output_buffer();
                $text = str_replace($str_full_tag, $poll_output, $text);
            }
        }
        
        return $text;
    }
    //----------------------------------------------------------------------//
    /*
     * Run the macro
     * @global type $HTMLHeader
     * @param array|string $data
     * @param object $caller_object
     * @param string $caller_function
     * @param array $extra_info
     * @return string
     */
    public function Run(&$data, $caller_object, $caller_function, $extra_info = NULL) {
        
        if (is_array($data)) // don't enable it for block (string)
        {
            if (array_key_exists('summary', $data))
                $data['summary'] = $this->processText ($data['summary']);
            if (array_key_exists('description', $data))
                $data['description'] = $this->processText ($data['description']);            
        } else
            $data = $this->processText ($data);
    }

}

?>
